;Plays a 1-Bit, 11kHz, Mono WAV-File over a connected earphone...
; (C) 1996 by Andreas Ess
;If you use the code, please give me an appropriate credit.
;Send a postcard saying thank you to:
; Andreas Ess
; Tufers 156
; A-6811 Goefis
; Austria/Europe
;-----------------------------------------------------------------------------
;ported to the ti-86 by Andrew Waser without permission (I didn't do much,
;just made it compatible..)
;-----------------------------------------------------------------------------


#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram
    nop
    jp Start      
    .dw 0
    .dw Title

Title:
.db "Fat Guy in a Little Coat",0

Start:
 call _clrScrn
 call _homeup
 ld hl,Text
 ld a,3
 ld (_curRow),a
 ld a,4
 ld (_curCol),a
 call _puts
 ld a,50
 ld (_penRow),a
 ld a,20
 ld (_penCol),a
 call _vputs
 ld hl, Sound
 call PlayWAV

 ret

Text:
 .db "Chris Farley",0
 .db "Conveted by William White",0

PlayWAV:
 di                    ;greylib by robert taylor can't be used :(
 ld   a, 0C0h         
 out   (7), a
 ld   e, (hl)
 inc   hl
 ld   d, (hl)
 inc   hl
 ld   b, 128           ;b is used as a mask
SoundLoop:
 ld   c, 19

DLoop:
 dec   c
 jr nz,   DLoop
 nop
 nop
 rrc   b
 jr nc,   Play
 inc   hl               ;next byte
 dec   de
 ld   a, d
 or    e
 jr z,    DonePlay
 xor   a                ;exit key pressed?
 out   (1), a
 in    a, (1)
 bit   6, a
 jr z,    DonePlay
Play:
 ld   a, (hl)          ;get bit
 and   b
 jr z,    Play1
 ld   a, 0FCh
 out   (7), a
 jr   SoundLoop
Play1:
 ld   a, 0C0h
 out   (7), a
 jr   SoundLoop
DonePlay:
 ld  a, 0C0h
 out  (7), a
 ei
 call _clrScrn
 call _homeup
 ld hl,Text2
 ld a,25
 ld (_penRow),a
 ld (_penCol),a
 call _vputs
 call _getkey
 call _clrScrn
 call _homeup
 ret

Text2:
 .db "Thanks for Listening!!!",0

;-----------------------------------------------------------------------------
;The WAV-File:
;-----------------------------------------------------------------------------
Sound:
S_C:\MYDOCU~1\MP3\FATGUY.WAV:
 .dw 8720
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FE,$FF,$FF,$FF,$FF,$FF,$FF,$EF,$FF,$FF
 .db $FF,$BF,$FB,$FE,$FF,$FF,$FF,$FF,$FF,$FE,$FF,$FF,$EF,$FF,$FF,$F3
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$EF,$FF,$FF,$FF,$EF,$FF,$EF,$FF
 .db $FF,$FF,$EF,$FF,$FF,$FF,$FE,$FF,$FF,$EF,$FF,$AF,$EE,$FF,$EF,$FF
 .db $FF,$FF,$FF,$FF,$BF,$EF,$FF,$FF,$FF,$FB,$FF,$FF,$FF,$FF,$FF,$EF
 .db $FF,$FF,$BF,$FE,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$EF,$FB,$FF,$FF,$BF
 .db $FF,$FF,$FF,$FF,$BF,$FF,$FB,$FF,$FF,$FF,$FF,$BF,$FF,$FB,$FF,$CB
 .db $FB,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F3,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FE,$CF,$FA,$FF,$3F,$FF,$FF,$FF,$CF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FB,$FF,$FF,$FF,$FA,$FF,$FB,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$BF,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$EF,$EF,$FF,$BF,$EF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FE,$FF,$FF,$FB,$FF,$FF,$FF,$FE,$FF,$EF,$FF,$FF,$BF,$FF,$FF,$BF
 .db $FF,$FF,$BF,$FB,$FF,$FF,$BF,$FF,$BF,$EF,$FF,$FF,$EF,$FF,$FF,$FF
 .db $FF,$FF,$BF,$EF,$FE,$FF,$FF,$FF,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$BF
 .db $FB,$FF,$FF,$EF,$FB,$FF,$EB,$FF,$FF,$FF,$FF,$FF,$FF,$FB,$FF,$FF
 .db $FF,$FF,$FF,$BF,$FF,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FE,$FF,$BF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $3B,$F8,$3F,$EF,$FF,$FF,$FF,$FF,$FF,$BF,$FF,$FF,$FF,$AF,$FF,$FF
 .db $F3,$FE,$BF,$FF,$FF,$FE,$FF,$FE,$FF,$BF,$FB,$FF,$FF,$FF,$FF,$FF
 .db $FB,$FF,$FF,$FF,$FF,$FF,$EF,$FB,$FF,$FF,$FF,$FF,$FF,$BF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FE,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $BF,$FB,$FD,$FF,$7F,$FD,$FF,$DD,$FD,$FF,$FF,$D7,$77,$FF,$FF,$FF
 .db $FF,$FD,$FF,$FF,$FF,$FD,$7F,$7D,$FF,$FF,$FD,$F7,$FF,$FF,$FF,$FF
 .db $FF,$F7,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$10,$0D,$7F,$DD,$FD,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$D4
 .db $3F,$FF,$D3,$D1,$0D,$1F,$C3,$F1,$F0,$74,$CD,$54,$00,$53,$F3,$FC
 .db $00,$03,$FF,$D3,$FF,$04,$FC,$F0,$FF,$41,$1F,$FF,$FF,$DF,$03,$17
 .db $FF,$FF,$34,$CD,$F4,$FF,$D7,$FF,$FF,$C1,$FC,$0F,$FF,$F5,$00,$70
 .db $70,$DF,$7F,$FF,$DD,$77,$40,$F7,$DF,$7F,$FF,$F7,$D3,$17,$34,$FF
 .db $FF,$D7,$DF,$FD,$D0,$FF,$FF,$CC,$F4,$77,$F7,$FF,$FF,$FF,$03,$C3
 .db $DF,$FF,$FF,$7F,$F0,$3F,$FF,$FF,$FF,$FF,$D4,$FF,$FC,$FF,$FF,$1F
 .db $F0,$7F,$FF,$DF,$7D,$FF,$F3,$3F,$FF,$F4,$C0,$FF,$F4,$3F,$FF,$F3
 .db $F0,$53,$FC,$FF,$FF,$FF,$FF,$DD,$0F,$FF,$FC,$FF,$F3,$7C,$3F,$FF
 .db $DF,$30,$3D,$37,$F3,$FF,$FF,$CF,$C4,$0F,$F7,$DF,$3F,$3F,$13,$FF
 .db $FF,$34,$3F,$FC,$0F,$FF,$FF,$3F,$F7,$D3,$1F,$FF,$FF,$0F,$0F,$CF
 .db $FF,$7D,$C0,$73,$C1,$FF,$FF,$F5,$01,$FC,$C7,$0F,$FF,$CF,$47,$FF
 .db $FF,$F3,$FC,$0C,$0F,$FF,$FD,$FF,$DF,$03,$FF,$DF,$FF,$FF,$00,$C0
 .db $C0,$3F,$7F,$FF,$73,$0F,$F3,$F3,$FF,$FF,$F4,$00,$3F,$03,$CF,$F4
 .db $00,$04,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$03
 .db $FF,$FF,$FC,$3F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$03,$FF,$F0
 .db $0F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$3F,$FC,$00,$FF
 .db $FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$00,$00,$FF
 .db $FF,$FC,$00,$0F,$FF,$C0,$00,$00,$3F,$FF,$FF,$FF,$F0,$00,$03,$FF
 .db $FF,$C0,$00,$3F,$FF,$00,$00,$3F,$FF,$00,$00,$3F,$00,$00,$3F,$FF
 .db $F0,$00,$0F,$FF,$C0,$00,$3F,$FF,$00,$00,$03,$C0,$00,$3F,$FF,$F0
 .db $00,$3F,$FF,$C0,$00,$3F,$F0,$00,$00,$03,$00,$0C,$FF,$FF,$C0,$00
 .db $FF,$FC,$00,$03,$FF,$C0,$00,$C3,$F0,$00,$0F,$FF,$FC,$00,$FF,$FF
 .db $00,$00,$FF,$F0,$00,$3F,$FF,$C0,$03,$3F,$FF,$C0,$0F,$FF,$C0,$00
 .db $0F,$FF,$00,$0F,$FF,$C0,$00,$CF,$FF,$F0,$0F,$FF,$F0,$00,$0F,$FF
 .db $00,$03,$FF,$C0,$00,$CF,$FF,$00,$0F,$FF,$F0,$00,$3F,$FC,$00,$0F
 .db $FF,$C0,$00,$3F,$FC,$00,$0F,$FF,$C0,$00,$FF,$F0,$00,$3F,$FC,$00
 .db $33,$FF,$F0,$03,$FF,$F0,$00,$0F,$FC,$00,$03,$FF,$C0,$00,$FF,$FC
 .db $00,$FF,$FC,$00,$3F,$FF,$00,$03,$FF,$C0,$00,$FF,$F0,$00,$FF,$FC
 .db $00,$0F,$FF,$C0,$00,$FF,$C0,$03,$FF,$F0,$00,$FF,$FC,$00,$0F,$FF
 .db $C0,$00,$FF,$C0,$03,$FF,$C0,$03,$FF,$F0,$00,$0F,$FF,$C0,$03,$FF
 .db $00,$0F,$FC,$00,$3F,$FC,$00,$00,$0F,$FF,$C0,$03,$F0,$0F,$FF,$C0
 .db $03,$FF,$C0,$00,$C0,$FF,$FC,$00,$0C,$03,$FF,$F0,$00,$FF,$FC,$00
 .db $3F,$0F,$C3,$C0,$F0,$00,$3F,$FF,$00,$3F,$FF,$00,$03,$F3,$F0,$00
 .db $FF,$00,$0F,$FF,$C0,$03,$FF,$C0,$00,$FF,$FF,$00,$03,$F0,$00,$FF
 .db $C0,$03,$FF,$C0,$00,$FF,$FF,$FC,$00,$30,$03,$FF,$C0,$03,$FF,$C0
 .db $0F,$FC,$00,$3F,$3F,$30,$03,$FF,$F0,$03,$FF,$F0,$00,$FF,$FF,$00
 .db $0F,$F0,$00,$FF,$C0,$03,$FF,$C0,$00,$FF,$FF,$30,$03,$F0,$0C,$FF
 .db $C0,$03,$FF,$C0,$3F,$F0,$3F,$FC,$03,$C0,$0F,$FF,$00,$0F,$FF,$00
 .db $3F,$F0,$FF,$FC,$0F,$00,$3F,$FF,$00,$3F,$FC,$00,$FF,$C0,$FF,$FC
 .db $FF,$00,$3F,$FC,$00,$3F,$FC,$03,$FF,$00,$FF,$F0,$F0,$00,$FF,$FC
 .db $00,$3F,$F0,$0F,$FF,$00,$FF,$F0,$33,$00,$FF,$F0,$00,$FF,$F0,$0F
 .db $C0,$00,$0F,$00,$03,$FF,$FF,$FF,$C3,$FC,$00,$00,$00,$00,$0C,$03
 .db $F3,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$0C,$3F,$FF,$FF,$FF,$FF
 .db $F0,$00,$00,$30,$00,$00,$03,$FF,$F0,$FF,$FF,$FF,$FC,$0F,$FF,$FF
 .db $FF,$03,$FF,$FC,$3F,$CC,$0F,$F0,$F0,$F0,$0F,$C3,$00,$03,$F0,$00
 .db $0F,$C0,$00,$FF,$F0,$0F,$FF,$F0,$3F,$FC,$0F,$3F,$F0,$00,$3F,$C0
 .db $03,$C3,$C0,$00,$C0,$3F,$FC,$00,$FF,$C0,$3F,$FF,$03,$FF,$C0,$3F
 .db $C0,$3F,$FC,$00,$3F,$F0,$03,$FF,$00,$3F,$F0,$03,$F0,$3F,$FF,$00
 .db $3F,$FC,$03,$FF,$C0,$3F,$F0,$03,$C0,$3F,$FF,$00,$0F,$FF,$00,$FF
 .db $C0,$0F,$F0,$03,$F0,$00,$FF,$30,$0F,$FF,$00,$0F,$C3,$0F,$FF,$03
 .db $C0,$C3,$FF,$F0,$0F,$FF,$00,$0F,$3F,$CF,$0F,$03,$C0,$03,$FF,$F0
 .db $00,$FF,$F0,$00,$3F,$FF,$0C,$0F,$00,$0F,$FF,$C0,$00,$FF,$F0,$00
 .db $03,$FF,$F0,$00,$00,$3F,$FF,$00,$03,$3F,$FF,$00,$03,$FF,$FF,$00
 .db $00,$3F,$FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$C0,$00,$C0,$FF,$FF,$FF
 .db $F0,$00,$0F,$FC,$00,$3F,$00,$03,$C0,$00,$C3,$FF,$FF,$F3,$03,$FF
 .db $3F,$FC,$00,$00,$CF,$00,$00,$FF,$FF,$FC,$3F,$FC,$C0,$FF,$00,$03
 .db $FF,$C3,$00,$00,$FF,$FC,$3F,$FF,$00,$3F,$C0,$00,$0F,$FF,$C0,$00
 .db $00,$00,$3F,$FF,$80,$FF,$C0,$00,$FF,$C1,$0C,$F0,$00,$00,$3F,$FC
 .db $00,$3F,$C0,$0F,$FF,$C0,$00,$F0,$00,$00,$30,$FC,$00,$3F,$00,$0F
 .db $FF,$CF,$1F,$C0,$00,$00,$00,$FC,$00,$3F,$00,$0F,$FF,$03,$3F,$C0
 .db $00,$00,$00,$FF,$C0,$00,$00,$0F,$FF,$00,$0F,$F0,$00,$00,$00,$FF
 .db $C0,$30,$00,$3F,$FF,$3F,$3F,$C0,$00,$00,$00,$0F,$F3,$00,$00,$3F
 .db $FC,$00,$3F,$C3,$00,$00,$00,$03,$0F,$C0,$00,$FF,$FF,$00,$3F,$FC
 .db $00,$00,$00,$0F,$0F,$C0,$00,$FF,$FC,$00,$3F,$F0,$00,$0C,$00,$00
 .db $3F,$C0,$00,$FF,$F0,$00,$3F,$F0,$00,$03,$FC,$00,$3F,$C0,$00,$FF
 .db $F0,$00,$3F,$FF,$00,$00,$FF,$FC,$0F,$00,$03,$FF,$F0,$00,$0F,$FF
 .db $00,$00,$FF,$FC,$00,$00,$03,$FF,$F0,$00,$0F,$FF,$C0,$00,$FF,$F0
 .db $03,$C0,$03,$FF,$F0,$00,$0F,$FF,$F0,$00,$FF,$FC,$03,$F0,$03,$FF
 .db $C0,$03,$FF,$00,$00,$03,$FF,$FC,$0F,$FF,$03,$FF,$C0,$03,$FF,$00
 .db $C0,$00,$FF,$F0,$03,$FF,$4F,$FF,$C0,$03,$FF,$00,$40,$00,$FF,$FC
 .db $03,$FF,$FF,$FF,$C0,$03,$FF,$C3,$FC,$00,$3F,$FE,$0F,$FC,$03,$FF
 .db $F0,$03,$FF,$FF,$FC,$00,$3F,$FF,$3F,$FF,$00,$FF,$FF,$03,$FC,$3F
 .db $FF,$00,$3F,$FF,$FF,$FF,$03,$FF,$FD,$0F,$FF,$0F,$FF,$00,$7F,$FC
 .db $03,$FF,$FF,$FF,$F0,$3F,$FD,$07,$FF,$C0,$7F,$FF,$0F,$FF,$FF,$FF
 .db $F0,$FF,$FF,$00,$0F,$FC,$FF,$FC,$0F,$FF,$FF,$FF,$F0,$CF,$FF,$FF
 .db $C0,$00,$FF,$F0,$03,$FF,$FF,$FF,$FF,$DF,$FF,$FF,$FF,$C3,$FF,$F0
 .db $00,$FF,$7F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$08,$FF
 .db $00,$00,$03,$FF,$FF,$C3,$FF,$FD,$FF,$FF,$FF,$FF,$D0,$00,$00,$00
 .db $FC,$00,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00
 .db $00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$30,$C3,$4F,$0C
 .db $30,$0F,$FF,$FF,$FF,$FF,$3F,$FF,$FF,$FC,$F0,$3C,$30,$C3,$C0,$C3
 .db $0C,$3C,$FF,$FF,$3C,$F0,$D0,$FF,$0F,$3C,$30,$00,$00,$03,$C3,$C0
 .db $00,$0C,$30,$F3,$CF,$FF,$FF,$F0,$C0,$00,$00,$00,$00,$00,$03,$F3
 .db $0C,$0C,$3F,$FF,$FF,$CF,$0C,$00,$00,$00,$00,$00,$00,$0F,$3C,$30
 .db $F3,$FF,$FF,$FC,$00,$00,$03,$00,$00,$00,$0C,$0C,$3C,$00,$C3,$0F
 .db $FF,$FF,$C0,$00,$00,$3F,$F0,$00,$00,$03,$FF,$FC,$0C,$0C,$FF,$FF
 .db $FF,$00,$00,$0F,$FF,$00,$00,$03,$FF,$FC,$00,$00,$FF,$FF,$FF,$00
 .db $00,$3F,$FF,$00,$00,$03,$FF,$FF,$00,$00,$3F,$FF,$FF,$00,$00,$FF
 .db $FF,$00,$00,$03,$FF,$FC,$00,$00,$00,$FF,$FF,$FC,$00,$0F,$FF,$C0
 .db $00,$00,$FF,$F3,$30,$00,$00,$0F,$FF,$FC,$00,$3F,$FF,$C0,$00,$00
 .db $3F,$C0,$0C,$FC,$00,$03,$FF,$FC,$00,$0F,$FF,$C0,$00,$00,$3F,$00
 .db $0F,$FC,$00,$03,$FF,$FC,$00,$FF,$FC,$00,$00,$00,$00,$00,$3F,$FF
 .db $00,$03,$FF,$FC,$00,$FF,$FC,$00,$0F,$00,$00,$00,$FF,$FF,$00,$3F
 .db $FF,$C0,$03,$FF,$F0,$03,$FF,$00,$00,$00,$FF,$FC,$00,$3F,$FF,$C0
 .db $0F,$FF,$00,$0F,$FC,$00,$3C,$00,$3F,$3F,$C0,$3F,$FF,$C0,$3F,$FF
 .db $00,$0F,$F0,$00,$3F,$00,$0F,$FF,$E0,$0F,$FF,$F0,$0F,$FF,$00,$3F
 .db $FC,$00,$3F,$00,$0F,$FF,$C0,$0F,$FF,$F0,$3F,$FF,$00,$FF,$F0,$00
 .db $3C,$00,$0F,$FF,$C0,$0F,$FF,$C0,$3F,$FF,$03,$FC,$3C,$00,$FC,$00
 .db $0F,$FF,$00,$3F,$FF,$00,$FF,$F0,$0F,$F0,$FC,$0F,$F3,$C0,$0F,$F0
 .db $03,$FC,$30,$0F,$FF,$00,$FF,$03,$C0,$3F,$3C,$03,$00,$C0,$3F,$C0
 .db $00,$FF,$C0,$0F,$F0,$3F,$03,$C3,$FC,$3C,$00,$03,$FC,$00,$0F,$F0
 .db $00,$FC,$03,$C0,$3C,$3F,$FF,$F0,$00,$FF,$00,$03,$FC,$00,$3F,$C0
 .db $FC,$03,$CF,$0F,$FF,$00,$3F,$C0,$00,$FF,$00,$0F,$C0,$3F,$00,$3F
 .db $C0,$FF,$C0,$0F,$F0,$00,$3F,$C0,$FF,$F0,$3F,$C0,$0F,$FC,$0F,$C0
 .db $0F,$F0,$00,$3F,$C0,$3F,$F0,$0F,$C0,$0F,$F0,$3F,$C0,$0F,$F0,$00
 .db $3F,$C0,$FF,$F0,$3F,$00,$0F,$F0,$3F,$C0,$3F,$C0,$C0,$FC,$03,$FF
 .db $C0,$3F,$00,$0F,$F0,$3F,$00,$FF,$03,$0F,$F0,$0F,$FF,$00,$FC,$00
 .db $3F,$C0,$30,$0F,$F0,$0C,$3F,$C0,$FF,$F0,$0F,$F0,$00,$FF,$C0,$00
 .db $3F,$C0,$F3,$FC,$03,$FF,$C0,$3F,$00,$0F,$FF,$F0,$0F,$F0,$0F,$FF
 .db $C0,$3F,$F0,$03,$F0,$03,$FF,$CC,$00,$FF,$03,$0F,$FC,$0F,$FF,$00
 .db $FF,$00,$3F,$FF,$00,$3F,$C0,$C3,$FF,$00,$FF,$C0,$3F,$C0,$0F,$FC
 .db $00,$0F,$F0,$3C,$FF,$C0,$3F,$F0,$0F,$F0,$03,$FC,$30,$0F,$F0,$0C
 .db $3F,$C0,$3F,$FC,$03,$FC,$00,$3F,$30,$03,$FC,$0C,$3F,$F0,$0F,$FC
 .db $03,$FC,$00,$C3,$00,$03,$FC,$03,$0F,$F0,$0F,$FC,$00,$FC,$03,$FC
 .db $00,$03,$FC,$03,$0F,$F0,$0F,$FC,$00,$FF,$03,$FC,$0C,$03,$FC,$00
 .db $0F,$F0,$0F,$FC,$00,$FC,$03,$FC,$00,$03,$FC,$0F,$0F,$F0,$0F,$FC
 .db $03,$FC,$03,$FC,$20,$03,$F0,$0C,$3F,$C0,$0F,$FC,$03,$F0,$0F,$F0
 .db $00,$0F,$F0,$3C,$3F,$C0,$3F,$F0,$0F,$C0,$0F,$F0,$00,$0F,$C0,$3C
 .db $FF,$00,$FF,$C0,$0F,$C0,$3F,$F0,$C0,$3F,$C0,$F0,$FF,$00,$FF,$00
 .db $3F,$00,$FF,$C0,$00,$FF,$00,$F3,$FC,$03,$FF,$00,$FC,$00,$FF,$00
 .db $00,$FC,$03,$FF,$F0,$0F,$FC,$03,$F0,$0F,$FC,$00,$03,$FC,$0F,$3F
 .db $F0,$0F,$F0,$0F,$F0,$0F,$FC,$00,$0F,$F0,$3C,$3F,$C0,$3F,$F0,$0F
 .db $C0,$0F,$F0,$00,$3F,$C0,$3C,$FF,$00,$FF,$C0,$3F,$00,$FF,$C0,$00
 .db $FF,$00,$F3,$FF,$03,$FF,$00,$FC,$00,$FF,$C0,$00,$FF,$03,$C3,$FC
 .db $03,$FC,$03,$F0,$03,$FF,$00,$03,$FC,$0F,$0F,$F0,$0F,$FC,$03,$F0
 .db $0F,$FC,$00,$0F,$F0,$3C,$3F,$C0,$3F,$F0,$0F,$C0,$3F,$F0,$00,$3F
 .db $C0,$30,$3F,$C0,$3F,$C0,$3F,$00,$FF,$F0,$00,$3F,$C0,$C0,$FF,$00
 .db $FF,$00,$FC,$00,$FF,$C0,$00,$FF,$03,$03,$FC,$03,$FF,$03,$FC,$03
 .db $FF,$00,$03,$FC,$0C,$0F,$F0,$0F,$FC,$03,$F0,$0F,$FC,$00,$03,$FC
 .db $0C,$0F,$F0,$0F,$F0,$0F,$C0,$0F,$FC,$00,$0F,$F0,$30,$3F,$C0,$3F
 .db $F0,$0F,$C0,$3F,$F0,$00,$3F,$C0,$00,$FF,$00,$3F,$C0,$3F,$00,$FF
 .db $C0,$00,$3F,$C0,$C0,$FF,$00,$FF,$C0,$3C,$00,$FF,$C0,$00,$FF,$00
 .db $03,$FC,$00,$FF,$00,$FC,$00,$FF,$00,$00,$FF,$00,$03,$FC,$03,$FF
 .db $00,$F0,$03,$FF,$00,$03,$FC,$00,$0F,$F0,$03,$FF,$00,$F0,$0F,$FC
 .db $00,$03,$FC,$00,$0F,$F0,$0F,$FC,$03,$C0,$0F,$FC,$00,$0F,$F0,$00
 .db $3F,$C0,$0F,$F0,$0F,$00,$3F,$F0,$00,$3F,$F0,$00,$FF,$C0,$3F,$F0
 .db $0C,$00,$FF,$C0,$00,$3F,$C0,$03,$FF,$00,$FF,$C0,$30,$03,$FF,$00
 .db $03,$FF,$00,$0F,$FC,$03,$FF,$00,$C0,$03,$FC,$00,$03,$FC,$00,$3F
 .db $F0,$0F,$FC,$03,$00,$0F,$F0,$00,$3F,$F0,$00,$FF,$00,$3F,$F0,$0C
 .db $00,$3F,$C0,$00,$FF,$00,$03,$FC,$00,$FF,$C0,$30,$03,$FF,$00,$03
 .db $FC,$00,$0F,$F0,$03,$FC,$00,$C0,$0F,$F0,$00,$0F,$F0,$00,$3F,$C0
 .db $0F,$F0,$0F,$00,$3F,$C0,$00,$FF,$00,$03,$FC,$00,$FF,$C0,$30,$00
 .db $FC,$00,$03,$FC,$00,$0F,$F0,$03,$FC,$03,$C0,$3F,$F0,$00,$3F,$C0
 .db $00,$FF,$00,$0F,$F0,$0F,$30,$FF,$00,$00,$FF,$00,$03,$FC,$00,$FF
 .db $00,$30,$F0,$FC,$00,$0F,$FC,$00,$3F,$C0,$03,$FC,$00,$3F,$CF,$C0
 .db $00,$3F,$CC,$00,$FF,$00,$3F,$C0,$00,$FC,$3F,$00,$03,$FF,$F0,$0F
 .db $FC,$00,$FF,$00,$0F,$C3,$F0,$00,$3F,$FF,$00,$FF,$C0,$0F,$F0,$00
 .db $FF,$1F,$00,$00,$FF,$FC,$03,$FF,$00,$3F,$F0,$0F,$FF,$F0,$00,$0F
 .db $FF,$C0,$3F,$FC,$03,$FF,$C0,$3F,$FC,$00,$00,$FF,$FC,$00,$FF,$C0
 .db $0F,$FC,$00,$FF,$F0,$00,$0F,$FF,$F0,$0F,$FF,$00,$3F,$C0,$03,$FF
 .db $00,$00,$3F,$FF,$00,$3F,$F0,$00,$FF,$00,$0F,$FC,$00,$03,$FF,$F0
 .db $00,$FF,$C0,$0F,$FF,$00,$FF,$C0,$00,$3F,$FF,$00,$0F,$FF,$C0,$3F
 .db $FC,$0F,$FC,$00,$03,$FF,$FC,$00,$3F,$FC,$00,$3F,$FF,$0F,$C0,$00
 .db $33,$FF,$FC,$03,$FF,$C0,$00,$FF,$FF,$F0,$00,$03,$3F,$FF,$C0,$03
 .db $FF,$C0,$00,$FF,$FF,$00,$00,$30,$FF,$FC,$00,$3F,$FF,$00,$03,$FF
 .db $FC,$00,$03,$0F,$FF,$C0,$00,$FF,$FF,$00,$0F,$FF,$FC,$00,$00,$FF
 .db $FF,$00,$00,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF,$FF,$00,$03,$FF
 .db $FC,$00,$03,$FF,$FC,$0C,$0F,$FF,$FC,$00,$00,$FF,$FC,$00,$00,$0F
 .db $F0,$C0,$03,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$03,$C3,$C3,$0F,$FF
 .db $C0,$00,$0F,$FF,$FF,$00,$00,$0C,$0F,$0C,$FF,$FF,$00,$00,$3F,$FF
 .db $FC,$00,$00,$0C,$0C,$3C,$FF,$FF,$F0,$00,$3F,$FF,$FF,$00,$00,$3C
 .db $0C,$0F,$FF,$FF,$F0,$00,$03,$FF,$FF,$00,$00,$3F,$00,$0C,$FF,$FF
 .db $FC,$00,$00,$FF,$FF,$C0,$00,$03,$C0,$C3,$0F,$FF,$FF,$00,$00,$3F
 .db $FF,$F0,$00,$00,$F0,$00,$00,$FF,$FF,$F0,$00,$03,$FF,$FF,$C0,$00
 .db $0F,$00,$00,$33,$FF,$FF,$CC,$00,$03,$FF,$FF,$33,$00,$00,$00,$00
 .db $33,$FF,$FF,$FF,$CF,$F0,$00,$00,$3C,$FF,$FC,$C0,$00,$C3,$FF,$FF
 .db $CF,$CF,$FF,$F3,$C3,$00,$00,$00,$00,$CF,$FF,$00,$03,$3F,$FF,$FC
 .db $CC,$F0,$C0,$FF,$FC,$00,$03,$FF,$FC,$00,$00,$FF,$FF,$CF,$30,$00
 .db $3F,$FF,$F0,$00,$0F,$FF,$F0,$00,$03,$CF,$FF,$FF,$CC,$00,$CF,$FF
 .db $C0,$00,$00,$00,$0F,$00,$00,$3F,$FF,$FF,$C0,$00,$00,$FF,$FF,$FC
 .db $03,$FF,$FF,$00,$00,$00,$03,$FF,$F0,$00,$00,$FF,$FF,$FF,$C0,$00
 .db $3F,$FF,$00,$00,$00,$3F,$FF,$C0,$00,$FF,$FF,$FF,$F0,$00,$0F,$FF
 .db $C0,$00,$00,$03,$FF,$F0,$00,$3F,$FF,$FF,$FC,$00,$03,$FF,$F0,$00
 .db $00,$00,$FF,$C3,$00,$03,$FF,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$00
 .db $0F,$FF,$00,$00,$FF,$FF,$FF,$C0,$00,$3F,$FF,$C0,$00,$00,$0F,$FC
 .db $F0,$00,$0F,$FF,$FF,$C0,$00,$0F,$FF,$F0,$00,$00,$00,$FF,$C0,$00
 .db $03,$FF,$FF,$F0,$00,$03,$FF,$FC,$00,$00,$00,$FF,$30,$00,$00,$FF
 .db $FF,$FF,$00,$00,$3F,$FF,$00,$00,$00,$3F,$C8,$00,$00,$0F,$FF,$FF
 .db $C0,$00,$0F,$FF,$C0,$00,$00,$03,$F0,$00,$00,$30,$FF,$FF,$FC,$00
 .db $0F,$FF,$F0,$00,$00,$00,$FF,$00,$30,$03,$3F,$FF,$FF,$C0,$00,$FF
 .db $FF,$00,$00,$00,$0F,$C0,$00,$00,$F3,$FF,$FF,$F0,$00,$3F,$FF,$00
 .db $00,$00,$03,$F0,$00,$00,$0F,$3F,$FF,$FF,$00,$03,$FF,$C0,$00,$00
 .db $00,$3C,$00,$0C,$00,$F3,$FF,$FF,$F0,$00,$3F,$F8,$00,$00,$00,$03
 .db $80,$00,$C0,$0C,$3F,$FF,$FF,$00,$C3,$FF,$00,$00,$00,$00,$30,$00
 .db $0C,$00,$F3,$FF,$FF,$F0,$0C,$3F,$F0,$00,$00,$00,$00,$00,$03,$C3
 .db $03,$3F,$FF,$FF,$C0,$30,$FF,$00,$00,$00,$00,$00,$00,$0F,$00,$3F
 .db $FF,$FF,$FC,$03,$CF,$F0,$00,$00,$00,$00,$00,$03,$FC,$03,$CF,$FF
 .db $FF,$FC,$0C,$3F,$C0,$00,$00,$00,$00,$00,$FF,$F0,$0C,$FF,$FF,$FF
 .db $00,$C3,$FC,$00,$00,$00,$00,$03,$0F,$FF,$00,$33,$FF,$FF,$F3,$03
 .db $0F,$F0,$00,$00,$00,$00,$3C,$FF,$FC,$00,$CF,$FF,$FF,$C0,$00,$33
 .db $C0,$00,$00,$00,$0F,$FF,$FF,$F0,$03,$3F,$FF,$FF,$00,$00,$0F,$00
 .db $00,$00,$00,$FF,$FF,$FF,$F0,$0C,$FF,$FF,$FC,$00,$03,$3F,$00,$00
 .db $00,$00,$FF,$FF,$FF,$00,$0C,$FF,$FF,$F0,$00,$0F,$3C,$00,$00,$00
 .db $3F,$FF,$FF,$FF,$C0,$33,$FF,$FF,$F0,$00,$0C,$FF,$00,$00,$00,$3F
 .db $FF,$FF,$FF,$00,$33,$FF,$FF,$F0,$00,$0F,$FF,$C0,$00,$00,$0F,$FF
 .db $FF,$FF,$00,$33,$FF,$FF,$F0,$00,$00,$FF,$C0,$00,$00,$03,$FF,$FF
 .db $FF,$C0,$00,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF
 .db $FF,$00,$0C,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF
 .db $C0,$00,$3F,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$F0
 .db $00,$03,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$3F,$FF,$FF,$F0,$00
 .db $00,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$03,$FF,$FF,$F0,$00,$0F
 .db $FF,$FF,$FF,$00,$00,$0C,$00,$00,$00,$03,$FF,$FF,$F0,$00,$0F,$FF
 .db $FF,$FF,$00,$00,$0F,$00,$00,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FF
 .db $FF,$00,$00,$CF,$00,$00,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FF,$FC
 .db $00,$33,$FF,$00,$00,$00,$03,$FF,$FF,$F0,$00,$3F,$FF,$FF,$CC,$00
 .db $F3,$FF,$00,$00,$00,$03,$FF,$FF,$C0,$00,$FF,$FF,$FF,$30,$03,$CF
 .db $3C,$00,$00,$03,$C3,$FF,$3F,$C0,$0F,$FF,$FF,$FC,$C0,$0F,$FC,$F0
 .db $00,$00,$03,$CF,$FF,$FF,$00,$0F,$FF,$FF,$C0,$00,$3F,$F3,$C0,$00
 .db $00,$3F,$3F,$FC,$3E,$00,$3F,$FF,$FF,$00,$00,$FF,$0F,$C0,$00,$00
 .db $FF,$0F,$FC,$F0,$00,$FF,$FF,$FC,$00,$03,$FF,$3F,$00,$00,$03,$FC
 .db $3F,$F0,$C0,$03,$FF,$FF,$F0,$00,$0F,$FC,$C0,$00,$00,$0F,$FC,$FF
 .db $CF,$00,$0F,$FF,$FF,$C0,$00,$3F,$C3,$00,$00,$00,$3F,$F3,$FF,$F0
 .db $00,$3F,$FF,$FF,$00,$00,$FF,$00,$00,$00,$00,$FF,$FF,$FF,$00,$03
 .db $FF,$FF,$F0,$00,$03,$FC,$C0,$00,$00,$03,$FC,$FF,$FC,$00,$0F,$FF
 .db $FF,$C0,$00,$0F,$CC,$00,$00,$00,$0F,$FF,$FF,$F0,$00,$3F,$FF,$FF
 .db $00,$00,$3F,$F0,$00,$00,$00,$3F,$FF,$FF,$C0,$00,$FF,$FF,$FC,$00
 .db $00,$FF,$C0,$00,$00,$00,$FF,$FF,$FF,$00,$03,$FF,$FF,$F0,$00,$03
 .db $FF,$00,$00,$00,$03,$FF,$FF,$FC,$00,$0F,$FF,$FF,$C0,$00,$03,$FC
 .db $00,$00,$00,$0F,$FF,$FF,$F0,$00,$3F,$FF,$FF,$00,$00,$0F,$FC,$00
 .db $00,$00,$3F,$FF,$FF,$C0,$00,$FF,$FF,$FC,$00,$00,$3F,$F0,$00,$00
 .db $00,$FF,$FF,$FF,$00,$03,$FF,$FF,$FC,$00,$00,$FF,$C0,$00,$00,$00
 .db $FF,$FF,$FC,$00,$0F,$FF,$FF,$F0,$00,$03,$FF,$00,$00,$00,$03,$FF
 .db $FF,$F8,$00,$3F,$FF,$FF,$C0,$00,$0F,$FC,$20,$00,$00,$0F,$FF,$FF
 .db $C0,$00,$FF,$FF,$FC,$00,$00,$3F,$F3,$00,$00,$00,$FF,$FF,$FC,$00
 .db $0F,$FF,$FF,$C0,$00,$03,$FC,$3C,$00,$00,$03,$FF,$FF,$C0,$03,$FF
 .db $FF,$FC,$00,$00,$FF,$C3,$C0,$00,$00,$3F,$FF,$FC,$00,$3F,$FF,$FF
 .db $00,$00,$0F,$F0,$F0,$00,$00,$0F,$FF,$FF,$00,$3F,$FF,$FF,$C0,$00
 .db $03,$FC,$3C,$00,$00,$03,$FF,$FF,$00,$0F,$FF,$FF,$C0,$00,$03,$FF
 .db $FF,$00,$00,$00,$FF,$FF,$00,$0F,$FF,$FF,$FE,$00,$00,$FF,$FF,$00
 .db $00,$00,$3F,$FF,$C0,$03,$FF,$FF,$FF,$F0,$00,$3F,$FF,$F0,$00,$00
 .db $0F,$FF,$FC,$00,$3F,$FF,$FF,$FF,$00,$00,$3F,$FC,$00,$00,$00,$FF
 .db $FF,$C0,$0F,$3F,$FF,$FF,$F0,$00,$00,$FF,$C0,$00,$00,$00,$FF,$FC
 .db $00,$33,$FF,$FF,$FF,$F0,$00,$00,$F0,$00,$00,$00,$03,$FF,$FC,$00
 .db $00,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$00,$30
 .db $3F,$FF,$FF,$FC,$00,$00,$00,$00,$00,$0C,$0F,$FF,$FF,$00,$0C,$3F
 .db $FF,$FF,$00,$00,$0F,$FF,$00,$00,$03,$FF,$FF,$FF,$00,$0F,$3F,$FF
 .db $F0,$00,$00,$FF,$F0,$00,$00,$03,$FF,$FF,$CC,$00,$3F,$FF,$FF,$C0
 .db $00,$3C,$BF,$C0,$00,$00,$3F,$FF,$F3,$C0,$00,$FF,$FF,$FC,$00,$03
 .db $CF,$F0,$00,$00,$03,$FF,$FF,$0C,$00,$0F,$FF,$FF,$00,$00,$F3,$FF
 .db $00,$00,$00,$FF,$FF,$F0,$00,$03,$FF,$FF,$F0,$00,$3F,$FF,$C0,$00
 .db $00,$3F,$FF,$F8,$00,$30,$FF,$FF,$F0,$00,$3F,$FF,$F0,$00,$00,$0F
 .db $FF,$F0,$00,$03,$FF,$FF,$F0,$00,$0F,$FF,$F0,$00,$00,$3F,$FF,$00
 .db $03,$0F,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$00,$FC,$F0,$00,$03,$FF
 .db $FF,$F0,$00,$0F,$FF,$F0,$00,$00,$3F,$FF,$00,$00,$3F,$FF,$FC,$00
 .db $03,$FF,$FC,$00,$00,$0F,$FF,$F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF
 .db $F0,$00,$03,$FF,$FC,$00,$03,$FF,$FF,$C0,$00,$3F,$FF,$FC,$00,$03
 .db $FF,$FC,$0C,$03,$FF,$FF,$C0,$00,$3F,$FF,$FC,$00,$03,$FF,$FC,$30
 .db $0F,$FF,$FF,$C0,$00,$FF,$FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$FF,$FF
 .db $00,$00,$FF,$FF,$C0,$00,$3F,$FF,$C3,$00,$FF,$FF,$FC,$00,$03,$FF
 .db $FF,$00,$00,$3F,$FC,$00,$03,$FF,$FF,$C0,$00,$3F,$FF,$F0,$00,$03
 .db $FF,$F0,$C0,$3F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$0F,$FC,$0C,$03
 .db $FF,$FF,$F0,$00,$03,$FF,$FC,$00,$00,$3F,$C0,$00,$3F,$FF,$FC,$00
 .db $03,$FF,$FF,$00,$00,$0F,$F0,$30,$0F,$FF,$FF,$00,$00,$CF,$FF,$C0
 .db $00,$0F,$FC,$0C,$03,$FF,$FF,$C0,$00,$33,$FF,$FC,$00,$03,$3F,$03
 .db $03,$FF,$FF,$F0,$00,$3C,$FF,$F0,$00,$0C,$FF,$03,$00,$FF,$FF,$F0
 .db $00,$3F,$FF,$FC,$00,$0F,$FF,$C0,$00,$FF,$FF,$FC,$00,$0F,$FF,$FC
 .db $00,$03,$FF,$C0,$00,$FF,$FF,$FC,$00,$0F,$FF,$FC,$00,$03,$FF,$C0
 .db $C0,$3F,$FF,$FC,$00,$0F,$FF,$FC,$00,$03,$FF,$C0,$C0,$3C,$FF,$FC
 .db $00,$0F,$FF,$FC,$00,$03,$FF,$C0,$C0,$3C,$FF,$FC,$00,$0F,$FF,$FC
 .db $00,$03,$FF,$C0,$00,$3F,$FF,$FC,$00,$0F,$FF,$FC,$00,$03,$FF,$C0
 .db $C0,$3F,$FF,$FC,$00,$0F,$FF,$FC,$00,$03,$FF,$C0,$C0,$3F,$FF,$FC
 .db $00,$0F,$FF,$F0,$00,$03,$FF,$C0,$00,$FF,$FF,$F0,$00,$0F,$FF,$F0
 .db $00,$03,$FF,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$C0,$00,$0F,$FC,$00
 .db $03,$FF,$FF,$C0,$00,$FF,$FF,$00,$00,$3F,$FC,$30,$0F,$FF,$FF,$00
 .db $03,$FF,$FC,$00,$00,$FF,$C0,$00,$3F,$FF,$FC,$00,$0F,$FF,$F0,$00
 .db $03,$FF,$0C,$03,$FF,$FF,$C0,$00,$FF,$FF,$00,$00,$3F,$F0,$00,$3F
 .db $FF,$FF,$00,$03,$FF,$FC,$00,$00,$FF,$00,$00,$FF,$FF,$F0,$00,$3F
 .db $FF,$C0,$00,$0F,$F0,$30,$0F,$FF,$FF,$00,$03,$FF,$F0,$00,$00,$FF
 .db $00,$03,$FF,$FF,$F0,$00,$3F,$FF,$00,$00,$FF,$F0,$00,$3F,$FF,$F0
 .db $00,$3F,$FF,$C0,$00,$0F,$FF,$00,$03,$FF,$FF,$00,$03,$FF,$FC,$00
 .db $03,$FF,$C0,$C0,$3F,$FF,$C0,$00,$3F,$FF,$C0,$00,$3F,$FC,$00,$0F
 .db $FF,$FC,$00,$0F,$FF,$F0,$00,$0F,$FF,$00,$03,$FF,$FF,$00,$03,$FF
 .db $FF,$00,$00,$FF,$F0,$00,$3F,$FF,$F0,$00,$3F,$FF,$F0,$00,$3F,$FC
 .db $00,$0F,$FF,$FC,$00,$0F,$FF,$FC,$00,$0F,$FF,$03,$00,$FF,$FF,$00
 .db $00,$FF,$FC,$00,$0F,$FF,$C0,$00,$3F,$FF,$C0,$00,$FF,$FF,$00,$00
 .db $FF,$FC,$00,$0F,$FF,$F0,$00,$3F,$FF,$F0,$00,$3F,$FF,$0C,$03,$FF
 .db $F0,$00,$0F,$FF,$FC,$00,$0F,$FF,$C0,$00,$FF,$FC,$00,$03,$FF,$FF
 .db $00,$00,$FF,$C0,$00,$FF,$FF,$00,$00,$FF,$FC,$C0,$00,$FF,$F0,$00
 .db $3F,$FF,$C0,$00,$FF,$FC,$00,$00,$3F,$F0,$00,$3F,$FF,$C0,$00,$3F
 .db $FF,$00,$00,$3F,$FC,$00,$0F,$FF,$F0,$00,$3F,$FF,$00,$00,$3F,$FC
 .db $00,$0F,$FF,$F0,$00,$3F,$FF,$00,$00,$0F,$FC,$00,$03,$FF,$F0,$00
 .db $0F,$FF,$C0,$00,$0F,$FF,$00,$03,$FF,$FC,$00,$0F,$FF,$C0,$00,$03
 .db $FF,$00,$03,$FF,$FC,$00,$0F,$FF,$C0,$00,$3F,$FF,$00,$00,$FF,$FF
 .db $00,$03,$FF,$F0,$00,$0F,$FF,$C0,$00,$FF,$FF,$C0,$00,$FF,$FC,$00
 .db $03,$C3,$F0,$00,$0F,$FF,$F0,$00,$3F,$FF,$C0,$00,$30,$3C,$00,$03
 .db $FF,$FC,$00,$00,$FC,$FF,$03,$00,$03,$F0,$00,$0F,$FF,$FF,$FF,$00
 .db $00,$0F,$FF,$F0,$0C,$30,$00,$03,$3F,$FF,$F3,$C0,$30,$03,$CC,$F3
 .db $F3,$30,$00,$03,$FF,$FF,$C3,$00,$3C,$0F,$CF,$F0,$00,$00,$00,$CF
 .db $FF,$FF,$00,$00,$FF,$3F,$F3,$C0,$00,$00,$03,$3F,$FF,$FC,$00,$03
 .db $FF,$FF,$C3,$00,$30,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FC,$00,$00
 .db $F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$0F,$00,$0C,$FF,$FF
 .db $F0,$00,$FF,$FC,$00,$00,$F3,$F0,$03,$CF,$FF,$FF,$00,$3F,$FF,$C0
 .db $00,$3F,$FF,$00,$30,$FF,$FF,$00,$03,$FF,$F0,$00,$00,$FF,$F0,$03
 .db $3F,$FF,$C0,$00,$3F,$FF,$00,$00,$0F,$FC,$00,$F3,$FF,$F0,$00,$0F
 .db $FF,$F0,$00,$03,$FF,$C0,$0F,$3F,$FF,$00,$00,$FF,$FC,$00,$03,$FF
 .db $FC,$00,$F3,$FF,$F0,$00,$0F,$FF,$C0,$00,$3F,$FF,$C0,$0F,$3F,$FF
 .db $00,$00,$FF,$FC,$00,$03,$FF,$FC,$00,$F3,$FF,$F0,$00,$0F,$FF,$C0
 .db $00,$FF,$FF,$C0,$03,$FF,$FF,$00,$00,$FF,$CC,$00,$0F,$3F,$F0,$00
 .db $3F,$FF,$F0,$00,$0F,$FC,$C0,$00,$3F,$FF,$C0,$03,$FF,$FF,$C0,$00
 .db $3F,$F3,$00,$03,$CF,$FC,$00,$3F,$FF,$FC,$00,$03,$FF,$30,$00,$3F
 .db $FF,$F0,$00,$FF,$FF,$C0,$00,$3F,$F3,$00,$03,$FF,$FF,$00,$0F,$FF
 .db $FC,$00,$00,$FF,$0C,$00,$0F,$FF,$F0,$00,$FF,$FF,$C0,$00,$0F,$FC
 .db $C0,$00,$FF,$FF,$C0,$03,$FF,$FF,$00,$00,$FF,$C0,$00,$0F,$FF,$FC
 .db $00,$3F,$FF,$F0,$00,$03,$FC,$00,$00,$3F,$FF,$F0,$03,$FF,$FF,$C0
 .db $00,$3F,$F0,$00,$03,$FF,$FF,$00,$0F,$FF,$FC,$00,$00,$FF,$00,$C0
 .db $0F,$FF,$FC,$00,$3F,$FF,$F0,$00,$0F,$FC,$C0,$00,$3F,$FF,$F0,$03
 .db $FF,$FF,$00,$00,$3F,$F3,$00,$03,$FF,$FF,$00,$0F,$FF,$FC,$00,$03
 .db $FF,$F0,$00,$0F,$FF,$FC,$00,$FF,$FF,$F0,$00,$0F,$FC,$C0,$00,$FF
 .db $FF,$C0,$03,$FF,$FF,$00,$00,$3F,$F0,$00,$03,$FF,$FF,$00,$0F,$FF
 .db $FC,$00,$03,$FF,$30,$00,$0F,$FF,$F0,$00,$FF,$FF,$C0,$00,$0F,$FC
 .db $00,$00,$FF,$FF,$C0,$03,$FF,$FF,$00,$00,$FF,$C0,$00,$03,$FF,$FC
 .db $00,$3F,$FF,$F0,$00,$03,$FF,$00,$00,$3F,$FF,$F0,$00,$FF,$FF,$C0
 .db $00,$3F,$F0,$00,$00,$FF,$FF,$00,$0F,$FF,$FC,$00,$00,$FF,$C0,$00
 .db $0F,$FF,$FC,$00,$3F,$FF,$C0,$00,$0F,$FC,$00,$00,$3F,$FF,$C0,$03
 .db $FF,$FF,$00,$00,$FF,$C0,$00,$03,$FF,$FC,$00,$3F,$FF,$F0,$00,$03
 .db $FF,$00,$00,$3F,$FF,$F0,$03,$FF,$FF,$00,$00,$3F,$F0,$00,$03,$FF
 .db $FF,$00,$0F,$FF,$F0,$00,$03,$FF,$00,$00,$0F,$FF,$F0,$00,$FF,$FF
 .db $C0,$00,$3F,$FC,$00,$00,$FF,$FF,$C0,$0F,$FF,$FC,$00,$00,$FF,$C0
 .db $00,$0F,$FF,$FC,$00,$FF,$FF,$C0,$00,$0F,$FC,$00,$00,$FF,$FF,$C0
 .db $0F,$FF,$FC,$00,$00,$FF,$C0,$00,$0F,$FF,$FC,$00,$3F,$FF,$C0,$00
 .db $0F,$FC,$00,$00,$FF,$FF,$F0,$03,$FF,$FC,$00,$00,$FF,$C0,$30,$0F
 .db $FF,$FC,$00,$FF,$FF,$C0,$00,$0F,$FC,$03,$00,$FF,$FF,$C0,$03,$FF
 .db $FC,$00,$00,$FF,$C0,$30,$0F,$FC,$FC,$00,$FF,$FF,$C0,$00,$0F,$FC
 .db $03,$00,$FF,$0F,$C0,$0F,$FF,$FC,$00,$00,$FF,$C0,$30,$0F,$FF,$FC
 .db $00,$FF,$FF,$C0,$00,$0F,$FC,$03,$00,$FC,$3F,$C0,$0F,$FF,$FC,$00
 .db $00,$FF,$C0,$30,$0F,$F0,$FC,$00,$FF,$FF,$C0,$00,$0F,$FC,$03,$00
 .db $FC,$0F,$C0,$0F,$FF,$FC,$00,$00,$FF,$C0,$F0,$0F,$C3,$FC,$00,$FF
 .db $FF,$C0,$00,$0F,$FC,$3F,$00,$FC,$0F,$C0,$0F,$FF,$FC,$00,$00,$FF
 .db $C3,$F0,$0F,$C0,$FC,$00,$FF,$FF,$C0,$00,$0F,$FC,$3F,$00,$00,$0F
 .db $C0,$0F,$FF,$FC,$00,$03,$FF,$03,$F0,$00,$00,$00,$00,$FF,$FF,$C0
 .db $00,$3F,$F0,$3F,$00,$00,$00,$00,$0F,$FF,$FC,$00,$3F,$FC,$00,$03
 .db $C0,$00,$00,$03,$FF,$FF,$C0,$0F,$FF,$C0,$00,$30,$00,$00,$3F,$FF
 .db $FF,$00,$03,$FF,$FF,$00,$00,$00,$00,$FF,$FF,$FF,$F0,$00,$0F,$FC
 .db $00,$00,$00,$FF,$FF,$FF,$FF,$F0,$00,$00,$FF,$FF,$00,$00,$FF,$FF
 .db $F0,$3F,$03,$C0,$00,$03,$F0,$F0,$03,$FF,$FF,$FC,$00,$03,$F0,$00
 .db $00,$3F,$FF,$FC,$FF,$FF,$FC,$00,$00,$00,$00,$00,$0F,$FF,$FF,$F3
 .db $FF,$FF,$00,$00,$00,$FF,$00,$00,$FF,$FF,$FC,$0F,$FF,$FC,$00,$00
 .db $3F,$C0,$00,$0F,$FF,$FF,$C0,$FF,$FF,$00,$00,$0F,$FF,$00,$00,$3F
 .db $FF,$FC,$03,$FC,$FF,$00,$00,$3F,$C0,$00,$00,$FF,$FF,$C0,$0F,$FF
 .db $FC,$00,$00,$FF,$00,$00,$0F,$FF,$FC,$03,$FF,$FF,$C0,$00,$0F,$FF
 .db $00,$00,$3F,$FF,$C0,$0F,$FF,$FF,$00,$00,$3F,$C0,$00,$03,$FF,$FC
 .db $00,$FF,$FF,$FC,$00,$03,$FF,$00,$00,$3F,$FF,$C0,$0F,$FF,$FF,$C0
 .db $00,$3F,$FC,$00,$03,$FF,$FC,$00,$0F,$FF,$F0,$00,$03,$FF,$F0,$00
 .db $3F,$FF,$C0,$00,$FF,$FF,$00,$00,$3F,$FF,$C0,$00,$FF,$FC,$00,$03
 .db $FF,$F0,$00,$03,$FF,$FC,$00,$0F,$FF,$C0,$00,$3F,$FF,$C0,$00,$FF
 .db $FF,$C0,$00,$FF,$FF,$00,$00,$FF,$FF,$00,$03,$FF,$FC,$00,$0F,$FF
 .db $30,$0F,$0F,$FF,$C0,$00,$FF,$FF,$0C,$00,$0F,$FF,$00,$3F,$FF,$FC
 .db $3F,$0F,$F3,$0F,$00,$F0,$FC,$3C,$3F,$0F,$0F,$C3,$C0,$FF,$FF,$3C
 .db $00,$0F,$FF,$C3,$0F,$0F,$C3,$C0,$C0,$FF,$FC,$0C,$0F,$0F,$C0,$00
 .db $C0,$FF,$3F,$03,$F0,$FF,$F0,$30,$0F,$F0,$3F,$0C,$0F,$03,$C0,$C3
 .db $F0,$FC,$0C,$03,$3F,$F0,$00,$0C,$3F,$3F,$C3,$0F,$CF,$CF,$C0,$F3
 .db $03,$C0,$C0,$C3,$FF,$FC,$00,$0F,$FF,$F0,$3C,$03,$F0,$F0,$30,$0F
 .db $CF,$C3,$FF,$F0,$F0,$0C,$0F,$0F,$C0,$F0,$3F,$FF,$0F,$C0,$3C,$0F
 .db $03,$C0,$3F,$FF,$FF,$F0,$0C,$0C,$00,$00,$0F,$FF,$FF,$FC,$0C,$00
 .db $00,$00,$00,$0F,$FF,$FF,$FC,$00,$00,$00,$00,$00,$FF,$FF,$FC,$00
 .db $00,$00,$00,$00,$3F,$FF,$FF,$00,$00,$00,$00,$00,$03,$FF,$FF,$F0
 .db $00,$03,$C0,$00,$00,$3F,$FF,$FF,$00,$00,$0C,$00,$00,$00,$FF,$FF
 .db $FC,$00,$00,$FF,$00,$00,$03,$FF,$FF,$F0,$00,$03,$FC,$00,$00,$03
 .db $FF,$FF,$F0,$00,$0F,$F0,$00,$00,$00,$03,$FF,$FF,$FC,$00,$00,$00
 .db $00,$00,$00,$00,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $FF,$C0,$00,$0C,$00,$00,$00,$C0,$00,$FF,$FF,$FF,$C0,$00,$00,$00
 .db $00,$C0,$C0,$00,$FF,$FF,$CC,$00,$00,$00,$00,$0C,$F0,$00,$00,$3F
 .db $FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$0F,$C0,$00,$FF,$FF,$FF,$C3,$0F,$00,$00,$00
 .db $00,$30,$00,$00,$FC,$00,$FF,$FF,$C0,$0C,$FF,$F0,$00,$03,$F0,$00
 .db $00,$FF,$00,$3F,$FF,$F0,$03,$FF,$FC,$00,$03,$FF,$00,$C0,$3F,$FF
 .db $F0,$00,$0F,$FF,$F0,$03,$FF,$FC,$00,$F3,$3C,$00,$C0,$0F,$F0,$00
 .db $00,$0F,$FF,$FC,$00,$FF,$FF,$00,$3F,$C0,$00,$3F,$C3,$F0,$00,$C0
 .db $00,$FF,$FF,$C0,$3F,$FF,$C0,$0F,$00,$00,$0F,$F0,$FF,$03,$F0,$00
 .db $3F,$FF,$F0,$0F,$FF,$F0,$03,$3C,$00,$00,$FC,$3F,$C0,$0C,$00,$0F
 .db $FF,$FC,$03,$FF,$FC,$00,$0F,$00,$00,$0F,$0F,$FC,$03,$C0,$03,$FF
 .db $FF,$00,$3F,$FF,$00,$03,$C0,$00,$03,$FF,$FF,$C0,$FC,$00,$3F,$FF
 .db $F0,$0F,$FF,$C0,$00,$FC,$00,$00,$3F,$CF,$FC,$00,$C0,$0F,$FF,$FF
 .db $00,$FF,$FC,$00,$0F,$C0,$00,$03,$FC,$FF,$C0,$3C,$00,$FF,$FF,$F0
 .db $0F,$FC,$C0,$00,$FC,$00,$00,$FF,$CF,$FC,$0F,$C0,$0F,$FF,$FF,$00
 .db $FF,$CC,$C0,$0F,$C0,$00,$0F,$FC,$3F,$C0,$3C,$00,$FF,$FF,$F0,$0F
 .db $FC,$0C,$00,$FC,$00,$00,$FF,$F3,$FC,$0F,$F0,$0F,$FF,$FF,$00,$FF
 .db $C0,$C0,$0F,$C0,$00,$0F,$FC,$0F,$C0,$FF,$00,$FF,$FF,$F0,$0F,$FC
 .db $0C,$00,$FC,$00,$00,$3F,$C0,$FC,$03,$C0,$0F,$FF,$FF,$00,$FF,$C0
 .db $C0,$0F,$C0,$00,$03,$FC,$03,$C0,$3C,$00,$FF,$FF,$C0,$0F,$FC,$0C
 .db $00,$FC,$00,$00,$3F,$C0,$3C,$03,$C0,$0F,$FF,$FC,$00,$FF,$C0,$C0
 .db $0F,$C0,$00,$03,$FC,$0F,$F0,$FC,$00,$FF,$FF,$C0,$3F,$FC,$00,$00
 .db $FC,$00,$00,$3F,$C0,$FF,$00,$00,$3F,$FF,$F0,$03,$FF,$C0,$00,$3F
 .db $00,$00,$03,$FC,$0F,$C0,$00,$03,$FF,$FC,$00,$FF,$F0,$00,$0F,$F0
 .db $00,$00,$FF,$C3,$FC,$C0,$00,$FF,$FF,$00,$3F,$FC,$00,$00,$FC,$00
 .db $00,$3F,$F0,$FF,$0C,$00,$3F,$FF,$C0,$03,$FF,$C0,$00,$3F,$C0,$00
 .db $03,$FF,$0C,$F0,$00,$03,$FF,$FC,$00,$FF,$F0,$00,$0F,$F0,$00,$00
 .db $FF,$F3,$0C,$00,$03,$FF,$FC,$00,$3F,$FC,$00,$03,$FC,$00,$00,$3F
 .db $FF,$C0,$00,$00,$FF,$FC,$00,$3F,$FF,$00,$00,$FF,$00,$00,$0F,$FF
 .db $FC,$00,$00,$FF,$FC,$00,$0F,$FF,$00,$00,$FF,$00,$00,$0F,$FF,$FF
 .db $00,$03,$FF,$FC,$00,$3F,$FF,$00,$00,$FF,$00,$00,$0F,$FF,$FF,$00
 .db $03,$FF,$FF,$00,$3F,$FF,$00,$00,$FC,$00,$00,$0F,$FF,$FF,$00,$03
 .db $FF,$FF,$00,$0F,$FF,$00,$00,$FF,$00,$00,$0F,$FF,$FF,$C0,$00,$FF
 .db $FF,$00,$0F,$FF,$C0,$00,$3F,$00,$00,$0F,$FF,$FF,$C0,$00,$FF,$FF
 .db $C0,$03,$FF,$C0,$00,$0F,$C0,$00,$03,$FF,$FF,$F0,$00,$3F,$FF,$F0
 .db $00,$FF,$F0,$00,$03,$F0,$00,$00,$FF,$FF,$FC,$00,$0F,$FF,$FC,$00
 .db $3F,$FF,$00,$00,$FC,$00,$00,$3F,$FF,$FF,$00,$03,$FF,$FF,$00,$0F
 .db $FF,$C0,$00,$3F,$00,$00,$0F,$FF,$FF,$C0,$00,$3F,$FF,$C0,$03,$FF
 .db $F0,$00,$03,$C0,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FC,$00,$3F,$FC
 .db $00,$00,$3C,$00,$00,$3F,$FF,$FC,$00,$03,$FF,$FF,$00,$0F,$FF,$00
 .db $00,$0F,$00,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$03,$FF,$C0,$00
 .db $03,$C0,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$C0,$00,$FF,$F0,$00,$03
 .db $F0,$00,$00,$FF,$FF,$F0,$00,$3F,$FF,$C0,$00,$FF,$FF,$00,$00,$F0
 .db $00,$00,$3F,$FF,$F0,$00,$FF,$FF,$C0,$00,$FF,$FF,$00,$00,$F0,$0C
 .db $00,$3F,$FF,$F0,$00,$FF,$FF,$C0,$03,$FF,$FC,$00,$00,$C0,$30,$00
 .db $3F,$FF,$C0,$03,$FF,$FF,$00,$0F,$FF,$F0,$00,$00,$03,$C0,$00,$FF
 .db $FC,$00,$FF,$FF,$FC,$00,$FF,$FF,$00,$00,$00,$3C,$00,$03,$FF,$C0
 .db $0F,$FF,$FF,$C0,$0F,$FF,$FC,$00,$00,$03,$F0,$00,$3F,$C0,$0F,$FF
 .db $FF,$C0,$0F,$FF,$FF,$00,$00,$03,$0C,$00,$03,$C0,$0F,$FF,$FF,$00
 .db $0F,$FF,$FF,$00,$00,$00,$CC,$00,$0F,$00,$0F,$FF,$FC,$00,$0F,$FF
 .db $F0,$00,$00,$03,$00,$00,$3C,$00,$3F,$FF,$FF,$00,$3F,$FF,$FC,$00
 .db $00,$0F,$30,$00,$00,$00,$FF,$FF,$FC,$00,$FF,$FF,$F0,$00,$00,$0C
 .db $C0,$03,$00,$03,$FF,$FF,$30,$03,$FF,$FF,$C0,$00,$00,$CF,$00,$00
 .db $00,$3F,$FF,$FF,$00,$3F,$FF,$FC,$00,$00,$0F,$F0,$3C,$C0,$00,$FF
 .db $FF,$C0,$00,$FF,$FF,$F0,$00,$00,$3F,$C3,$FF,$00,$0F,$FF,$FF,$C0
 .db $0F,$FF,$FF,$00,$00,$03,$FC,$3F,$00,$00,$3F,$FF,$F3,$00,$3F,$FF
 .db $FC,$00,$00,$0F,$00,$03,$F0,$00,$FF,$FF,$CC,$00,$FF,$FF,$30,$03
 .db $FF,$FF,$00,$0F,$0F,$F0,$3F,$30,$FF,$C3,$F0,$FF,$0C,$0F,$FF,$F0
 .db $00,$3F,$FC,$00,$3C,$3F,$0C,$0F,$0F,$F0,$0F,$CF,$CC,$0F,$CF,$03
 .db $0F,$F3,$C0,$03,$CF,$FF,$00,$03,$FF,$C0,$00,$F3,$00,$C3,$FF,$F0
 .db $00,$FF,$FF,$C0,$00,$FF,$FF,$FC,$0C,$C0,$0F,$FF,$F3,$00,$03,$FF
 .db $F0,$00,$03,$FF,$FF,$FC,$00,$00,$0F,$FF,$C0,$00,$03,$FF,$F0,$00
 .db $00,$FF,$00,$FF,$FF,$FC,$00,$3F,$FF,$F0,$00,$00,$3F,$F0,$00,$0F
 .db $F0,$0F,$FF,$FF,$C0,$03,$FF,$FF,$C0,$00,$00,$FC,$00,$00,$FC,$00
 .db $FF,$FF,$FC,$00,$FF,$FF,$F0,$00,$00,$0F,$C0,$00,$00,$00,$3F,$FF
 .db $FF,$00,$0F,$FF,$FF,$00,$00,$00,$FC,$00,$00,$00,$0F,$FF,$FF,$C0
 .db $0F,$FF,$FF,$C0,$00,$00,$FC,$00,$00,$00,$0F,$FF,$FF,$C0,$03,$FF
 .db $FF,$C0,$00,$00,$30,$03,$00,$00,$0F,$FF,$FF,$C0,$03,$FF,$FF,$C0
 .db $00,$00,$3C,$00,$00,$00,$0F,$FF,$FF,$C0,$0F,$FF,$FF,$C0,$00,$00
 .db $FF,$00,$C0,$00,$3F,$FF,$FF,$00,$3F,$FF,$FF,$00,$00,$00,$FC,$3F
 .db $C0,$00,$FF,$FF,$FC,$00,$FF,$FF,$FC,$03,$00,$00,$00,$FF,$00,$03
 .db $FF,$FF,$F0,$03,$FF,$FF,$F0,$00,$00,$00,$00,$FC,$00,$03,$FF,$FF
 .db $F0,$03,$FF,$FF,$F0,$00,$00,$33,$00,$0C,$00,$0F,$FF,$FF,$C0,$00
 .db $FF,$FF,$F0,$00,$00,$FF,$00,$00,$00,$0F,$FF,$FF,$C0,$03,$CF,$FF
 .db $F0,$00,$00,$3F,$C0,$00,$00,$03,$FF,$FF,$F0,$00,$FF,$FF,$FC,$00
 .db $00,$3F,$F0,$00,$00,$03,$FF,$FF,$FC,$00,$3F,$FF,$FC,$00,$00,$0F
 .db $F0,$00,$00,$00,$FF,$FF,$FF,$00,$3F,$FF,$FF,$00,$00,$03,$FC,$00
 .db $00,$00,$0F,$FF,$FF,$C0,$03,$FF,$FF,$C0,$00,$00,$3F,$C0,$00,$00
 .db $00,$FF,$FF,$FC,$00,$3F,$FF,$FC,$00,$00,$0F,$FC,$00,$00,$00,$3F
 .db $FF,$FF,$C0,$03,$FF,$FF,$C0,$00,$00,$FF,$00,$00,$00,$00,$FF,$FF
 .db $FC,$00,$0F,$FF,$FC,$00,$00,$03,$FC,$00,$00,$00,$03,$FF,$FF,$F0
 .db $00,$FF,$FF,$F0,$00,$00,$3F,$C0,$00,$00,$00,$3F,$FF,$FF,$C0,$03
 .db $FF,$FF,$C0,$00,$00,$FF,$00,$00,$00,$00,$FF,$FF,$FF,$00,$0F,$FF
 .db $FC,$00,$00,$03,$FC,$00,$00,$00,$03,$FF,$FF,$F0,$00,$FF,$FF,$F0
 .db $00,$00,$0F,$C0,$00,$00,$00,$3F,$FF,$FF,$C0,$03,$FF,$FF,$00,$00
 .db $00,$FC,$00,$00,$00,$03,$FF,$FF,$FC,$00,$FF,$FF,$F0,$00,$00,$0F
 .db $F0,$00,$00,$00,$3F,$FF,$FF,$00,$0F,$FF,$FF,$00,$00,$00,$3C,$00
 .db $30,$00,$0F,$FF,$FF,$F0,$03,$FF,$FF,$C0,$00,$00,$03,$00,$0F,$00
 .db $03,$FF,$FF,$F0,$00,$FF,$FF,$F0,$00,$00,$00,$C0,$03,$C0,$00,$FF
 .db $FF,$FF,$00,$0F,$FF,$FF,$00,$00,$00,$F0,$00,$00,$00,$0F,$FF,$FF
 .db $F0,$00,$FF,$FF,$C0,$00,$00,$0F,$00,$00,$00,$00,$FF,$FF,$FF,$00
 .db $0F,$FF,$FF,$00,$00,$00,$FC,$00,$00,$00,$03,$FF,$FF,$FC,$00,$3F
 .db $FF,$F0,$00,$00,$03,$F0,$00,$00,$3C,$00,$FF,$FF,$FC,$00,$3F,$FF
 .db $FC,$00,$00,$03,$FC,$00,$00,$3F,$00,$3F,$FF,$FF,$00,$3F,$F3,$FC
 .db $00,$00,$00,$FF,$C0,$00,$0F,$C0,$0F,$FF,$FF,$C0,$03,$F0,$FF,$00
 .db $00,$00,$FF,$C0,$00,$03,$C0,$0F,$FF,$FF,$F0,$00,$FF,$FF,$C0,$00
 .db $00,$FF,$F0,$03,$0F,$C0,$0F,$FF,$FF,$C0,$00,$FF,$FF,$C0,$00,$00
 .db $FF,$F0,$3F,$00,$00,$0F,$FF,$FF,$C0,$03,$FF,$FF,$00,$00,$00,$FF
 .db $F0,$0C,$00,$00,$3F,$FF,$FF,$00,$03,$FF,$FF,$00,$00,$03,$FF,$C0
 .db $00,$00,$00,$FF,$FF,$FC,$00,$0F,$FF,$FC,$00,$00,$03,$FF,$03,$00
 .db $00,$03,$FF,$FF,$FC,$00,$3F,$FF,$FC,$00,$00,$0F,$FC,$0F,$C0,$00
 .db $0F,$FF,$FF,$C0,$00,$CF,$FF,$C0,$00,$00,$3F,$F0,$FF,$00,$00,$3F
 .db $FF,$FF,$00,$00,$3F,$FF,$00,$00,$00,$FF,$CF,$C0,$00,$03,$FF,$FF
 .db $F0,$00,$00,$FF,$F0,$00,$00,$0F,$FC,$FF,$00,$00,$3F,$FF,$FF,$00
 .db $03,$3F,$FF,$00,$00,$00,$3F,$03,$00,$00,$03,$FF,$FF,$F0,$00,$3F
 .db $FF,$C0,$00,$00,$0C,$00,$00,$00,$00,$3F,$FF,$FF,$00,$00,$FF,$FC
 .db $00,$00,$03,$C0,$00,$00,$00,$0F,$FF,$FF,$C0,$00,$0F,$FF,$00,$00
 .db $03,$C0,$00,$00,$00,$03,$FF,$FF,$C0,$00,$03,$FF,$C0,$00,$03,$F0
 .db $3C,$00,$00,$03,$FF,$FF,$F0,$00,$03,$FF,$C3,$00,$03,$00,$FC,$00
 .db $00,$03,$FF,$FF,$F0,$00,$03,$FF,$FF,$00,$00,$03,$FC,$00,$00,$00
 .db $FF,$FF,$F0,$00,$03,$FF,$FF,$00,$00,$0F,$F0,$00,$00,$00,$FF,$FF
 .db $F0,$00,$03,$FF,$FF,$00,$00,$03,$F0,$00,$00,$00,$FF,$FF,$F0,$00
 .db $03,$FF,$FF,$00,$00,$0F,$F0,$00,$00,$00,$FF,$FF,$FC,$00,$03,$FF
 .db $FF,$00,$00,$3F,$FC,$00,$00,$00,$FF,$FF,$FF,$00,$03,$FF,$FF,$00
 .db $00,$00,$FC,$00,$00,$00,$3F,$FF,$FF,$00,$00,$FF,$FF,$F0,$00,$00
 .db $FC,$00,$00,$00,$3F,$FF,$FF,$C0,$00,$0F,$FF,$FC,$00,$00,$FF,$0C
 .db $00,$00,$0F,$FF,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$03,$FF,$00,$00
 .db $00,$0F,$FF,$FF,$00,$00,$3F,$FF,$F0,$00,$00,$0F,$F0,$00,$00,$00
 .db $FF,$FF,$FC,$00,$03,$FF,$FF,$F0,$00,$00,$0F,$FC,$00,$00,$03,$FF
 .db $FF,$F0,$00,$00,$FF,$FF,$C0,$00,$00,$0F,$FF,$C0,$00,$3F,$FF,$FF
 .db $C0,$00,$0F,$FF,$FF,$00,$00,$00,$3F,$FC,$00,$03,$FF,$FF,$FF,$00
 .db $00,$3F,$FF,$FC,$00,$00,$00,$3C,$0F,$03,$FF,$FF,$FF,$C0,$00,$3F
 .db $FF,$FF,$00,$00,$00,$00,$03,$F3,$FF,$FF,$FF,$C0,$00,$3F,$FF,$FF
 .db $C0,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$C0,$00,$3F,$FF,$FC,$00,$00
 .db $00,$00,$00,$0F,$FF,$FF,$FF,$C0,$00,$0F,$FF,$FC,$00,$00,$00,$00
 .db $00,$03,$FF,$FF,$FF,$F0,$00,$3F,$FF,$FC,$00,$00,$00,$00,$00,$00
 .db $FF,$FF,$FF,$F0,$00,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $FF,$FF,$00,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$03,$FC,$03,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$C0,$00,$00,$00,$00,$FF,$C0,$03,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$C0,$00,$00,$00,$3F,$FC,$00,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $F0,$00,$00,$00,$0F,$FC,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$33,$F0,$00,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00
 .db $00,$0F,$FF,$00,$03,$FF,$FF,$FF,$F3,$3F,$FF,$FF,$00,$00,$00,$03
 .db $FF,$FC,$00,$FF,$FF,$FF,$FC,$00,$3F,$FF,$00,$00,$00,$3C,$3F,$C0
 .db $00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$30,$00,$00,$3F,$FF,$C0,$00
 .db $00,$FF,$FC,$30,$0F,$00,$30,$30,$00,$00,$00,$3C,$00,$F3,$FF,$FC
 .db $F3,$FF,$FF,$F0,$00,$3F,$F0,$00,$00,$FF,$3F,$FC,$C0,$00,$03,$0F
 .db $F3,$CF,$CC,$F3,$F0,$00,$00,$00,$0F,$0F,$FF,$FF,$F3,$F0,$3C,$3C
 .db $3F,$C3,$C0,$C0,$30,$C3,$3C,$3F,$3F,$CF,$FC,$FC,$CC,$CC,$C3,$0F
 .db $00,$C0,$00,$C0,$3C,$FC,$3C,$0C,$0F,$0F,$30,$F0,$00,$FC,$FF,$3C
 .db $0C,$33,$03,$0F,$C0,$CF,$3C,$FC,$CC,$03,$33,$3F,$3C,$33,$C0,$CF
 .db $30,$0C,$CF,$C3,$F3,$F0,$C3,$F0,$F0,$F3,$30,$C3,$0C,$33,$33,$CF
 .db $C3,$F3,$FC,$F0,$33,$3C,$3C,$3F,$3F,$0C,$3C,$03,$CC,$03,$3C,$CC
 .db $F0,$FC,$FC,$F3,$FC,$FC,$03,$33,$00,$F0,$C3,$30,$C3,$3F,$30,$FF
 .db $3C,$3C,$3C,$0C,$3C,$33,$0F,$0C,$0C,$0F,$0F,$0F,$C3,$03,$C3,$F0
 .db $F0,$F0,$33,$3F,$C0,$C3,$0C,$F3,$03,$FC,$F0,$F3,$3C,$FC,$C0,$CF
 .db $30,$C3,$C0,$30,$F0,$C3,$30,$F0,$3C,$3F,$3C,$C3,$03,$3C,$F3,$CF
 .db $CC,$CF,$0F,$3C,$0C,$3C,$33,$3C,$3C,$3F,$3F,$3C,$FC,$0F,$3C,$CF
 .db $30,$3C,$3C,$FC,$33,$CC,$03,$CF,$CF,$03,$C3,$33,$C0,$F3,$0C,$30
 .db $33,$FF,$C3,$C3,$F0,$F0,$F0,$CC,$F0,$3C,$0C,$33,$C3,$C3,$03,$03
 .db $F3,$CF,$00,$C0,$F3,$33,$3F,$CC,$CC,$FC,$F3,$CF,$0F,$03,$0F,$0C
 .db $FF,$0F,$0F,$F3,$C3,$CC,$CC,$F0,$C3,$03,$0C,$C3,$CC,$FC,$30,$CC

.end