;Plays a 1-Bit, 11kHz, Mono WAV-File over a connected earphone...
; (C) 1996 by Andreas Ess
;If you use the code, please give me an appropriate credit.
;Send a postcard saying thank you to:
; Andreas Ess
; Tufers 156
; A-6811 Goefis
; Austria/Europe
;-----------------------------------------------------------------------------
;ported to the ti-86 by Andrew Waser without permission (I didn't do much,
;just made it compatible..)
;-----------------------------------------------------------------------------


#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram
    nop
    jp Start      
    .dw 0
    .dw Title

Title:
.db "Fat Guy in a Little Coat",0

Start:
 ld hl, Sound
 call PlayWAV

 ret

PlayWAV:
 di                    ;greylib by robert taylor can't be used :(
 ld   a, 0C0h         
 out   (7), a
 ld   e, (hl)
 inc   hl
 ld   d, (hl)
 inc   hl
 ld   b, 128           ;b is used as a mask
SoundLoop:
 ld   c, 19

DLoop:
 dec   c
 jr nz,   DLoop
 nop
 nop
 rrc   b
 jr nc,   Play
 inc   hl               ;next byte
 dec   de
 ld   a, d
 or    e
 jr z,    DonePlay
 xor   a                ;exit key pressed?
 out   (1), a
 in    a, (1)
 bit   6, a
 jr z,    DonePlay
Play:
 ld   a, (hl)          ;get bit
 and   b
 jr z,    Play1
 ld   a, 0FCh
 out   (7), a
 jr   SoundLoop
Play1:
 ld   a, 0C0h
 out   (7), a
 jr   SoundLoop
DonePlay:
 ld  a, 0C0h
 out  (7), a
 ei
 ret

;-----------------------------------------------------------------------------
;The WAV-File:
;-----------------------------------------------------------------------------
Sound:
S_C:\MYDOCU~1\MP3\FATGUY.WAV:
 .dw 8720
 .db $00,$00,$FC,$00,$0F,$FF,$FF,$00,$00,$FF,$FC,$00,$00,$3F,$F0,$00
 .db $00,$FC,$00,$0F,$FF,$FF,$00,$00,$FF,$F0,$00,$00,$3F,$F3,$F0,$00
 .db $FC,$00,$00,$FF,$FF,$00,$00,$3F,$FC,$00,$00,$3F,$FF,$F0,$00,$FF
 .db $00,$00,$3F,$FF,$FC,$00,$0F,$FF,$F0,$00,$0F,$FF,$FC,$00,$0C,$F0
 .db $00,$0F,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$3F,$FF,$C0,$00,$3F,$C0
 .db $00,$3F,$FF,$FC,$00,$03,$FF,$FC,$00,$00,$FF,$FC,$00,$00,$FF,$00
 .db $00,$FF,$FF,$F0,$00,$0F,$FF,$F0,$00,$03,$FF,$F0,$00,$0F,$F0,$00
 .db $03,$FF,$FF,$C0,$00,$FF,$FF,$00,$00,$0F,$FF,$F0,$00,$FF,$00,$00
 .db $3F,$FF,$FC,$00,$03,$FF,$FC,$00,$00,$FF,$FF,$00,$00,$F0,$00,$03
 .db $FF,$FF,$C0,$00,$0F,$FF,$00,$00,$03,$FF,$F0,$00,$00,$00,$00,$FF
 .db $FF,$F0,$00,$03,$FF,$FC,$00,$00,$3F,$FF,$00,$00,$00,$00,$FF,$FF
 .db $F0,$00,$03,$FF,$FC,$00,$00,$3F,$FF,$C0,$00,$00,$00,$FF,$FF,$FC
 .db $00,$03,$FF,$FC,$00,$00,$3F,$FF,$F0,$00,$00,$00,$FF,$FF,$FF,$00
 .db $00,$FF,$FF,$00,$00,$03,$FF,$F0,$00,$00,$00,$FF,$FF,$FF,$C0,$00
 .db $0F,$FF,$F0,$00,$00,$3F,$FF,$FC,$00,$00,$FF,$FF,$FF,$00,$00,$00
 .db $FF,$FF,$00,$00,$0F,$FF,$F0,$00,$03,$FF,$FF,$FF,$00,$00,$00,$FF
 .db $FF,$C0,$00,$00,$3F,$00,$00,$33,$FF,$FF,$FF,$C0,$00,$00,$03,$FC
 .db $00,$00,$00,$30,$00,$03,$3F,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$03
 .db $3F,$FF,$00,$00,$00,$3F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$FF
 .db $FF,$00,$00,$3F,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$FF,$FF
 .db $C0,$00,$3F,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00
 .db $3F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$0C,$3C,$03,$FF,$FF
 .db $FF,$FF,$3F,$30,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FC
 .db $00,$00,$03,$00,$00,$00,$00,$03,$FF,$FF,$FF,$F3,$00,$FC,$FF,$FF
 .db $00,$00,$03,$3F,$FC,$00,$0C,$FF,$FC,$F0,$33,$30,$F3,$FF,$FF,$FF
 .db $FF,$0C,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$FF,$0C,$00,$00
 .db $00,$00,$03,$3F,$FF,$FF,$FF,$FF,$FF,$00,$3F,$3F,$FF,$CF,$FF,$FC
 .db $C0,$00,$33,$3F,$33,$FF,$FF,$FF,$FF,$FF,$FF,$F3,$3F,$CC,$0C,$FC
 .db $30,$3F,$FF,$0F,$0C,$CF,$3C,$C0,$30,$03,$3F,$FF,$33,$FF,$FF,$FF
 .db $FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$33,$FC,$00,$0F,$FF,$CF,$0F
 .db $0F,$FF,$C0,$00,$3F,$FC,$3C,$3C,$FF,$CF,$FF,$C0,$03,$FF,$FF,$FF
 .db $C0,$C0,$FC,$3C,$FC,$C0,$03,$FF,$30,$03,$FF,$0F,$03,$33,$3C,$F3
 .db $F3,$03,$3F,$C3,$0C,$33,$C0,$00,$FF,$00,$C3,$CF,$C3,$FF,$CC,$3F
 .db $FF,$00,$03,$CF,$0C,$FF,$00,$00,$CF,$3F,$00,$0C,$C3,$0F,$3C,$FC
 .db $3C,$0C,$C3,$CF,$30,$F3,$3C,$F0,$C0,$0C,$F3,$C0,$00,$00,$0C,$3C
 .db $FC,$00,$00,$0F,$30,$F3,$3F,$3F,$F0,$0F,$3C,$3C,$33,$CC,$0C,$F0
 .db $03,$00,$C3,$F3,$3C,$30,$33,$F3,$30,$C0,$C0,$00,$0C,$3F,$C3,$00
 .db $00,$F3,$C3,$CC,$30,$CF,$00,$0F,$FF,$F0,$0C,$FC,$C0,$03,$3F,$00
 .db $00,$3C,$C3,$0F,$FC,$03,$3F,$00,$00,$30,$CF,$0F,$FF,$00,$30,$FF
 .db $CC,$30,$FC,$FC,$03,$FF,$30,$00,$30,$C3,$FC,$33,$FC,$30,$00,$03
 .db $FF,$C0,$00,$FF,$FF,$C0,$30,$33,$FC,$0C,$30,$0F,$3C,$3C,$00,$0C
 .db $FF,$C0,$3C,$F3,$C3,$CF,$00,$00,$0F,$FF,$F3,$03,$03,$C3,$0F,$00
 .db $03,$00,$03,$C0,$03,$FF,$F0,$F3,$33,$3F,$33,$3F,$FC,$3C,$F0,$30
 .db $CF,$0C,$F0,$CF,$CC,$CC,$F0,$CC,$F0,$30,$F3,$FF,$3C,$FC,$F0,$00
 .db $00,$00,$0C,$0F,$FF,$C0,$03,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00
 .db $C0,$00,$FF,$FF,$FF,$FF,$CF,$00,$00,$00,$00,$03,$3C,$00,$00,$FF
 .db $FF,$FF,$FF,$FC,$30,$00,$00,$3C,$FF,$F0,$00,$30,$FF,$FF,$FC,$FF
 .db $FF,$00,$00,$00,$0F,$FF,$F0,$00,$03,$CF,$FF,$F3,$C3,$FF,$C0,$00
 .db $00,$C0,$C3,$C0,$00,$00,$00,$C3,$FF,$FF,$F3,$FF,$C0,$00,$00,$C0
 .db $00,$00,$00,$00,$00,$00,$FF,$FF,$FC,$F0,$F0,$00,$00,$30,$F0,$F0
 .db $00,$C0,$00,$00,$0F,$FF,$FF,$00,$0F,$30,$00,$00,$03,$3F,$FF,$0C
 .db $00,$00,$00,$3F,$FF,$FF,$00,$00,$00,$00,$00,$33,$FF,$F0,$00,$00
 .db $00,$00,$FF,$FF,$FC,$00,$00,$00,$00,$00,$0F,$FF,$FC,$00,$00,$00
 .db $3F,$FF,$FF,$FC,$00,$00,$00,$00,$00,$FF,$C0,$00,$00,$00,$03,$FF
 .db $FF,$FF,$00,$00,$00,$30,$C0,$00,$F0,$30,$00,$0C,$CC,$FF,$FF,$FF
 .db $FC,$00,$00,$00,$0C,$00,$00,$00,$0C,$FF,$CF,$CF,$FF,$FF,$FF,$F0
 .db $00,$00,$00,$00,$00,$CF,$CF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0
 .db $00,$00,$00,$00,$0C,$0C,$FC,$FF,$FF,$FF,$FF,$FF,$CF,$CF,$FF,$FF
 .db $C0,$00,$00,$C0,$03,$0F,$3F,$FF,$FF,$FF,$F0,$F3,$FF,$FF,$FC,$30
 .db $33,$33,$C0,$F0,$C0,$C3,$F3,$FF,$F0,$C0,$CF,$FF,$FF,$FC,$C3,$0F
 .db $FC,$CC,$CC,$CC,$C0,$0C,$FC,$FF,$CF,$CC,$0F,$FF,$F0,$C0,$0F,$FC
 .db $00,$03,$CC,$0C,$03,$FC,$03,$03,$C3,$FF,$3C,$30,$F3,$03,$0C,$CC
 .db $33,$CC,$0C,$30,$3F,$33,$F3,$03,$0F,$FF,$FC,$00,$C0,$0C,$CC,$3C
 .db $F0,$CC,$C3,$00,$3F,$CF,$00,$0C,$C3,$C0,$C0,$3F,$F3,$CF,$00,$30
 .db $03,$FF,$FF,$F0,$00,$00,$00,$30,$C3,$0C,$0C,$3C,$FF,$FF,$FC,$00
 .db $00,$00,$00,$00,$03,$C0,$C0,$FF,$FF,$FC,$C0,$C0,$C0,$C0,$00,$00
 .db $0F,$C0,$30,$3F,$FF,$FF,$30,$00,$3F,$3C,$00,$00,$3F,$F0,$00,$03
 .db $FF,$FF,$F0,$00,$C3,$F0,$F0,$00,$33,$FF,$C0,$00,$0F,$FF,$FF,$C0
 .db $03,$FF,$C0,$00,$00,$FF,$FC,$00,$00,$0F,$FF,$FF,$C0,$03,$FC,$00
 .db $00,$0F,$FF,$FC,$00,$00,$0F,$FF,$FC,$F0,$30,$0F,$00,$00,$00,$FF
 .db $F0,$00,$00,$3C,$3F,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$FF,$FF,$C0
 .db $00,$00,$00,$03,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$3C,$30,$FF,$00
 .db $00,$CF,$FF,$FF,$C0,$C0,$F0,$00,$00,$00,$0F,$FC,$00,$00,$0F,$FF
 .db $FC,$30,$3F,$FF,$00,$00,$3C,$FF,$CC,$00,$00,$F0,$FF,$FF,$03,$CF
 .db $FC,$00,$0C,$3F,$C3,$C0,$00,$00,$3F,$FF,$F0,$C0,$FF,$FF,$00,$03
 .db $F0,$FC,$00,$00,$00,$0F,$FF,$F0,$33,$FF,$F3,$00,$00,$3C,$00,$03
 .db $00,$00,$3F,$FF,$F0,$FF,$FF,$F0,$00,$00,$00,$03,$FC,$00,$00,$3F
 .db $FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$F0,$00,$00,$3F,$FF,$FF,$FF
 .db $FF,$C0,$00,$00,$00,$03,$3F,$00,$00,$FF,$FF,$FF,$FF,$FC,$F0,$00
 .db $00,$00,$33,$C0,$00,$FF,$FF,$FF,$FF,$FF,$F0,$03,$00,$00,$3F,$00
 .db $03,$FF,$3F,$C3,$FC,$03,$C0,$00,$F0,$00,$FF,$00,$3F,$F3,$F0,$3F
 .db $C0,$3C,$0F,$C0,$C0,$0F,$F0,$00,$FF,$FC,$C3,$FF,$00,$F0,$F3,$0F
 .db $00,$3F,$F0,$00,$FF,$C0,$03,$FF,$00,$F0,$CF,$03,$F0,$3F,$F0,$00
 .db $FF,$F0,$00,$FF,$C0,$3C,$3F,$C0,$FC,$0F,$FC,$00,$3F,$FC,$00,$0F
 .db $FC,$0C,$03,$F0,$0F,$03,$FF,$00,$03,$FF,$C0,$03,$FF,$00,$00,$FF
 .db $00,$F0,$FF,$F0,$00,$3F,$FC,$00,$3F,$F0,$0C,$0F,$C0,$0F,$0F,$FC
 .db $00,$03,$FF,$00,$03,$FF,$00,$C0,$FC,$0F,$F0,$FF,$C0,$00,$FF,$FC
 .db $00,$3F,$F0,$00,$3F,$C3,$F0,$0F,$FC,$00,$3F,$FF,$00,$0F,$FC,$00
 .db $0F,$F0,$00,$03,$FF,$00,$0F,$FF,$C0,$0F,$FF,$00,$03,$FF,$00,$03
 .db $FF,$00,$03,$FF,$F0,$03,$FF,$C0,$00,$FF,$C0,$00,$3F,$F0,$00,$FF
 .db $FF,$00,$FF,$F3,$00,$0F,$FF,$F0,$3F,$C0,$00,$3F,$FF,$F0,$03,$FF
 .db $FC,$03,$F3,$30,$0F,$0F,$C0,$00,$FF,$FF,$C0,$FF,$FF,$C0,$0C,$0C
 .db $00,$0C,$00,$00,$03,$FF,$FF,$F0,$FF,$03,$F0,$00,$00,$00,$00,$0F
 .db $FF,$F0,$3F,$FF,$FF,$CF,$FF,$F0,$00,$00,$3F,$FF,$00,$FF,$00,$C0
 .db $FF,$03,$FF,$FF,$FF,$FF,$FF,$C0,$00,$3F,$C0,$00,$3F,$F0,$00,$03
 .db $FF,$FF,$FF,$FC,$00,$00,$C0,$00,$03,$FC,$00,$0F,$FF,$FF,$F3,$FF
 .db $FC,$3F,$FC,$00,$00,$00,$00,$3F,$FF,$FC,$00,$3F,$FF,$FF,$FF,$FC
 .db $00,$00,$00,$00,$3F,$FF,$F0,$3F,$FF,$C0,$3F,$F0,$00,$0F,$FF,$00
 .db $00,$00,$00,$CF,$FF,$C0,$00,$FF,$FF,$FF,$00,$00,$00,$CC,$CF,$00
 .db $00,$03,$3F,$FF,$F0,$00,$00,$3F,$FF,$C0,$00,$00,$0F,$FF,$F0,$03
 .db $FF,$FC,$00,$00,$00,$03,$FF,$FF,$00,$FF,$FF,$00,$FF,$00,$00,$0F
 .db $FF,$FC,$0F,$FF,$00,$FF,$FF,$00,$00,$FF,$FF,$FF,$FF,$C0,$0F,$0F
 .db $F0,$00,$00,$FF,$FF,$FF,$F0,$00,$3F,$FF,$C0,$00,$00,$3F,$FF,$FF
 .db $C0,$FF,$FF,$C0,$00,$00,$00,$CF,$FF,$FF,$FF,$FF,$FF,$FC,$00,$00
 .db $03,$FF,$FF,$C0,$3F,$FF,$FC,$FC,$00,$00,$0F,$FF,$FF,$FF,$FF,$F0
 .db $00,$0F,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$03,$FF
 .db $FF,$FC,$F3,$3C,$FC,$CC,$30,$00,$03,$FF,$FF,$FF,$FF,$CC,$3C,$C3
 .db $30,$00,$03,$FF,$FF,$CC,$CC,$CC,$00,$3C,$C0,$00,$0F,$FF,$FF,$FF
 .db $C0,$00,$00,$00,$30,$33,$3F,$FF,$F3,$00,$00,$00,$00,$00,$00,$00
 .db $FF,$03,$33,$3F,$FF,$FF,$0C,$00,$00,$0C,$CC,$CF,$CF,$CC,$C0,$00
 .db $30,$33,$3F,$FF,$F0,$C0,$00,$00,$C0,$CC,$0C,$FC,$FF,$CC,$00,$C0
 .db $CC,$FF,$FF,$C0,$00,$03,$F3,$C3,$00,$30,$30,$00,$00,$00,$C3,$FF
 .db $FF,$FC,$00,$0C,$0F,$C3,$03,$03,$F3,$F0,$C0,$00,$00,$C0,$FF,$FF
 .db $FC,$C0,$0F,$3C,$00,$00,$03,$FF,$F0,$C0,$00,$00,$30,$FF,$FF,$FF
 .db $00,$03,$CF,$C0,$00,$C3,$FF,$F0,$00,$30,$30,$0C,$0F,$FF,$FF,$C0
 .db $00,$F0,$F0,$00,$00,$FC,$FC,$00,$0C,$0C,$03,$03,$FF,$FF,$FC,$C0
 .db $00,$3C,$30,$00,$0C,$0F,$3C,$0C,$CC,$C0,$30,$3F,$FF,$FF,$CC,$00
 .db $03,$03,$03,$00,$03,$CF,$03,$0C,$0C,$03,$03,$FF,$FF,$F0,$C0,$00
 .db $C3,$F0,$C0,$00,$C3,$FF,$F0,$C0,$C0,$00,$3F,$FF,$FF,$FC,$00,$00
 .db $0C,$3C,$30,$00,$3C,$FC,$F0,$00,$00,$C0,$FC,$FF,$FF,$C0,$00,$00
 .db $00,$C3,$03,$03,$03,$03,$0C,$03,$3F,$F3,$33,$3F,$3F,$3F,$0F,$00
 .db $00,$00,$00,$33,$F3,$F3,$33,$33,$FF,$FF,$FF,$CF,$03,$03,$3F,$FF
 .db $3C,$00,$00,$00,$00,$00,$F3,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$C0
 .db $03,$F3,$FF,$F0,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$F3,$33,$30,$00
 .db $03,$3F,$FF,$30,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$33,$00,$00
 .db $00,$3F,$FF,$30,$30,$3C,$3F,$FC,$3F,$3F,$30,$00,$03,$3C,$CC,$00
 .db $03,$C3,$CF,$0F,$3C,$30,$F0,$C3,$FF,$3F,$FC,$00,$00,$30,$F0,$3C
 .db $F0,$C3,$F3,$FC,$FC,$F3,$C3,$CF,$FF,$FF,$CC,$FF,$C0,$00,$00,$F3
 .db $3F,$3C,$33,$C3,$C3,$3F,$3F,$C3,$C0,$0C,$3C,$FF,$FF,$C0,$0C,$30
 .db $00,$FC,$CF,$FF,$3C,$FC,$CF,$0F,$C3,$F0,$F3,$3F,$0C,$3C,$33,$C3
 .db $F3,$3F,$FF,$30,$F0,$CC,$CF,$F0,$C0,$00,$3F,$03,$F3,$3F,$0C,$0C
 .db $3C,$FF,$CF,$F3,$0F,$3C,$3F,$C3,$C3,$3C,$3C,$CF,$03,$CC,$CC,$33
 .db $F3,$0F,$30,$30,$3F,$FC,$CC,$CF,$0C,$F0,$F3,$0C,$C0,$30,$CC,$33
 .db $F3,$CF,$30,$C0,$CC,$3C,$03,$0F,$FF,$FF,$FC,$00,$00,$00,$00,$30
 .db $FF,$FF,$C3,$33,$33,$3F,$FF,$00,$00,$3C,$00,$00,$00,$0F,$FF,$33
 .db $30,$03,$03,$3F,$FF,$F3,$03,$03,$30,$00,$00,$0F,$3C,$30,$33,$F3
 .db $F3,$03,$FF,$FF,$F0,$C0,$C0,$F0,$C0,$00,$00,$C0,$C0,$00,$FF,$F0
 .db $30,$3F,$FF,$FC,$00,$3F,$FF,$00,$00,$3F,$FF,$00,$03,$3F,$F3,$00
 .db $C3,$FF,$FF,$30,$30,$FC,$00,$00,$0F,$FF,$0C,$0F,$0F,$FC,$00,$03
 .db $CF,$FF,$F0,$00,$FF,$FC,$00,$03,$FF,$C0,$00,$0F,$FF,$C0,$00,$03
 .db $CF,$FF,$F0,$03,$FF,$FC,$00,$03,$FF,$00,$03,$F3,$FF,$00,$30,$03
 .db $FF,$FF,$F0,$33,$FF,$FC,$00,$03,$FF,$00,$0C,$FF,$30,$00,$FC,$00
 .db $F3,$FF,$FC,$00,$FF,$F0,$00,$00,$FC,$C0,$0F,$FF,$CF,$0F,$3F,$00
 .db $3C,$FF,$CF,$03,$FF,$FC,$00,$03,$FF,$00,$03,$FF,$F3,$03,$CF,$F0
 .db $03,$3F,$F3,$00,$FF,$FF,$00,$03,$FF,$C0,$00,$FF,$F0,$F0,$FC,$F3
 .db $0F,$CF,$FC,$C0,$0F,$FF,$C0,$00,$33,$FF,$0C,$0C,$03,$CF,$FC,$F0
 .db $00,$FF,$FF,$FC,$00,$CF,$FC,$C0,$00,$0F,$FF,$F0,$00,$3C,$FF,$FC
 .db $0F,$C3,$F3,$FF,$0F,$F0,$30,$0C,$0C,$00,$C0,$F0,$FC,$0F,$0C,$3F
 .db $F3,$FF,$FF,$00,$C0,$FF,$FF,$C0,$00,$CF,$0F,$00,$00,$0F,$FF,$C3
 .db $03,$FF,$FC,$3C,$03,$C3,$FF,$FF,$00,$C0,$FC,$30,$00,$0F,$CF,$FC
 .db $0C,$0F,$FF,$F0,$00,$0F,$FF,$FC,$FC,$0F,$CF,$C0,$00,$00,$03,$FF
 .db $FC,$3C,$0F,$CF,$C0,$C0,$3F,$FF,$F3,$F0,$3F,$3F,$00,$00,$00,$03
 .db $FF,$30,$0C,$3F,$FF,$0C,$00,$FF,$FF,$C3,$FF,$FF,$00,$03,$00,$00
 .db $0F,$FF,$00,$0F,$FF,$FC,$CC,$00,$3F,$FF,$F0,$33,$3F,$C0,$C0,$00
 .db $00,$0F,$CC,$00,$03,$FF,$FF,$FC,$3C,$03,$FF,$FF,$00,$FF,$FF,$0C
 .db $00,$00,$00,$33,$C0,$0C,$0F,$FF,$FC,$0F,$C3,$03,$FF,$3F,$0F,$F0
 .db $FF,$00,$00,$00,$03,$30,$F0,$0C,$FF,$FC,$F0,$3C,$33,$C3,$3C,$FF
 .db $FF,$FC,$F0,$00,$00,$00,$00,$0F,$0F,$FC,$FC,$FC,$3F,$03,$C3,$F0
 .db $3C,$C3,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$FC,$FF,$3F,$CF,$03,$C0
 .db $F0,$FC,$C0,$0F,$3F,$FF,$FF,$0C,$00,$00,$00,$00,$F3,$FC,$FF,$FC
 .db $CF,$33,$03,$03,$F0,$F3,$33,$3F,$FC,$FF,$00,$00,$00,$00,$00,$3F
 .db $FF,$FF,$CF,$FF,$F3,$3C,$3F,$3F,$0F,$0F,$3C,$FF,$CC,$00,$00,$00
 .db $00,$00,$CF,$CF,$3F,$FF,$C3,$F3,$FF,$FC,$C3,$00,$33,$C3,$CC,$FC
 .db $30,$00,$00,$00,$C3,$33,$F3,$FF,$FF,$FF,$3C,$30,$C3,$00,$F0,$FC
 .db $C0,$03,$00,$00,$00,$03,$03,$3F,$FF,$FF,$3F,$CF,$03,$F0,$F3,$33
 .db $33,$FF,$3C,$0C,$CC,$F0,$30,$0C,$00,$33,$FF,$3C,$FF,$CF,$33,$33
 .db $CC,$CC,$FC,$CF,$0F,$C3,$C0,$CC,$0C,$0C,$CC,$03,$33,$3F,$F0,$3C
 .db $C3,$F3,$30,$CF,$33,$33,$F0,$0C,$0C,$00,$C0,$00,$33,$33,$33,$CC
 .db $CF,$0F,$33,$CC,$FC,$C3,$3F,$3F,$3F,$3F,$F3,$0C,$03,$03,$C3,$30
 .db $CC,$CF,$CC,$FC,$F3,$30,$30,$F3,$F3,$3F,$0F,$CC,$F0,$33,$0C,$30
 .db $3C,$F3,$03,$03,$F0,$FC,$FF,$03,$0C,$C3,$C3,$C0,$CC,$CC,$F0,$FC
 .db $0F,$0F,$F3,$CF,$CC,$CC,$03,$CF,$30,$3C,$00,$FC,$FC,$F3,$0C,$FC
 .db $F0,$CC,$CC,$C3,$00,$3F,$33,$03,$33,$00,$30,$CC,$CC,$C3,$FC,$CC
 .db $CC,$0F,$CC,$3C,$0F,$33,$0C,$C3,$03,$3F,$33,$3F,$03,$0C,$C0,$F3
 .db $3F,$3C,$FF,$0C,$FC,$F3,$CC,$0F,$33,$33,$03,$C3,$33,$30,$CC,$30
 .db $CC,$0C,$F3,$33,$33,$30,$33,$CC,$CC,$C0,$C3,$C0,$C0,$CC,$C0,$C0
 .db $CC,$3C,$0C,$CF,$CC,$CC,$FC,$3C,$3F,$3F,$33,$33,$30,$F3,$33,$0F
 .db $33,$03,$33,$3F,$33,$03,$03,$33,$30,$30,$0C,$FC,$FF,$0C,$CF,$FC
 .db $CC,$CC,$CC,$CC,$CC,$CC,$F0,$FF,$3F,$33,$33,$33,$0F,$03,$00,$30
 .db $33,$3F,$3C,$03,$C3,$CC,$30,$CC,$0F,$C3,$CF,$CF,$03,$CF,$F0,$F3
 .db $03,$0F,$33,$33,$F0,$F0,$FC,$3C,$F0,$CC,$CC,$C0,$C3,$CC,$F0,$F0
 .db $CC,$3F,$03,$0F,$00,$F3,$C0,$F3,$FC,$3F,$0F,$0C,$03,$FF,$FF,$FF
 .db $FC,$30,$00,$00,$00,$30,$30,$00,$0C,$FF,$FF,$FF,$C0,$00,$00,$00
 .db $C0,$3C,$3C,$3C,$0C,$00,$00,$0C,$FF,$FF,$FF,$C0,$00,$00,$00,$00
 .db $00,$0C,$33,$00,$00,$C0,$0C,$3F,$FF,$FF,$C0,$00,$00,$03,$00,$00
 .db $3C,$0F,$C3,$C0,$00,$00,$CC,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00
 .db $F0,$F3,$00,$00,$00,$0C,$0F,$FF,$FF,$C0,$00,$0C,$03,$00,$00,$C0
 .db $F0,$C0,$00,$00,$00,$3C,$FF,$FF,$FF,$00,$00,$30,$30,$00,$00,$3C
 .db $FF,$00,$00,$C0,$00,$C3,$FF,$FF,$FC,$00,$00,$30,$F0,$00,$3C,$FF
 .db $CF,$00,$03,$3C,$03,$F3,$FF,$FF,$F0,$00,$0F,$C0,$00,$00,$3F,$FF
 .db $C0,$00,$03,$0F,$00,$F0,$FF,$FF,$F0,$00,$00,$CC,$00,$00,$0F,$FF
 .db $F0,$C0,$33,$FF,$CC,$03,$CF,$FF,$FC,$00,$00,$0F,$00,$00,$00,$FF
 .db $FF,$00,$00,$3F,$FF,$C0,$3C,$3F,$FF,$C0,$00,$30,$FF,$00,$00,$03
 .db $FF,$F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$C3,$FC,$00,$00
 .db $03,$FF,$CC,$00,$0F,$FF,$FC,$00,$0C,$FF,$FF,$F0,$00,$33,$F0,$00
 .db $00,$0F,$FF,$FC,$00,$3F,$FF,$F0,$00,$0C,$3F,$FF,$F0,$00,$C3,$FC
 .db $C0,$00,$03,$FF,$FF,$00,$0F,$FF,$F0,$00,$03,$0F,$FF,$FF,$00,$30
 .db $3C,$00,$00,$03,$FF,$FF,$00,$03,$FF,$FC,$00,$00,$C3,$FF,$FF,$F0
 .db $00,$0F,$0F,$00,$00,$0F,$FF,$F0,$00,$3F,$FF,$FC,$0C,$0F,$0F,$FF
 .db $FF,$C0,$00,$F0,$F0,$00,$00,$3F,$FF,$00,$0F,$FF,$FF,$C0,$00,$0C
 .db $3F,$FF,$FF,$00,$00,$C3,$C0,$00,$00,$FF,$FC,$F0,$3C,$FF,$FC,$30
 .db $00,$0C,$3F,$FF,$FF,$00,$03,$C3,$00,$00,$00,$FF,$FF,$C0,$C3,$FF
 .db $FF,$F0,$0C,$03,$0F,$FF,$FF,$C0,$00,$C0,$00,$00,$00,$3F,$FF,$F0
 .db $3C,$FF,$FF,$F0,$3C,$F0,$30,$3C,$FF,$FF,$00,$00,$00,$00,$00,$0F
 .db $3F,$FF,$0F,$0F,$FF,$F3,$C3,$C3,$C0,$C0,$F3,$FF,$FC,$00,$00,$00
 .db $00,$00,$3C,$FF,$FF,$0F,$3F,$3F,$3F,$0F,$FF,$FC,$30,$33,$FF,$FC
 .db $00,$00,$3F,$00,$00,$00,$3F,$FF,$03,$0F,$FF,$F3,$C3,$FF,$FF,$C3
 .db $03,$CF,$FF,$F0,$C0,$00,$30,$30,$00,$0C,$FF,$FC,$F0,$3C,$3F,$FF
 .db $3F,$FF,$FC,$30,$3F,$FF,$CF,$00,$00,$00,$03,$00,$03,$FF,$FF,$30
 .db $00,$3F,$FF,$FF,$FF,$FF,$00,$00,$FF,$FF,$F0,$00,$00,$00,$00,$00
 .db $33,$3F,$FF,$FF,$FF,$FF,$3F,$FF,$CC,$00,$03,$0F,$FF,$F0,$00,$00
 .db $00,$00,$00,$03,$CF,$F3,$FF,$FF,$FF,$FF,$F0,$00,$3F,$FF,$F0,$00
 .db $00,$00,$00,$00,$00,$F3,$FF,$FF,$FF,$FF,$FF,$F3,$F0,$00,$0F,$FF
 .db $FF,$00,$00,$00,$00,$00,$03,$FF,$FF,$3F,$CF,$FF,$FF,$FF,$00,$C3
 .db $FF,$CC,$0C,$33,$FC,$00,$00,$00,$03,$0C,$00,$30,$FC,$FF,$FC,$3C
 .db $3F,$FF,$FF,$C0,$00,$00,$00,$00,$00,$3F,$FF,$C3,$00,$FF,$FF,$3F
 .db $FF,$FF,$FC,$F0,$0F,$03,$C0,$C0,$00,$00,$00,$00,$00,$03,$CF,$FF
 .db $F3,$3F,$FF,$FF,$FF,$F3,$FF,$CF,$FF,$C0,$00,$00,$03,$0C,$00,$00
 .db $C0,$30,$0C,$0F,$03,$FF,$FF,$FF,$F0,$F0,$FC,$0C,$03,$03,$CF,$C0
 .db $30,$30,$03,$C0,$3C,$3F,$0F,$FF,$FF,$FF,$3F,$F3,$C0,$00,$00,$0C
 .db $03,$C0,$00,$00,$0C,$0C,$CC,$FC,$FC,$FF,$FF,$CC,$CF,$FF,$30,$C0
 .db $CC,$FF,$30,$00,$00,$00,$3C,$00,$33,$0F,$3F,$33,$0F,$3F,$FF,$FF
 .db $C0,$F0,$3F,$33,$CC,$C0,$CC,$CC,$CC,$CC,$3F,$F0,$CC,$CC,$CC,$CC
 .db $C3,$C3,$FC,$C3,$3C,$CC,$CC,$3C,$C3,$3C,$CF,$CC,$3C,$CF,$CF,$3C
 .db $F3,$F3,$0C,$33,$CF,$3C,$CC,$FC,$CF,$3C,$FC,$CF,$CC,$CC,$0C,$FC
 .db $CC,$0C,$FC,$F3,$CC,$C0,$CF,$CC,$FC,$3C,$3C,$3C,$CF,$30,$C0,$03
 .db $CF,$0C,$CC,$0C,$CC,$FC,$CC,$FF,$0F,$33,$3F,$F0,$0C,$CC,$CC,$CF
 .db $3F,$3C,$FC,$CC,$CC,$30,$3F,$33,$30,$FF,$3F,$3F,$CC,$CC,$CC,$CC
 .db $FC,$CC,$F3,$CC,$CF,$CC,$C3,$F3,$CC,$33,$CC,$0F,$33,$C0,$FF,$0C
 .db $F3,$33,$30,$CF,$0F,$3C,$CF,$CC,$CC,$CC,$FC,$CC,$CF,$FF,$FF,$33
 .db $33,$3F,$F3,$33,$C3,$3F,$F3,$33,$CF,$33,$F3,$33,$C3,$FF,$CC,$CC
 .db $C0,$30,$00,$0C,$CF,$3C,$CC,$FC,$CF,$30,$0C,$33,$FF,$33,$33,$33
 .db $33,$33,$33,$33,$FF,$FF,$33,$03,$0F,$30,$03,$F3,$33,$3F,$FF,$F3
 .db $03,$03,$00,$00,$00,$00,$00,$00,$00,$CC,$CC,$03,$FF,$FF,$F3,$FF
 .db $FF,$CC,$FC,$CC,$CC,$FF,$FF,$C0,$00,$00,$C0,$00,$00,$00,$00,$00
 .db $00,$03,$FF,$00,$00,$00,$00,$0C,$00,$00,$FF,$F3,$FF,$FF,$CF,$FF
 .db $CF,$F3,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $CC,$C0,$3F,$FF,$FC,$00,$03,$CC,$30,$00,$00,$00,$00,$00,$00,$00
 .db $00,$C0,$0C,$C0,$3C,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$30
 .db $0C,$00,$0C,$00,$3F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$0C,$00,$CF,$0C,$00,$00,$03,$FF,$F3,$FC,$03,$FC,$00,$00
 .db $00,$00,$00,$00,$00,$03,$03,$F0,$00,$03,$00,$03,$C0,$00,$00,$00
 .db $0F,$C0,$FF,$0C,$F0,$0F,$03,$FC,$0F,$C0,$FC,$00,$C0,$0C,$00,$FF
 .db $FC,$30,$00,$C0,$3F,$0F,$F0,$F0,$00,$F0,$3F,$3C,$3C,$00,$00,$00
 .db $FF,$FF,$00,$0C,$03,$FF,$F0,$F0,$03,$03,$CF,$FF,$CF,$C0,$F0,$3C
 .db $3F,$FF,$C0,$C0,$03,$CF,$C3,$C3,$C3,$03,$CF,$03,$FC,$F0,$00,$F0
 .db $FF,$3F,$0F,$00,$00,$3F,$FF,$FC,$3C,$00,$F0,$F0,$FF,$CC,$00,$00
 .db $C0,$FF,$FF,$00,$00,$3C,$FF,$FC,$F0,$00,$03,$FF,$FF,$FC,$00,$00
 .db $FC,$3F,$F0,$F0,$C0,$C3,$F0,$FC,$C0,$00,$0F,$FF,$FF,$00,$00,$0C
 .db $3F,$FF,$C3,$03,$03,$0F,$CF,$F3,$C0,$0C,$3C,$FF,$FF,$00,$C0,$C0
 .db $F3,$F0,$F0,$F0,$3C,$3C,$3C,$F3,$0C,$0C,$C3,$CF,$3F,$03,$03,$00
 .db $F3,$F3,$0C,$C0,$C3,$CF,$3F,$F3,$C3,$0C,$33,$F3,$CF,$0C,$30,$C3
 .db $CF,$30,$F0,$C3,$CF,$3C,$FC,$CC,$FC,$3C,$3C,$F0,$C0,$C0,$C3,$CF
 .db $C3,$F3,$C3,$CF,$3F,$3F,$3C,$30,$CC,$3C,$F0,$F3,$0C,$3C,$FF,$03
 .db $0C,$3C,$3C,$F3,$F3,$30,$30,$F0,$F0,$F0,$F3,$0F,$30,$F3,$F3,$C3
 .db $0F,$C3,$FC,$FC,$F0,$30,$3C,$3C,$FC,$C3,$0C,$3F,$F3,$C3,$03,$0C
 .db $3F,$FF,$CC,$00,$CF,$CF,$FC,$C0,$00,$0C,$3C,$FC,$30,$00,$33,$FF
 .db $F3,$00,$00,$3C,$FF,$F3,$00,$00,$F3,$FF,$CF,$00,$0C,$FF,$FF,$CC
 .db $00,$0F,$0F,$FF,$F0,$00,$03,$CF,$FF,$F0,$00,$00,$FF,$FF,$C0,$00
 .db $0C,$FF,$F3,$C0,$00,$CF,$FF,$CF,$00,$00,$C3,$FF,$FF,$00,$03,$CF
 .db $FF,$FC,$00,$0C,$3F,$FF,$F0,$00,$30,$FF,$F3,$F0,$00,$03,$FF,$FF
 .db $CC,$00,$C3,$FF,$CF,$00,$03,$0F,$FF,$FF,$03,$00,$03,$FF,$3C,$03
 .db $0C,$0F,$FF,$3C,$3F,$00,$00,$0F,$3F,$FF,$CC,$30,$03,$FF,$FF,$CC
 .db $00,$00,$CF,$FF,$FC,$30,$03,$0F,$FF,$CC,$00,$00,$CF,$F3,$F0,$00
 .db $00,$CF,$FF,$CC,$00,$03,$FF,$FF,$00,$00,$00,$3F,$FF,$00,$00,$33
 .db $3F,$FF,$00,$00,$03,$FF,$FF,$C0,$00,$0F,$FF,$FF,$C0,$00,$0F,$FF
 .db $FF,$00,$00,$0F,$FF,$FC,$00,$00,$0F,$FF,$FC,$00,$00,$3C,$FF,$F0
 .db $00,$00,$CF,$FF,$CC,$00,$0C,$C3,$C3,$00,$03,$0F,$FF,$C0,$00,$30
 .db $FF,$FF,$CC,$03,$3F,$FF,$3F,$30,$00,$03,$3F,$0C,$0C,$30,$0F,$CC
 .db $C0,$0C,$03,$FF,$FF,$FF,$0C,$FF,$FF,$F3,$CF,$30,$3F,$3F,$3C,$0C
 .db $00,$FC,$F3,$C0,$00,$0C,$FF,$3C,$0C,$00,$03,$FF,$33,$C3,$33,$F3
 .db $FC,$F3,$CC,$00,$FF,$FF,$C0,$00,$0C,$FF,$33,$C0,$03,$0C,$CF,$33
 .db $CC,$C3,$3C,$CF,$30,$CC,$CC,$FF,$FF,$0F,$3F,$3C,$CF,$FF,$FF,$C3
 .db $3F,$3F,$F3,$33,$33,$FF,$FF,$FC,$C0,$FC,$FF,$FF,$FF,$0C,$3F,$CF
 .db $FF,$FF,$C0,$33,$FF,$F3,$0C,$C0,$CF,$3F,$F3,$33,$00,$0C,$3C,$CC
 .db $0C,$00,$33,$FC,$3F,$30,$0C,$CC,$CC,$FC,$3F,$33,$F3,$33,$CF,$CC
 .db $CC,$C3,$3C,$33,$0C,$00,$C0,$CC,$CC,$C0,$C0,$3C,$30,$CC,$CC,$CC
 .db $3C,$33,$F0,$F3,$CF,$F3,$33,$33,$00,$C3,$0C,$F3,$33,$C3,$33,$F3
 .db $00,$FF,$33,$FC,$CC,$CC,$FC,$FF,$3C,$3C,$C0,$CC,$CC,$CC,$0F,$03
 .db $0C,$CF,$CF,$03,$33,$33,$33,$CC,$30,$33,$3C,$0C,$CF,$C0,$FC,$CC
 .db $CF,$30,$F0,$0C,$CF,$33,$03,$30,$F3,$3F,$03,$03,$0C,$CC,$30,$CC
 .db $CC,$F3,$33,$33,$3C,$CC,$CC,$F0,$33,$F3,$0C,$CC,$CF,$33,$33,$33
 .db $3C,$CC,$33,$0C,$CC,$FF,$33,$CF,$FC,$CC,$3C,$F3,$3C,$C0,$0C,$CF
 .db $C3,$33,$3C,$CC,$CC,$33,$3C,$F3,$03,$33,$33,$30,$CF,$30,$CF,$30
 .db $CF,$30,$C3,$3C,$C3,$0C,$F3,$0C,$F3,$0C,$F3,$CC,$CC,$F3,$30,$CC
 .db $33,$C3,$3C,$33,$C3,$3C,$F3,$CF,$30,$CF,$3C,$CF,$0C,$F3,$CC,$FF
 .db $F3,$CF,$F3,$CF,$3F,$F3,$33,$FF,$30,$CC,$3C,$F3,$3C,$3C,$3C,$FF
 .db $3C,$0F,$3F,$3F,$0C,$CC,$CF,$3F,$CF,$F3,$00,$30,$FC,$C3,$FF,$30
 .db $30,$CC,$F3,$FC,$CF,$3C,$CF,$33,$33,$CF,$33,$FF,$CC,$F3,$3C,$CC
 .db $CF,$FF,$FC,$03,$33,$F3,$00,$30,$CC,$C0,$CC,$F3,$0C,$3C,$CC,$30
 .db $C3,$3C,$CF,$0C,$CF,$3C,$33,$00,$30,$FC,$FF,$FC,$FF,$F3,$33,$CF
 .db $00,$CC,$F3,$F3,$30,$33,$CC,$00,$00,$00,$03,$30,$03,$3C,$03,$0C
 .db $03,$0C,$CC,$00,$3C,$CC,$33,$00,$0C,$03,$0F,$F3,$00,$03,$CF,$33
 .db $30,$00,$0C,$30,$00,$30,$CC,$03,$C3,$00,$00,$30,$00,$C0,$33,$33
 .db $0F,$CF,$33,$00,$00,$30,$33,$F0,$30,$00,$00,$C0,$0C,$00,$0C,$03
 .db $00,$00,$0F,$FF,$C0,$00,$0F,$FF,$0C,$00,$03,$FF,$FF,$FC,$00,$00
 .db $FF,$FF,$F3,$F0,$0C,$0F,$0F,$FF,$F3,$FF,$C0,$C0,$F0,$FF,$FF,$FF
 .db $00,$00,$F0,$FF,$FC,$00,$F0,$3C,$0C,$0F,$0F,$FF,$FC,$0C,$0F,$0F
 .db $FF,$F0,$0F,$C0,$F0,$F0,$3F,$FF,$F3,$F0,$3C,$0F,$0F,$CF,$C0,$3F
 .db $C3,$C0,$F0,$FC,$FC,$33,$F0,$3C,$0C,$0F,$CF,$C0,$3F,$03,$C0,$F0
 .db $FC,$FC,$03,$F0,$3C,$0F,$0F,$CF,$C0,$0F,$C3,$C0,$F0,$FC,$FC,$30
 .db $FC,$0C,$0F,$0F,$CF,$C0,$03,$C0,$F0,$30,$3F,$3F,$00,$3C,$0F,$03
 .db $C3,$F3,$F0,$03,$F0,$F0,$3C,$3F,$3F,$CC,$3F,$0F,$03,$C3,$F0,$F0
 .db $03,$F0,$FC,$3C,$0F,$CF,$C0,$FF,$03,$C0,$F0,$FC,$FC,$0C,$F0,$3C
 .db $0F,$0F,$CF,$C3,$FF,$03,$C0,$F0,$FC,$FC,$0F,$F0,$3C,$0F,$0F,$C3
 .db $C0,$FF,$03,$C0,$F0,$FC,$3C,$0F,$F0,$3C,$0F,$0F,$CF,$C0,$FF,$03
 .db $03,$F0,$FC,$FC,$3F,$C0,$F0,$3C,$3F,$CF,$C3,$FC,$0F,$03,$C3,$F0
 .db $F0,$3F,$03,$C0,$FC,$3F,$3F,$0F,$C0,$3C,$0F,$0F,$C3,$F3,$FC,$0F
 .db $03,$C3,$FC,$FC,$FF,$03,$C0,$F0,$FF,$3F,$3F,$C0,$F0,$3C,$3F,$CF
 .db $CF,$F0,$3C,$0F,$0F,$F3,$F3,$F0,$0C,$0F,$C3,$F3,$FF,$FC,$0F,$03
 .db $C3,$FC,$FC,$FC,$03,$03,$F3,$FF,$FF,$FF,$00,$00,$F0,$FF,$FF,$FF
 .db $03,$00,$F0,$FF,$FF,$FF,$03,$00,$F0,$FC,$3F,$FF,$03,$00,$F0,$FF
 .db $FF,$FF,$00,$00,$F3,$FC,$FF,$FC,$0F,$03,$C3,$FC,$3F,$FC,$0F,$03
 .db $C3,$FC,$FF,$FC,$0C,$0F,$C3,$F0,$FF,$F0,$3C,$0F,$0F,$F0,$FF,$F0
 .db $30,$3F,$0F,$C3,$FF,$C0,$F0,$3C,$3F,$0F,$3F,$03,$C0,$F0,$FF,$3F
 .db $FC,$0F,$03,$C3,$FC,$FF,$F0,$3C,$0F,$0F,$F3,$FF,$C0,$F0,$3C,$3F
 .db $0F,$FF,$03,$00,$F0,$FC,$3F,$FC,$0C,$03,$C3,$F3,$FF,$C0,$F0,$3C
 .db $3F,$0F,$FF,$03,$00,$F0,$FC,$FF,$F0,$3C,$0F,$0F,$C3,$F3,$C0,$C0
 .db $FC,$FC,$3F,$3C,$0C,$0F,$C3,$F3,$FF,$C0,$00,$3C,$3F,$3F,$C0,$00
 .db $03,$C3,$F3,$FC,$00,$00,$F0,$FF,$3F,$00,$00,$0F,$0F,$F3,$FC,$00
 .db $00,$F0,$FC,$3F,$C0,$00,$0F,$0F,$C3,$F0,$00,$00,$F0,$FC,$FF,$00
 .db $00,$3C,$3F,$0F,$F0,$00,$03,$C3,$F3,$FC,$00,$00,$F0,$FC,$FF,$00
 .db $00,$3C,$3F,$FF,$F0,$00,$0F,$0F,$F3,$FC,$00,$03,$C3,$FC,$FF,$00
 .db $00,$3C,$FF,$3F,$C0,$00,$0F,$0F,$CF,$F0,$00,$0F,$C3,$F3,$FC,$00
 .db $03,$C3,$FF,$FF,$00,$00,$F0,$FF,$FF,$00,$00,$30,$FF,$FF,$C0,$00
 .db $3C,$3F,$CF,$C0,$00,$0C,$3F,$FF,$F0,$00,$0F,$0F,$FF,$F0,$00,$0F
 .db $0F,$FF,$F0,$00,$0F,$0F,$FF,$F0,$00,$0C,$3F,$FF,$C0,$00,$00,$3F
 .db $FF,$00,$00,$00,$FF,$FC,$00,$00,$0F,$FF,$F0,$C0,$00,$3F,$FF,$C3
 .db $00,$00,$FF,$FF,$3C,$00,$03,$FF,$F0,$F0,$00,$0F,$FF,$C3,$C0,$00
 .db $3F,$FF,$0F,$00,$00,$FF,$FC,$3C,$00,$03,$FF,$F0,$F0,$00,$0F,$FF
 .db $C3,$C0,$00,$3F,$FF,$CF,$00,$00,$FF,$FF,$3F,$03,$03,$F3,$FC,$FC
 .db $0C,$03,$CF,$F0,$F0,$30,$0F,$0F,$C3,$C0,$F0,$3C,$3F,$0F,$03,$C0
 .db $F0,$FC,$3F,$0F,$03,$C3,$F0,$FC,$3C,$0F,$0F,$C3,$F0,$F0,$3C,$3F
 .db $0F,$C3,$C0,$F0,$FC,$3F,$0F,$03,$C3,$F0,$F0,$3C,$0F,$0F,$C3,$C0
 .db $F0,$3C,$3F,$0F,$03,$C0,$F0,$FC,$3C,$0F,$0F,$C3,$F0,$F0,$30,$3F
 .db $3F,$FF,$C0,$00,$F0,$FF,$FF,$0C,$03,$FF,$FF,$F0,$F0,$3F,$FF,$FF
 .db $00,$00,$FF,$FF,$FC,$00,$00,$FF,$FF,$FC,$00,$03,$FF,$FF,$FC,$00
 .db $03,$FF,$FF,$F0,$00,$00,$FF,$FF,$C0,$00,$03,$3F,$FF,$FF,$00,$00
 .db $3F,$FF,$FF,$C0,$00,$3F,$FF,$FF,$CF,$03,$FF,$FF,$FF,$F0,$0F,$0F
 .db $FF,$FF,$00,$F0,$3F,$FF,$F3,$03,$F0,$FF,$0F,$00,$F3,$FF,$FC,$0C
 .db $03,$FF,$FF,$C0,$C0,$3F,$FF,$FF,$00,$00,$FF,$FF,$FC,$00,$00,$FF
 .db $FF,$F0,$00,$03,$FF,$FF,$C0,$00,$00,$3F,$FF,$00,$00,$FC,$FC,$00
 .db $03,$CF,$C0,$F0,$00,$FF,$CF,$C0,$00,$3F,$FC,$0C,$00,$0F,$FF,$F0
 .db $00,$00,$FF,$FC,$00,$00,$3F,$FF,$F0,$00,$00,$FF,$FC,$00,$00,$0F
 .db $FF,$C0,$00,$00,$FF,$FF,$00,$00,$0F,$FF,$C0,$00,$00,$FF,$FF,$00
 .db $00,$0F,$FF,$F0,$00,$00,$FF,$FF,$00,$00,$0F,$FF,$C0,$00,$00,$FF
 .db $FF,$00,$00,$03,$FF,$C0,$00,$00,$0F,$FF,$00,$00,$00,$FF,$F0,$00
 .db $30,$0F,$FF,$C0,$03,$FC,$FF,$FC,$00,$0F,$FF,$FF,$C0,$00,$3F,$FF
 .db $F0,$00,$00,$3F,$FF,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FC,$00,$00
 .db $FF,$FF,$C0,$00,$3F,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$FF,$FF,$F0
 .db $00,$0F,$FF,$FF,$00,$03,$FF,$FF,$C0,$00,$3F,$FF,$F0,$00,$03,$FF
 .db $FF,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FF,$00,$03,$FF,$FF,$C0,$00
 .db $3F,$FF,$FC,$00,$03,$FF,$FF,$C0,$00,$3F,$FF,$F0,$00,$03,$FF,$FF
 .db $00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$0F
 .db $FF,$FC,$00,$00,$FF,$FF,$00,$00,$3F,$FF,$F0,$00,$03,$FF,$FF,$00
 .db $00,$3F,$FF,$F0,$00,$03,$FF,$FC,$00,$00,$FF,$FF,$C0,$00,$0F,$FF
 .db $FC,$00,$00,$FF,$FF,$C0,$00,$0F,$FF,$FC,$00,$03,$FF,$FF,$00,$00
 .db $3F,$FF,$F0,$00,$03,$FF,$FF,$00,$00,$FF,$FF,$F0,$00,$0F,$FF,$FC
 .db $00,$00,$FF,$FF,$C0,$00,$0F,$FF,$F0,$00,$03,$FF,$FF,$00,$00,$3F
 .db $FF,$F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$F0,$00
 .db $0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$F0,$00,$0F,$FF,$FF
 .db $00,$03,$FF,$FF,$00,$03,$FF,$FF,$C0,$00,$FF,$FF,$F0,$00,$3F,$FF
 .db $F0,$00,$3F,$FF,$3C,$00,$0F,$FC,$0F,$00,$0F,$FC,$03,$C0,$03,$FC
 .db $03,$F0,$03,$FF,$03,$FC,$00,$FF,$00,$FF,$00,$3F,$C0,$FF,$00,$0F
 .db $00,$FF,$03,$F0,$0F,$F0,$0F,$F0,$0F,$F0,$0F,$FC,$00,$CF,$0F,$FF
 .db $C0,$0F,$FC,$CF,$FC,$00,$FF,$3F,$FF,$C0,$0F,$F3,$CF,$F0,$03,$FF
 .db $33,$FF,$00,$3F,$C3,$3F,$F0,$0F,$FC,$33,$FF,$00,$FF,$CF,$FF,$F0
 .db $0F,$F0,$FF,$FC,$00,$F3,$0F,$FF,$C0,$3F,$C3,$F3,$FC,$03,$CC,$3C
 .db $FF,$00,$FC,$CF,$CF,$F0,$0F,$30,$F3,$FC,$03,$F0,$3F,$3F,$00,$FC
 .db $0F,$CF,$F0,$0F,$C0,$F0,$FC,$03,$F0,$3F,$3F,$00,$FC,$0F,$C3,$F0
 .db $0F,$C0,$FC,$FF,$03,$F0,$3F,$0F,$C0,$FF,$0F,$C3,$F0,$0F,$C3,$F0
 .db $FC,$03,$F0,$3C,$0F,$C0,$FC,$0F,$03,$F0,$3F,$03,$C0,$FC,$0F,$C0
 .db $F0,$3F,$03,$F0,$3C,$0F,$C0,$3C,$0F,$03,$F0,$0F,$03,$C0,$FC,$0F
 .db $C3,$F0,$3F,$03,$F0,$FC,$0F,$C0,$FC,$3F,$03,$F0,$3C,$0F,$C3,$F0
 .db $3F,$0F,$C0,$FC,$0F,$C3,$F0,$FF,$0F,$C3,$FC,$3F,$03,$F0,$FC,$3F
 .db $C3,$F0,$FC,$0F,$C0,$F0,$3F,$0F,$C0,$FC,$3F,$0F,$C0,$FC,$3F,$03
 .db $C0,$FC,$3F,$03,$F0,$FC,$3F,$03,$F0,$FC,$3F,$0F,$C0,$FC,$3F,$0F
 .db $C0,$F0,$3F,$0F,$C0,$F0,$3C,$0F,$C0,$F0,$FC,$3F,$03,$C3,$FC,$3F
 .db $03,$C3,$FC,$3F,$0F,$03,$F0,$FF,$0F,$0F,$F3,$FC,$3C,$0F,$C3,$C0
 .db $30,$FC,$3F,$00,$00,$CF,$CF,$C0,$C3,$F0,$FC,$3C,$0F,$0F,$C3,$F3
 .db $FF,$FC,$FC,$3C,$3F,$CF,$0F,$C3,$C0,$C0,$F0,$FC,$3C,$0C,$0F,$0C
 .db $03,$00,$C3,$C3,$F0,$F0,$3C,$FC,$00,$00,$FF,$FF,$3C,$03,$3F,$FC
 .db $F0,$00,$3F,$F3,$C0,$00,$FF,$CF,$00,$00,$FF,$FF,$30,$00,$CF,$3F
 .db $F3,$00,$0F,$3F,$F3,$00,$00,$3F,$FF,$00,$30,$F3,$FF,$0F,$03,$F3
 .db $FC,$00,$03,$FF,$F0,$00,$0F,$FF,$F0,$00,$3F,$FF,$F0,$00,$3F,$FF
 .db $C0,$00,$3F,$FF,$C0,$00,$CF,$FF,$F0,$00,$0F,$FF,$C0,$00,$0F,$FF
 .db $C0,$00,$0F,$FF,$F0,$00,$03,$FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$FF
 .db $C0,$00,$3F,$FF,$00,$00,$FF,$FF,$00,$03,$FF,$FC,$C0,$0C,$3F,$FF
 .db $00,$00,$FF,$FC,$00,$03,$FF,$C0,$00,$0F,$FF,$C0,$00,$3F,$FF,$00
 .db $03,$FF,$F0,$00,$0F,$FF,$C0,$00,$3F,$FF,$00,$00,$3F,$FF,$C0,$00
 .db $0F,$FF,$C0,$00,$3F,$FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$FC,$F0,$03
 .db $FF,$FC,$0C,$03,$FF,$FC,$00,$0F,$FF,$30,$03,$3F,$FC,$00,$03,$3F
 .db $F0,$00,$0F,$FF,$C0,$00,$3F,$FF,$C0,$00,$3F,$FF,$C0,$00,$3F,$FF
 .db $C0,$00,$3F,$FF,$C0,$00,$FF,$F0,$00,$03,$FF,$F0,$00,$0F,$FF,$C0
 .db $00,$FF,$FC,$00,$00,$FF,$FC,$00,$03,$FF,$F0,$00,$03,$FF,$33,$03
 .db $03,$FF,$C3,$03,$3C,$F0,$F0,$00,$CF,$F0,$CC,$00,$3F,$FC,$C3,$C0
 .db $FF,$C3,$C0,$3C,$CF,$C3,$C0,$F3,$3F,$FF,$00,$FF,$FC,$00,$0C,$FC
 .db $FC,$C0,$00,$3F,$FF,$C0,$30,$3F,$C0,$C0,$00,$30,$0C,$0F,$03,$C3
 .db $F0,$0F,$C3,$F0,$33,$CF,$F0,$F0,$03,$33,$FF,$33,$C3,$C0,$FF,$CF
 .db $03,$F0,$0F,$CF,$C0,$00,$30,$0F,$F0,$0C,$00,$0F,$C0,$FC,$00,$03
 .db $FF,$FF,$C0,$30,$3F,$F3,$F0,$00,$3F,$FC,$FC,$00,$30,$F0,$00,$03
 .db $00,$33,$33,$33,$00,$33,$FF,$FF,$F0,$0F,$CF,$FF,$00,$33,$3F,$F0
 .db $00,$3C,$3F,$0C,$00,$0C,$3C,$FF,$F0,$F0,$00,$03,$C3,$FC,$C0,$3F
 .db $FF,$00,$03,$0F,$03,$FF,$30,$00,$FF,$C3,$03,$FC,$3C,$3F,$03,$00
 .db $C0,$FF,$0F,$FF,$C0,$03,$F0,$F0,$3F,$03,$3F,$0F,$C0,$C0,$FF,$C0
 .db $00,$3C,$03,$FF,$00,$03,$C0,$FF,$F0,$C0,$3C,$0F,$FF,$00,$00,$00
 .db $FF,$C0,$00,$00,$3F,$FC,$00,$00,$03,$FF,$F0,$00,$00,$3F,$FF,$00
 .db $00,$03,$FF,$FC,$00,$00,$3F,$FF,$C0,$00,$03,$FF,$FC,$00,$00,$FF
 .db $FF,$C0,$00,$3F,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$FF,$FF,$C0,$00
 .db $3F,$FF,$F0,$00,$0F,$FF,$FF,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$C0
 .db $00,$03,$FF,$FF,$F0,$00,$3F,$FF,$FF,$00,$03,$FF,$FC,$30,$00,$0F
 .db $FF,$F3,$C0,$00,$FF,$FF,$FC,$00,$03,$FF,$FF,$F0,$00,$3F,$FC,$CF
 .db $C0,$00,$FF,$FC,$FC,$00,$03,$FF,$0F,$FC,$00,$0F,$FF,$0F,$F0,$00
 .db $3F,$FC,$0F,$F0,$00,$3F,$F0,$0F,$C0,$00,$3F,$F0,$3F,$F0,$00,$3F
 .db $F0,$0F,$CC,$00,$3F,$C0,$0F,$F0,$00,$3F,$F0,$3F,$FC,$00,$3F,$FC
 .db $0F,$F0,$00,$0F,$FC,$03,$FC,$00,$0F,$FC,$03,$FF,$00,$03,$FF,$03
 .db $FF,$00,$00,$FF,$C0,$FF,$C0,$00,$FF,$F0,$3F,$F0,$00,$0F,$FC,$3F
 .db $FC,$00,$03,$FF,$CF,$FF,$00,$00,$FF,$F3,$FF,$C0,$00,$3F,$FC,$CF
 .db $FC,$00,$03,$FF,$CF,$FF,$00,$00,$FF,$F0,$FF,$F0,$00,$03,$FF,$33
 .db $FC,$C0,$03,$FF,$0F,$3F,$C0,$00,$3F,$FF,$0F,$FC,$00,$0F,$FF,$C3
 .db $FC,$00,$03,$FF,$0F,$FF,$C0,$03,$CF,$FF,$3F,$FC,$00,$0F,$FC,$0F
 .db $FC,$00,$3F,$F0,$03,$FF,$00,$00,$FF,$CF,$3F,$C0,$00,$3F,$C0,$3F
 .db $F0,$00,$3F,$C0,$0F,$F0,$00,$0F,$F0,$0F,$FC,$00,$0F,$F0,$0F,$FC
 .db $00,$0F,$F0,$0F,$FF,$00,$03,$FC,$00,$FF,$00,$0F,$FC,$03,$FF,$00
 .db $0F,$FC,$03,$FF,$00,$0F,$FC,$03,$FF,$00,$0F,$FC,$03,$FC,$00,$0F
 .db $FC,$03,$FF,$00,$0F,$FC,$03,$FC,$00,$3F,$F0,$03,$F0,$00,$3F,$C0
 .db $0F,$F0,$00,$FF,$C0,$3F,$F0,$00,$FF,$00,$3F,$00,$03,$FC,$00,$FC
 .db $00,$3F,$F0,$03,$F0,$00,$FF,$C0,$0F,$C0,$03,$FF,$00,$3F,$00,$0F
 .db $F0,$00,$FC,$00,$3F,$C0,$3F,$C0,$03,$FC,$00,$FF,$00,$3F,$F0,$03
 .db $FC,$00,$FF,$C0,$0F,$F0,$03,$FF,$00,$3F,$00,$0F,$F0,$03,$FC,$00
 .db $3F,$C0,$0F,$F0,$03,$FF,$00,$3F,$C0,$0F,$F0,$00,$FC,$00,$3F,$C0
 .db $03,$F0,$00,$FF,$00,$3F,$C0,$03,$FC,$00,$FF,$00,$3F,$F0,$03,$FC
 .db $00,$FF,$C0,$0F,$F0,$03,$FC,$00,$3F,$C0,$0F,$F0,$00,$FF,$00,$3F
 .db $C0,$03,$F0,$00,$FF,$00,$0F,$C0,$03,$FC,$00,$FF,$C0,$3F,$F0,$00
 .db $FF,$00,$FF,$C0,$33,$FC,$03,$FF,$00,$3F,$F0,$03,$FC,$00,$FF,$C0
 .db $0F,$FC,$03,$FF,$00,$FF,$F0,$0F,$FC,$00,$FF,$C0,$3F,$F0,$03,$FF
 .db $00,$FF,$F0,$0F,$FC,$03,$FF,$C0,$3F,$F0,$0F,$FF,$00,$FF,$F0,$0F
 .db $FC,$00,$FF,$C0,$3F,$FC,$03,$FF,$00,$FF,$FC,$03,$FC,$00,$FF,$F0
 .db $03,$FC,$03,$FF,$F0,$0F,$F0,$03,$FF,$30,$0F,$F0,$03,$FF,$30,$0F
 .db $F0,$03,$FF,$C0,$0F,$F0,$0F,$FF,$C0,$3F,$F0,$0F,$FF,$C0,$3F,$C0
 .db $0F,$FF,$C0,$3F,$C0,$0F,$FF,$00,$3F,$C0,$3F,$FF,$00,$FF,$00,$3F
 .db $FC,$00,$FF,$00,$3F,$FC,$03,$FC,$00,$FF,$F0,$0F,$FC,$03,$FF,$C0
 .db $0F,$F0,$0F,$FF,$00,$3F,$C0,$3F,$FC,$03,$FF,$03,$FF,$F0,$0F,$F0
 .db $0F,$FF,$C0,$3F,$C0,$3F,$FC,$00,$FF,$00,$FF,$F0,$03,$FC,$03,$FF
 .db $00,$3F,$C0,$3F,$FC,$00,$FF,$00,$FF,$F0,$0F,$F0,$0F,$FF,$00,$3F
 .db $C0,$FF,$F0,$03,$FC,$0F,$FF,$00,$3F,$C0,$3F,$FC,$00,$FF,$03,$FF
 .db $C0,$0F,$F0,$0F,$FF,$00,$3F,$C0,$FF,$F0,$03,$FC,$03,$FF,$00,$3F
 .db $C0,$3F,$F0,$03,$FC,$03,$FF,$00,$3F,$F0,$3F,$F0,$03,$FF,$00,$FF
 .db $00,$3F,$F0,$0F,$F0,$03,$FF,$00,$FF,$C0,$3F,$F0,$0F,$F0,$03,$FC
 .db $03,$FF,$00,$3F,$C0,$3F,$F0,$0F,$FC,$03,$FC,$00,$FF,$00,$FF,$C0
 .db $0F,$F0,$0F,$FC,$03,$FF,$00,$FF,$C0,$3F,$C0,$0F,$F0,$03,$FC,$03
 .db $FF,$00,$FF,$C0,$3F,$F0,$0F,$F0,$03,$FC,$00,$FF,$00,$FF,$C0,$3F
 .db $F0,$0F,$FC,$03,$FC,$03,$FF,$00,$FF,$C0,$3F,$F0,$0F,$FC,$03,$FC
 .db $03,$FF,$00,$FF,$00,$FF,$C0,$0F,$F0,$0F,$FC,$00,$FC,$03,$FF,$00
 .db $3F,$00,$FF,$F0,$0F,$F0,$3F,$FC,$00,$FC,$03,$FF,$00,$3C,$00,$FF
 .db $C0,$0F,$C0,$3F,$FC,$03,$F0,$0F,$FF,$00,$FC,$03,$FF,$FC,$3C,$00
 .db $FF,$FF,$FF,$00,$3F,$FF,$FF,$C0,$0F,$FF,$0F,$F0,$03,$FF,$F0,$3C
 .db $00,$3F,$FF,$0F,$00,$0F,$FF,$FF,$C0,$03,$FF,$FF,$F0,$00,$FF,$FF
 .db $0F,$00,$3F,$F0,$0F,$F0,$0F,$FC,$00,$3F,$00,$FF,$F0,$03,$FC,$0F
 .db $FC,$00,$FF,$C0,$3F,$F0,$03,$FF,$03,$FF,$00,$0F,$FF,$3C,$3F,$00
 .db $0F,$FF,$00,$30,$3F,$0F,$F0,$00,$0F,$F0,$FF,$00,$03,$FF,$0C,$00
 .db $C0,$3F,$FF,$00,$3C,$03,$FF,$F0,$0F,$FF,$F0,$FF,$00,$F0,$FF,$0F
 .db $C0,$3C,$03,$CF,$FC,$0F,$F0,$3F,$FF,$C0,$FF,$00,$3F,$F0,$0F,$FC
 .db $03,$FF,$00,$3F,$C0,$3F,$F0,$0F,$FF,$30,$3F,$F0,$00,$FC,$C0,$FF
 .db $F0,$03,$F0,$FF,$FF,$C0,$3C,$0F,$FF,$F0,$00,$03,$FF,$FC,$03,$00
 .db $3F,$FF,$C0,$30,$00,$3F,$FC,$FC,$00,$00,$FF,$FF,$00,$F0,$3F,$FF
 .db $C0,$0C,$FC,$C3,$FC,$00,$C3,$0F,$FF,$F0,$3F,$3F,$CF,$FF,$00,$30
 .db $F0,$0F,$C0,$0F,$3F,$03,$3C,$00,$FF,$C0,$3F,$C0,$0F,$FC,$0F,$FF
 .db $00,$FF,$00,$3F,$F0,$0F,$FC,$0F,$FC,$00,$3F,$00,$3F,$C0,$CF,$FC
 .db $0F,$C3,$C0,$3F,$FF,$CF,$3C,$00,$0F,$FF,$C3,$F0,$C0,$0F,$F0,$0F
 .db $C0,$0F,$3C,$33,$FC,$00,$00,$C0,$3F,$CC,$00,$CF,$CC,$0F,$C0,$30
 .db $FF,$F0,$C0,$00,$FF,$FC,$3F,$00,$FF,$FC,$03,$F0,$0F,$FF,$00,$FC
 .db $00,$FF,$C0,$3F,$00,$03,$F0,$03,$00,$0F,$FC,$03,$F0,$03,$FF,$03
 .db $C0,$03,$FF,$00,$F0,$0C,$FF,$C0,$00,$03,$FF,$F0,$00,$03,$FF,$FC
 .db $00,$03,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$3F,$FF,$C0,$00,$3F,$FF
 .db $C0,$00,$3F,$FF,$C0,$00,$0F,$FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$FF
 .db $F0,$00,$0F,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF
 .db $FC,$00,$03,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$FF
 .db $FF,$00,$00,$FF,$FF,$C0,$00,$3C,$FF,$F0,$00,$03,$FF,$3C,$30,$03
 .db $FF,$FF,$03,$00,$FC,$FF,$03,$C0,$3F,$0F,$00,$FC,$C3,$03,$03,$0F
 .db $F0,$F0,$03,$C3,$FC,$0C,$0F,$F0,$F0,$0F,$0F,$FC,$3C,$03,$03,$FF
 .db $3C,$00,$C3,$FF,$C3,$00,$30,$FF,$C3,$00,$0C,$3F,$F0,$C0,$03,$3F
 .db $FC,$30,$03,$CF,$FF,$0C,$00,$F3,$FF,$03,$00,$30,$FF,$C0,$C0,$0C
 .db $0F,$F0,$F0,$03,$03,$FC,$3C,$00,$C3,$FF,$0F,$00,$30,$FF,$C3,$00
 .db $3C,$FF,$F3,$C0,$0C,$3F,$F0,$F0,$03,$0F,$FC,$30,$03,$C3,$FF,$0C
 .db $00,$C3,$FF,$0C,$00,$30,$FF,$C3,$00,$00,$FF,$F3,$00,$00,$3F,$F0
 .db $C0,$00,$3F,$FC,$C0,$00,$0F,$FF,$00,$00,$0F,$FF,$30,$00,$03,$FF
 .db $CC,$00,$03,$FF,$CC,$00,$03,$FF,$FC,$00,$00,$FF,$F3,$00,$00,$FF
 .db $F0,$00,$00,$FF,$F0,$00,$00,$3F,$FC,$00,$00,$3F,$FC,$00,$00,$3F
 .db $FC,$00,$00,$3F,$FF,$00,$00,$3F,$FF,$00,$00,$3F,$FF,$00,$00,$FF
 .db $FF,$30,$00,$3F,$FF,$00,$00,$0F,$FF,$00,$00,$CF,$FF,$00,$00,$CF
 .db $FF,$00,$00,$0F,$FF,$00,$00,$CF,$FF,$00,$00,$0F,$FF,$00,$00,$3F
 .db $FF,$00,$00,$3F,$FF,$00,$00,$0F,$FF,$00,$00,$0F,$FF,$00,$00,$0F
 .db $FF,$00,$00,$0F,$FF,$30,$00,$0F,$FF,$30,$00,$0F,$FF,$30,$00,$0F
 .db $FF,$F0,$00,$0F,$FF,$F0,$00,$0F,$FF,$FC,$00,$0F,$FF,$FC,$00,$0F
 .db $FF,$FC,$00,$0F,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF,$FC,$00,$00
 .db $FF,$FC,$00,$00,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$FF,$FF,$00,$00
 .db $3F,$FF,$C0,$00,$3F,$FF,$C0,$00,$0F,$FF,$F0,$00,$0F,$FF,$F0,$00
 .db $03,$FF,$FC,$00,$03,$FF,$FC,$00,$00,$FF,$FC,$00,$00,$FF,$FF,$00
 .db $00,$FF,$FF,$00,$00,$3F,$FF,$00,$00,$3F,$FF,$C0,$00,$0F,$FF,$C0
 .db $00,$0F,$FF,$F0,$00,$03,$FF,$F0,$C0,$03,$FF,$FC,$00,$00,$FF,$FC
 .db $00,$00,$FF,$FF,$00,$00,$3F,$FF,$0C,$00,$33,$FF,$C0,$00,$0F,$FF
 .db $F3,$00,$0C,$FF,$F0,$00,$00,$FF,$FC,$C0,$00,$3F,$FC,$30,$00,$3F
 .db $FF,$30,$00,$0F,$FF,$0C,$00,$0F,$FF,$CC,$00,$03,$FF,$C3,$00,$03
 .db $FF,$CF,$00,$00,$FF,$F3,$00,$00,$FF,$FF,$C0,$00,$3F,$FF,$C0,$00
 .db $3F,$FC,$F0,$00,$0F,$FC,$30,$00,$3F,$FF,$F0,$00,$0F,$FF,$CC,$00
 .db $0F,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF,$FF,$00,$00,$FF,$F0,$00
 .db $03,$FF,$FF,$C0,$03,$FF,$FC,$00,$00,$FF,$FF,$F0,$00,$3F,$FF,$C0
 .db $00,$3F,$FF,$F0,$00,$3F,$FF,$C0,$00,$3F,$FF,$FC,$00,$0F,$FF,$F0
 .db $00,$0F,$FF,$FC,$00,$0F,$FF,$FC,$00,$0F,$FF,$FF,$00,$03,$FF,$FC
 .db $00,$03,$FF,$FF,$C0,$03,$FF,$FF,$00,$03,$FF,$FF,$C0,$00,$FF,$FF
 .db $C0,$00,$FF,$FF,$F0,$00,$3F,$FF,$C0,$00,$3F,$FF,$CC,$00,$0F,$FF
 .db $F0,$00,$0F,$FF,$F0,$00,$0F,$FF,$FC,$00,$03,$FF,$FC,$00,$03,$FF
 .db $FC,$00,$00,$FF,$FF,$00,$00,$FF,$FF,$00,$00,$3F,$FF,$00,$00,$0F
 .db $FF,$C0,$00,$0F,$FF,$C0,$00,$03,$FF,$F0,$00,$03,$FF,$FF,$00,$00
 .db $FF,$FC,$00,$03,$3F,$FF,$30,$3C,$C3,$FF,$CC,$CF,$3F,$0F,$00,$00
 .db $C3,$00,$3C,$C3,$FC,$00,$FF,$FC,$FF,$CF,$30,$30,$0C,$FC,$0C,$F0
 .db $00,$33,$CC,$FF,$3C,$C3,$FF,$FF,$00,$F0,$0F,$FF,$0F,$FF,$FF,$FF
 .db $F0,$F0,$00,$00,$0F,$FF,$FF,$00,$0F,$FF,$30,$CC,$00,$00,$00,$0F
 .db $FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$F3
 .db $00,$03,$C0,$00,$00,$0F,$FF,$FF,$FC,$F0,$00,$00,$00,$00,$00,$00
 .db $00,$00,$3F,$F3,$FF,$00,$00,$0F,$FF,$FF,$FF,$FF,$F0,$00,$00,$3F
 .db $F0,$00,$00,$03,$FF,$FF,$C0,$00,$00,$3F,$FC,$00,$0C,$03,$FF,$FF
 .db $C0,$00,$00,$00,$FF,$00,$00,$FF,$FF,$F0,$00,$FF,$FF,$C0,$0F,$FF
 .db $00,$00,$FF,$FF,$FF,$F3,$C0,$00,$00,$00,$00,$33,$03,$FF,$FF,$F0
 .db $00,$03,$00,$00,$0C,$F0,$00,$00,$CC,$FF,$FF,$3F,$FF,$FC,$C0,$03
 .db $F0,$00,$FF,$F3,$00,$00,$3F,$FF,$FF,$FF,$FF,$F0,$C0,$CF,$00,$00
 .db $00,$FF,$FF,$CF,$FF,$00,$CF,$C0,$00,$3F,$FF,$FF,$FF,$00,$00,$0F
 .db $FF,$FF,$FF,$FF,$FF,$00,$00,$00,$FF,$CC,$03,$FF,$FF,$FF,$FC,$F0
 .db $C0,$00,$03,$FF,$CF,$FF,$FF,$FF,$F0,$00,$00,$FF,$FF,$FF,$FF,$FF
 .db $FC,$33,$FF,$C0,$FC,$00,$00,$00,$0C,$C3,$C0,$0F,$F0,$33,$3F,$FF
 .db $FF,$C0,$00,$00,$00,$FF,$C0,$00,$0F,$FF,$FF,$00,$0F,$FF,$C0,$FF
 .db $3F,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$CF,$30,$FF,$FF,$FC,$00
 .db $30,$03,$C0,$0F,$FF,$FF,$00,$00,$00,$3C,$0F,$FF,$FF,$FC,$00,$00
 .db $FF,$0F,$FF,$F0,$0F,$C3,$FF,$FC,$0F,$FF,$FF,$FF,$FC,$00,$00,$3F
 .db $FF,$FF,$03,$F0,$00,$FC,$00,$FC,$03,$F3,$3F,$00,$00,$F3,$FF,$00
 .db $00,$33,$00,$F0,$3F,$00,$F0,$F3,$C0,$FC,$F3,$FC,$FF,$F0,$F0,$00
 .db $03,$03,$FF,$FF,$FF,$FC,$00,$0C,$C3,$F3,$F0,$3F,$FF,$FC,$F0,$FC
 .db $0F,$03,$0F,$CC,$33,$CF,$0F,$00,$0F,$FF,$FC,$C0,$00,$33,$33,$F0
 .db $F0,$0C,$3F,$FF,$3F,$00,$00,$FF,$3C,$3C,$3F,$3C,$FC,$F0,$0F,$3F
 .db $0C,$0F,$C0,$03,$CF,$0F,$C0,$3C,$0C,$00,$00,$F0,$FF,$3F,$F0,$03
 .db $F3,$30,$3C,$0F,$0C,$30,$F0,$33,$00,$C0,$CF,$3C,$3F,$C0,$CF,$C0
 .db $00,$00,$0C,$CF,$0F,$C3,$03,$CF,$0F,$C0,$FC,$3F,$0C,$00,$C3,$00
 .db $33,$CF,$30,$FC,$03,$CF,$FC,$F3,$33,$F0,$CC,$33,$03,$03,$C0,$F0
 .db $3C,$3C,$0C,$F0,$F0,$03,$F0,$33,$C0,$FF,$33,$FC,$0C,$0F,$F0,$C0
  
.end