;Plays a 1-Bit, 11kHz, Mono WAV-File over a connected earphone...
; (C) 1996 by Andreas Ess
;If you use the code, please give me an appropriate credit.
;Send a postcard saying thank you to:
; Andreas Ess
; Tufers 156
; A-6811 Goefis
; Austria/Europe
;-----------------------------------------------------------------------------
;ported to the ti-86 by Andrew Waser without permission (I didn't do much,
;just made it compatible..)
;-----------------------------------------------------------------------------


#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram
    nop
    jp Start      
    .dw 0
    .dw Title

Title:
.db "Fat Guy in a Little Coat",0

Start:
 ld hl, Sound
 call PlayWAV

 ret

PlayWAV:
 di                    ;greylib by robert taylor can't be used :(
 ld   a, 0C0h         
 out   (7), a
 ld   e, (hl)
 inc   hl
 ld   d, (hl)
 inc   hl
 ld   b, 128           ;b is used as a mask
SoundLoop:
 ld   c, 19

DLoop:
 dec   c
 jr nz,   DLoop
 nop
 nop
 rrc   b
 jr nc,   Play
 inc   hl               ;next byte
 dec   de
 ld   a, d
 or    e
 jr z,    DonePlay
 xor   a                ;exit key pressed?
 out   (1), a
 in    a, (1)
 bit   6, a
 jr z,    DonePlay
Play:
 ld   a, (hl)          ;get bit
 and   b
 jr z,    Play1
 ld   a, 0FCh
 out   (7), a
 jr   SoundLoop
Play1:
 ld   a, 0C0h
 out   (7), a
 jr   SoundLoop
DonePlay:
 ld  a, 0C0h
 out  (7), a
 ei
 ret

;-----------------------------------------------------------------------------
;The WAV-File:
;-----------------------------------------------------------------------------
Sound:
S_C:\MYDOCU~1\MP3\FATGUY.WAV:
 .dw 7228
 .db $3C,$0F,$0F,$F0,$F0,$00,$03,$03,$0F,$03,$F3,$00,$FC,$FF,$00,$F0
 .db $C3,$0C,$3C,$3C,$FF,$C3,$CC,$03,$3C,$F0,$CC,$03,$3C,$CF,$C3,$C3
 .db $FF,$0F,$33,$3C,$CC,$00,$00,$0F,$03,$0F,$03,$F3,$F0,$3F,$3F,$0C
 .db $3C,$3C,$3C,$F3,$3C,$F3,$F3,$FC,$0F,$FC,$F3,$C3,$30,$03,$C0,$33
 .db $00,$03,$00,$FC,$FC,$03,$F0,$00,$C3,$3C,$C0,$3C,$0C,$0F,$0F,$C0
 .db $00,$33,$30,$FC,$FC,$F0,$F0,$F3,$C0,$FF,$30,$FC,$CF,$CF,$CF,$FC
 .db $CF,$F0,$30,$C0,$F0,$CC,$FC,$3C,$00,$33,$00,$0F,$00,$C0,$0F,$0C
 .db $3C,$00,$CF,$03,$F0,$3F,$CC,$FC,$03,$FC,$0F,$3F,$0F,$FC,$3C,$03
 .db $C3,$F3,$F3,$CF,$C3,$FF,$0F,$C0,$3C,$3C,$0C,$0F,$FC,$3F,$C0,$FF
 .db $03,$00,$03,$C3,$0F,$CF,$CC,$00,$C3,$F0,$F0,$FC,$3C,$3C,$0F,$03
 .db $3C,$3F,$FF,$3C,$0F,$C0,$F0,$3C,$F0,$3C,$0F,$0F,$CF,$3F,$0F,$C3
 .db $C3,$F0,$C0,$F0,$30,$F3,$C0,$0F,$C3,$CC,$33,$F0,$0C,$F0,$0F,$0C
 .db $03,$3C,$3C,$F0,$CF,$03,$03,$C3,$F0,$FC,$00,$FC,$00,$3C,$FF,$F0
 .db $CC,$FF,$33,$3F,$CF,$00,$F3,$C3,$F3,$0C,$F0,$CC,$CC,$FC,$33,$3C
 .db $33,$C0,$F0,$F0,$F0,$FC,$CF,$F0,$3F,$0F,$33,$C3,$C0,$F0,$33,$03
 .db $C3,$CF,$00,$3C,$3F,$33,$FC,$03,$F0,$0F,$03,$C0,$3F,$03,$30,$00
 .db $FC,$3C,$03,$F0,$30,$C3,$C3,$FC,$3C,$C3,$30,$3C,$FC,$F3,$F3,$33
 .db $C3,$3C,$0F,$CF,$C3,$C0,$30,$33,$00,$F0,$FC,$F0,$0C,$F3,$CC,$0F
 .db $C3,$CC,$0F,$C0,$CC,$0C,$C0,$00,$C3,$03,$F3,$F3,$3F,$FF,$FC,$0C
 .db $0C,$3F,$F0,$FC,$3C,$CC,$0F,$00,$3C,$F3,$03,$C0,$0C,$FC,$C0,$F0
 .db $FF,$FC,$C3,$C0,$CC,$03,$0F,$C0,$F0,$3C,$CC,$00,$3F,$CC,$C0,$FC
 .db $3F,$0C,$C3,$33,$3F,$0F,$0C,$C3,$F0,$33,$0F,$33,$3C,$0C,$C0,$0F
 .db $F3,$00,$C3,$CC,$03,$C0,$F0,$0C,$0F,$33,$0C,$C0,$F3,$0C,$C3,$F3
 .db $F3,$30,$3C,$C0,$F0,$C0,$F0,$33,$F3,$C0,$F3,$FF,$03,$CC,$C0,$F3
 .db $FC,$0F,$03,$F3,$30,$03,$33,$C0,$3C,$0C,$CC,$30,$C3,$F3,$F3,$FC
 .db $3C,$0F,$F0,$3F,$F0,$C0,$F0,$F3,$3C,$F0,$0C,$C3,$CF,$0F,$03,$F3
 .db $C3,$C0,$F0,$CC,$F3,$F0,$F3,$F0,$33,$00,$0F,$CC,$0F,$CF,$33,$F0
 .db $33,$F3,$0C,$0F,$0F,$3C,$3C,$30,$CF,$0C,$F0,$C3,$CC,$FC,$33,$CF
 .db $CC,$CC,$FC,$03,$30,$33,$CF,$CC,$F3,$FC,$CC,$CF,$FC,$00,$C0,$3F
 .db $3F,$03,$CC,$3F,$3F,$03,$0C,$00,$0C,$C3,$3F,$CF,$CF,$03,$0F,$C0
 .db $F0,$30,$FC,$CC,$CF,$00,$C3,$03,$0C,$3C,$F0,$F3,$F3,$F3,$F3,$F3
 .db $F0,$3F,$3C,$3C,$CC,$3C,$F0,$30,$F0,$0C,$0C,$CC,$3F,$0F,$3C,$0C
 .db $FF,$F3,$F0,$3C,$C0,$0F,$CF,$CF,$30,$0F,$F3,$30,$C0,$CF,$CF,$CF
 .db $03,$CC,$CC,$3F,$00,$3C,$0C,$03,$0F,$03,$F0,$CC,$0C,$CF,$CC,$FC
 .db $3F,$3F,$3C,$FC,$33,$FC,$3F,$03,$C0,$F0,$CF,$0F,$0C,$3C,$0C,$C3
 .db $33,$C0,$C3,$0F,$CF,$0F,$3C,$3C,$3F,$3F,$0F,$CF,$33,$0F,$3F,$3F
 .db $0F,$3C,$3C,$33,$33,$03,$F3,$F0,$CF,$0C,$30,$0F,$33,$03,$C3,$C0
 .db $CF,$C3,$03,$FF,$F0,$0F,$33,$03,$33,$C3,$FF,$30,$03,$0C,$C0,$0C
 .db $33,$00,$FF,$C0,$0F,$FF,$F0,$00,$C0,$0F,$0C,$CC,$F0,$3C,$C3,$F3
 .db $3F,$FF,$CF,$3F,$F0,$3F,$3C,$CF,$C0,$00,$03,$00,$FC,$00,$33,$C0
 .db $33,$FF,$CF,$FF,$CC,$00,$00,$00,$C0,$C3,$FC,$00,$00,$00,$00,$30
 .db $03,$CF,$03,$FC,$0C,$30,$33,$F0,$00,$0F,$3F,$FF,$0C,$FF,$FF,$3F
 .db $CC,$FF,$FF,$FF,$F0,$33,$00,$03,$C0,$F0,$F0,$0F,$C0,$3C,$00,$33
 .db $C0,$00,$03,$03,$FF,$F3,$F3,$C0,$00,$3F,$FF,$03,$00,$03,$CF,$FF
 .db $0F,$FF,$FF,$FF,$C0,$3F,$33,$FF,$C0,$0C,$00,$FC,$C0,$F0,$FF,$FF
 .db $CF,$FF,$FF,$3C,$C3,$03,$3F,$0C,$33,$3C,$FC,$03,$3F,$FC,$CF,$0C
 .db $00,$00,$00,$00,$03,$CC,$FF,$FF,$FF,$F0,$00,$00,$F0,$00,$00,$3F
 .db $FF,$FF,$FF,$C0,$03,$F0,$0F,$0C,$00,$3C,$33,$FF,$FF,$33,$FF,$FF
 .db $FF,$FF,$F3,$FF,$00,$FF,$FF,$FF,$FF,$F0,$0F,$FF,$FC,$00,$00,$C0
 .db $CC,$0F,$FF,$00,$33,$FF,$FF,$F3,$C0,$00,$00,$FF,$03,$FF,$FF,$FF
 .db $FF,$FF,$00,$FF,$F3,$CF,$F0,$FF,$FF,$FF,$F0,$FF,$F0,$00,$3F,$FF
 .db $C3,$C0,$3C,$00,$00,$00,$FF,$0C,$C0,$CF,$FF,$FF,$FF,$FF,$FC,$00
 .db $00,$C0,$00,$3F,$FF,$FF,$FF,$FF,$30,$0C,$FF,$FF,$FF,$FC,$3C,$00
 .db $03,$FF,$F3,$3F,$C0,$00,$00,$00,$F0,$00,$03,$FF,$FF,$FF,$FF,$00
 .db $3C,$30,$00,$00,$00,$FF,$FF,$FF,$CC,$03,$F3,$FF,$FF,$FF,$FF,$FF
 .db $FC,$FC,$FF,$FC,$00,$00,$00,$03,$FC,$00,$C0,$03,$FF,$FF,$FF,$F3
 .db $FF,$00,$00,$00,$0F,$FF,$FF,$FF,$F3,$3F,$FF,$FF,$FF,$CF,$CC,$3F
 .db $FF,$C0,$00,$03,$FF,$F0,$FF,$FC,$00,$00,$00,$FF,$FF,$00,$00,$03
 .db $0C,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$CF,$FF,$FF,$FF,$00,$00
 .db $00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00
 .db $00,$00,$FF,$C3,$00,$00,$00,$3F,$FF,$FF,$00,$00,$0F,$F0,$00,$FF
 .db $00,$3F,$FF,$FF,$C0,$00,$0F,$FF,$FF,$C0,$00,$00,$3F,$FC,$CC,$0C
 .db $3F,$FF,$00,$00,$00,$03,$CC,$00,$00,$FF,$FC,$00,$0F,$CF,$00,$00
 .db $00,$30,$0C,$3F,$FF,$FF,$C3,$3F,$FF,$FF,$F0,$00,$03,$FF,$FF,$F3
 .db $F0,$00,$00,$00,$00,$00,$0C,$FF,$FF,$00,$00,$00,$3F,$FF,$FF,$00
 .db $0F,$CC,$30,$00,$FF,$FF,$FF,$FF,$FF,$C0,$00,$0F,$00,$00,$00,$00
 .db $00,$3F,$FF,$FF,$FF,$FC,$0F,$FF,$C3,$F0,$00,$00,$00,$00,$FF,$FF
 .db $C0,$00,$03,$F0,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00
 .db $03,$FF,$FF,$FF,$FF,$F3,$3C,$F3,$00,$00,$3C,$00,$00,$00,$00,$0F
 .db $FF,$FC,$FC,$00,$00,$00,$00,$00,$F0,$C0,$FF,$FF,$FF,$FF,$FF,$FF
 .db $3F,$FF,$FF,$FF,$C0,$0F,$FF,$FC,$00,$00,$0F,$C0,$00,$00,$0F,$FF
 .db $FF,$FF,$FF,$C0,$00,$00,$00,$FF,$F3,$C0,$3F,$FC,$00,$00,$FF,$FF
 .db $FF,$FF,$F0,$FF,$FF,$FC,$00,$0F,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00
 .db $00,$FF,$00,$FF,$0F,$FF,$C0,$00,$00,$00,$00,$0F,$FF,$F0,$CC,$FF
 .db $FF,$FF,$3F,$FF,$F3,$C0,$0F,$F3,$CC,$00,$03,$FF,$FF,$FF,$FF,$FF
 .db $F0,$00,$00,$00,$0F,$C0,$00,$00,$03,$00,$FC,$FF,$C0,$FC,$FF,$FF
 .db $FF,$00,$00,$00,$3F,$FF,$FF,$FF,$CC,$3F,$FF,$FF,$CC,$FF,$FF,$FC
 .db $00,$00,$00,$C0,$00,$FF,$C0,$00,$00,$00,$3F,$FF,$FF,$F0,$00,$00
 .db $00,$FF,$CF,$F0,$00,$FC,$03,$00,$30,$00,$FF,$FF,$FF,$FF,$FF,$3F
 .db $F3,$F0,$00,$00,$00,$0F,$00,$0F,$FF,$FF,$FF,$FC,$C0,$00,$00,$00
 .db $00,$0F,$FF,$FF,$FF,$FF,$0F,$00,$0C,$C0,$00,$00,$3F,$FF,$FF,$FF
 .db $3F,$FF,$C0,$C0,$0C,$00,$00,$F0,$FF,$FF,$FF,$C0,$00,$03,$00,$00
 .db $00,$00,$F0,$00,$FF,$F3,$CF,$FF,$C0,$0F,$03,$C0,$0C,$C0,$FF,$FF
 .db $C0,$3F,$03,$C0,$3F,$33,$0C,$3F,$F0,$00,$FF,$F0,$0F,$F3,$00,$FF
 .db $0C,$03,$3F,$F0,$03,$FF,$C0,$33,$FF,$3C,$3C,$CF,$F3,$0C,$30,$FF
 .db $FC,$3F,$FC,$C3,$3F,$0F,$FF,$FC,$CF,$F0,$CF,$30,$0C,$CC,$CC,$30
 .db $CC,$C3,$3C,$0C,$0F,$0F,$30,$33,$F3,$33,$30,$0F,$30,$C0,$30,$33
 .db $F0,$CF,$CF,$3C,$30,$F0,$FC,$3C,$F0,$30,$30,$0C,$C0,$3F,$3F,$0F
 .db $C3,$33,$3C,$CF,$FF,$00,$C3,$CC,$F0,$FC,$3C,$00,$3F,$3C,$03,$3C
 .db $FC,$CF,$0C,$0C,$3F,$0F,$FF,$30,$C0,$FC,$C0,$C0,$FC,$3F,$0C,$FC
 .db $CC,$33,$CF,$CC,$FC,$3C,$0C,$0F,$0F,$03,$F0,$CC,$3C,$CF,$CC,$03
 .db $FF,$F3,$30,$CC,$33,$33,$30,$F3,$3F,$CC,$C3,$00,$33,$F3,$00,$00
 .db $C0,$00,$CF,$30,$30,$0C,$3F,$F3,$CC,$33,$0C,$3F,$FF,$0C,$C0,$03
 .db $33,$F0,$C0,$F0,$3F,$30,$0F,$30,$F0,$C0,$0C,$0C,$0C,$03,$FC,$CC
 .db $00,$C0,$33,$03,$CF,$00,$0C,$FC,$3C,$3F,$F3,$CC,$CF,$C0,$C3,$30
 .db $C0,$0C,$3C,$F3,$C0,$C3,$0C,$30,$0F,$33,$CF,$CF,$33,$C0,$03,$00
 .db $30,$00,$00,$0C,$00,$00,$00,$03,$0F,$FF,$F3,$FC,$C3,$CC,$FF,$FF
 .db $F0,$30,$30,$FF,$0F,$0C,$CF,$FC,$C0,$0F,$FF,$FF,$F3,$CC,$3F,$3F
 .db $CC,$00,$00,$3C,$0C,$F0,$F3,$CF,$FF,$FF,$FF,$FC,$FF,$03,$00,$FF
 .db $CF,$FF,$CC,$03,$FF,$03,$3F,$F3,$3F,$C0,$0F,$FF,$CC,$FF,$C0,$FC
 .db $C3,$CF,$3C,$C0,$3C,$3C,$0F,$C3,$0C,$CF,$FF,$FC,$3F,$3F,$FF,$CF
 .db $FF,$3F,$F0,$FF,$00,$FF,$0F,$FF,$FF,$33,$FC,$0C,$3F,$F3,$FF,$F0
 .db $FF,$C3,$3F,$F3,$C0,$CF,$00,$0F,$3F,$3F,$3C,$F3,$F0,$FF,$FF,$CC
 .db $00,$3F,$F0,$FF,$C0,$FC,$FF,$FF,$CF,$FC,$0F,$00,$FC,$CC,$C0,$3F
 .db $C3,$FF,$CC,$CF,$FC,$00,$00,$00,$0C,$00,$3F,$03,$30,$FF,$03,$F0
 .db $0F,$00,$00,$0F,$F3,$FF,$FF,$F3,$FF,$FF,$30,$C3,$00,$00,$00,$0F
 .db $CF,$FF,$FF,$F0,$FC,$C0,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$CF,$FF
 .db $F0,$00,$00,$00,$00,$0F,$FF,$FF,$0C,$FF,$FF,$C0,$00,$00,$00,$00
 .db $03,$FF,$FC,$0F,$03,$FF,$C0,$00,$00,$C0,$00,$00,$0F,$FF,$FC,$FF
 .db $FF,$FF,$00,$CF,$30,$00,$00,$00,$0F,$FF,$F3,$FF,$FF,$FF,$00,$3F
 .db $C0,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$00,$3F,$CC,$CC,$00,$00
 .db $0F,$FF,$F3,$FF,$FF,$FC,$00,$3F,$FF,$C0,$00,$00,$3F,$FF,$C0,$FF
 .db $FF,$FC,$00,$FF,$C0,$C0,$00,$00,$3F,$FF,$03,$FF,$FF,$FC,$00,$FF
 .db $CF,$C0,$00,$00,$3F,$FC,$00,$FF,$FF,$F0,$00,$FF,$03,$00,$00,$00
 .db $FF,$FC,$03,$FF,$FF,$C0,$03,$FF,$00,$C0,$00,$00,$FF,$F0,$00,$FF
 .db $FF,$C0,$0F,$FF,$CC,$00,$00,$00,$FF,$F0,$03,$FF,$FF,$C0,$0F,$FC
 .db $03,$00,$00,$00,$FF,$FC,$00,$FF,$FF,$C0,$0F,$FC,$00,$00,$00,$00
 .db $FF,$FC,$03,$FF,$FF,$F0,$03,$FF,$00,$00,$00,$00,$3F,$FF,$03,$FF
 .db $FF,$F0,$03,$FF,$C0,$00,$00,$00,$0F,$FF,$00,$FF,$FF,$FC,$00,$FF
 .db $F0,$00,$00,$00,$03,$FF,$C0,$0F,$FF,$FF,$00,$3F,$FC,$00,$00,$00
 .db $00,$FF,$F0,$03,$FF,$FF,$C0,$0F,$FF,$00,$00,$00,$00,$0F,$FC,$00
 .db $FF,$FF,$FC,$03,$FF,$C0,$00,$00,$00,$03,$FF,$C0,$3F,$FF,$FF,$00
 .db $3F,$F0,$00,$00,$00,$00,$3F,$F0,$03,$FF,$FF,$F0,$0F,$FF,$00,$30
 .db $00,$00,$0F,$FF,$00,$FF,$FF,$FC,$00,$FF,$C0,$00,$00,$00,$00,$FF
 .db $F0,$0F,$FF,$FF,$00,$3F,$FC,$00,$00,$00,$00,$3F,$FC,$00,$FF,$FF
 .db $C0,$0F,$FF,$00,$00,$00,$00,$0F,$FF,$00,$FF,$FF,$FC,$00,$FF,$C0
 .db $00,$00,$00,$00,$FF,$C0,$0F,$FF,$FF,$00,$3F,$F0,$00,$00,$00,$00
 .db $3F,$FC,$03,$FF,$FF,$C0,$0F,$FF,$00,$00,$00,$00,$0F,$FF,$00,$FF
 .db $FF,$F0,$03,$FF,$C0,$00,$00,$00,$03,$FF,$C0,$0F,$FF,$FC,$00,$FF
 .db $F0,$00,$00,$00,$00,$FF,$F0,$03,$FF,$FF,$00,$3F,$FC,$00,$00,$00
 .db $00,$3F,$FC,$00,$FF,$FF,$C0,$0F,$FF,$00,$00,$0C,$00,$0F,$FF,$00
 .db $3F,$FF,$F0,$03,$FF,$C0,$00,$0F,$00,$03,$FF,$00,$3F,$FF,$FC,$00
 .db $FF,$F0,$00,$03,$C0,$03,$FF,$C0,$0F,$FF,$FC,$00,$FF,$F0,$00,$03
 .db $F0,$00,$FF,$C0,$03,$FF,$FF,$00,$3F,$FC,$00,$00,$F0,$00,$FF,$F0
 .db $03,$CF,$FF,$00,$3F,$FC,$00,$00,$FC,$00,$3F,$F0,$03,$FF,$FF,$C0
 .db $0F,$FF,$00,$00,$3C,$00,$3F,$FC,$00,$F3,$FF,$C0,$0F,$FF,$00,$00
 .db $3F,$00,$3F,$FC,$00,$C3,$FF,$C0,$0F,$FF,$C3,$00,$3F,$00,$3F,$FC
 .db $00,$C3,$FF,$C0,$03,$FF,$C0,$00,$3F,$00,$3F,$FC,$00,$F3,$FF,$C0
 .db $03,$FF,$CC,$00,$3F,$00,$3F,$FC,$00,$FF,$FF,$C0,$0F,$FF,$F0,$00
 .db $3C,$00,$3F,$FC,$00,$CF,$FF,$C0,$0F,$FF,$F0,$00,$3C,$00,$3F,$F0
 .db $00,$CF,$FF,$C0,$0F,$FF,$F0,$00,$FC,$00,$FF,$F0,$03,$0F,$FF,$00
 .db $3F,$FF,$FC,$00,$F0,$00,$FF,$C0,$03,$0F,$FF,$00,$3F,$FF,$FC,$00
 .db $F0,$03,$FF,$C0,$0C,$3F,$FC,$00,$FF,$FF,$FC,$00,$C0,$03,$FF,$00
 .db $3C,$3F,$FC,$00,$FF,$FF,$F0,$00,$00,$0F,$FF,$00,$3C,$FF,$F0,$00
 .db $FF,$FF,$F0,$00,$00,$3F,$FC,$00,$F3,$FF,$F0,$03,$FF,$FF,$C0,$00
 .db $00,$FF,$F0,$00,$CF,$FF,$C0,$0F,$F3,$FF,$C0,$00,$03,$FF,$C0,$03
 .db $3F,$FF,$00,$3F,$C0,$FF,$00,$00,$0F,$FF,$00,$3C,$FF,$FC,$00,$FF
 .db $03,$FC,$00,$00,$3F,$FC,$00,$F3,$FF,$F0,$03,$FC,$0F,$C0,$00,$00
 .db $FF,$F0,$03,$0F,$FF,$00,$0F,$FC,$03,$00,$00,$03,$FF,$00,$0C,$FF
 .db $FC,$00,$FF,$F0,$00,$C0,$00,$3F,$FC,$00,$03,$FF,$C0,$03,$FF,$C0
 .db $03,$30,$00,$FF,$F0,$03,$0F,$FF,$00,$0F,$FF,$00,$0F,$C0,$03,$FF
 .db $C0,$0C,$FF,$FC,$00,$3F,$FF,$00,$3F,$00,$0F,$FC,$00,$03,$FF,$F0
 .db $03,$FF,$F0,$00,$FC,$00,$3F,$FC,$00,$03,$FF,$C0,$03,$FF,$C0,$03
 .db $F0,$00,$FF,$F0,$00,$3F,$FF,$00,$0F,$FF,$00,$03,$C0,$03,$FF,$C0
 .db $00,$3F,$FC,$00,$3F,$FC,$00,$00,$00,$0F,$FF,$00,$00,$FF,$FC,$00
 .db $FF,$F0,$00,$30,$00,$0F,$FC,$00,$03,$FF,$F0,$03,$FF,$C0,$00,$00
 .db $00,$3F,$FC,$00,$CF,$FF,$C0,$03,$FF,$00,$C0,$00,$00,$FF,$F0,$00
 .db $FF,$FF,$C0,$0F,$FC,$0F,$F0,$00,$00,$FF,$F0,$03,$FF,$FF,$00,$0F
 .db $FC,$3F,$C0,$00,$03,$FF,$C0,$0F,$FF,$FF,$00,$3F,$F0,$FF,$00,$00
 .db $0F,$FF,$00,$3F,$FF,$FC,$00,$FF,$C0,$FF,$00,$00,$3F,$F0,$00,$0F
 .db $FF,$C0,$03,$FF,$03,$F0,$00,$00,$FF,$F0,$03,$FF,$FF,$00,$0F,$FC
 .db $03,$F0,$00,$3F,$FF,$00,$03,$FF,$F0,$00,$FF,$FC,$00,$00,$00,$0F
 .db $FF,$00,$3F,$FF,$F0,$00,$FF,$00,$3F,$00,$0F,$FF,$00,$00,$3F,$FC
 .db $00,$33,$FF,$00,$3F,$F0,$00,$00,$30,$3F,$FF,$C0,$3F,$FF,$F0,$00
 .db $00,$0F,$FF,$03,$F0,$3F,$FC,$00,$FC,$03,$C0,$03,$FF,$00,$FF,$FF
 .db $FF,$03,$FF,$0F,$FF,$3C,$00,$FF,$C0,$03,$FF,$FF,$00,$0F,$FF,$00
 .db $00,$3F,$FF,$FF,$00,$00,$FF,$FF,$00,$3F,$FF,$C0,$00,$FF,$C0,$00
 .db $00,$FF,$FC,$00,$03,$FF,$F0,$00,$03,$FF,$00,$0C,$03,$FF,$FC,$F0
 .db $0F,$FF,$C0,$00,$0F,$00,$00,$03,$FF,$F0,$33,$30,$3F,$FF,$C0,$00
 .db $FF,$C0,$00,$03,$33,$FF,$03,$00,$FF,$FC,$00,$03,$FF,$C0,$0F,$FF
 .db $FC,$FF,$3F,$FF,$FF,$FC,$00,$0F,$C0,$00,$00,$3F,$C0,$00,$00,$0F
 .db $FF,$F0,$00,$3F,$F0,$00,$00,$0F,$CF,$CF,$FF,$CF,$FF,$C0,$03,$FF
 .db $C0,$03,$FF,$FF,$FF,$CC,$C0,$3F,$FF,$C0,$00,$F0,$00,$00,$00,$03
 .db $FF,$CC,$00,$FF,$FF,$00,$3F,$FF,$00,$03,$FF,$FF,$FF,$0F,$3F,$FF
 .db $FC,$00,$3F,$F0,$00,$03,$FF,$30,$30,$0F,$FF,$FF,$00,$00,$FC,$00
 .db $00,$0F,$FF,$00,$00,$FF,$FF,$FF,$C0,$3F,$FC,$00,$03,$FF,$FF,$00
 .db $00,$FF,$FF,$FC,$00,$00,$0C,$00,$0F,$FF,$F0,$00,$00,$0F,$FF,$C0
 .db $00,$03,$CC,$C0,$0F,$3C,$CF,$F0,$0F,$FF,$FF,$F0,$00,$0C,$30,$00
 .db $03,$FF,$FC,$00,$3F,$FF,$FF,$30,$00,$33,$F0,$00,$F0,$00,$F0,$00
 .db $30,$0F,$FF,$00,$00,$0F,$C0,$00,$03,$FC,$3F,$3F,$FF,$FF,$00,$F0
 .db $00,$0C,$C0,$00,$CF,$FF,$03,$03,$CF,$FF,$F0,$30,$00,$00,$00,$00
 .db $CF,$FC,$00,$03,$FF,$FF,$03,$30,$00,$C0,$0C,$03,$0F,$FC,$00,$00
 .db $FF,$F0,$00,$0C,$30,$00,$FF,$C0,$FF,$FF,$33,$00,$CF,$F3,$00,$C3
 .db $30,$0C,$30,$CC,$3F,$00,$03,$FF,$CF,$F0,$0C,$CF,$0C,$0F,$FF,$03
 .db $FC,$33,$F0,$FF,$FC,$FC,$FF,$FF,$FC,$FF,$F3,$3F,$C0,$CF,$F0,$F3
 .db $3C,$00,$FF,$F0,$00,$00,$30,$33,$3C,$FF,$00,$0C,$FC,$03,$FF,$00
 .db $0F,$CF,$C0,$FF,$CF,$FF,$0F,$FF,$FF,$FC,$0C,$33,$33,$FC,$3C,$FF
 .db $FF,$FC,$33,$C0,$F3,$CC,$0F,$C3,$3C,$F0,$0C,$00,$03,$F3,$0C,$C3
 .db $FF,$00,$0F,$C3,$CF,$C3,$0C,$FF,$0F,$FF,$FF,$FF,$F0,$33,$FF,$0F
 .db $0F,$0F,$FC,$33,$30,$FC,$C3,$03,$F0,$33,$FF,$0C,$00,$3C,$FF,$3F
 .db $FC,$CF,$33,$C0,$00,$0F,$FF,$FF,$CF,$3C,$F0,$3F,$00,$FC,$FF,$FC
 .db $C0,$03,$03,$03,$C0,$30,$C0,$0C,$CC,$3F,$F3,$FF,$F0,$30,$CF,$CF
 .db $F3,$F3,$FF,$C0,$F3,$0C,$00,$03,$FF,$00,$CF,$F3,$0C,$F3,$3F,$FC
 .db $CF,$FF,$FC,$3C,$FF,$00,$0C,$F0,$0F,$03,$00,$CC,$CF,$CF,$F3,$F3
 .db $FF,$C0,$FF,$CF,$FF,$CC,$C3,$33,$CF,$F0,$30,$00,$C3,$CF,$C0,$33
 .db $FF,$F3,$0F,$3C,$F0,$00,$00,$00,$0F,$FF,$C0,$33,$00,$00,$00,$CF
 .db $00,$C0,$00,$03,$FC,$3F,$F0,$00,$00,$00,$CF,$FF,$F0,$3F,$FC,$FF
 .db $FF,$FF,$FF,$FF,$CF,$3F,$FF,$3C,$00,$00,$00,$00,$00,$00,$00,$C0
 .db $00,$0F,$3F,$F0,$00,$30,$03,$CC,$33,$FC,$00,$C0,$30,$03,$FF,$FF
 .db $0F,$FC,$C0,$FF,$3F,$F0,$F3,$F0,$33,$F3,$F0,$00,$C3,$00,$0C,$30
 .db $FC,$33,$30,$00,$03,$0F,$00,$33,$3F,$30,$00,$0C,$0F,$F3,$CC,$0F
 .db $F3,$FF,$FF,$00,$3F,$F3,$FC,$FF,$FF,$FF,$00,$00,$03,$FF,$00,$00
 .db $00,$FF,$CF,$00,$03,$03,$00,$00,$0C,$FF,$00,$30,$03,$00,$00,$C0
 .db $0F,$0F,$C3,$03,$FF,$FF,$FF,$FC,$F3,$3C,$3F,$F0,$03,$00,$3F,$C3
 .db $33,$30,$3F,$CF,$FF,$CC,$03,$FF,$F0,$00,$0C,$C3,$0F,$00,$0C,$C3
 .db $F3,$30,$30,$CF,$FF,$FF,$FF,$03,$FF,$F0,$C0,$00,$30,$00,$00,$00
 .db $FC,$C0,$00,$03,$FF,$FC,$3C,$00,$C0,$3F,$3F,$00,$3F,$C3,$30,$0F
 .db $F0,$F3,$FC,$0F,$CF,$FF,$F0,$FC,$FF,$FF,$F0,$FF,$FF,$CF,$C0,$00
 .db $00,$F3,$00,$00,$33,$C0,$00,$FF,$FF,$C3,$FF,$33,$3F,$FF,$0C,$00
 .db $00,$0C,$0F,$0C,$03,$FF,$F3,$33,$3F,$FF,$FF,$30,$C0,$C3,$33,$FC
 .db $00,$CF,$0C,$C0,$00,$00,$00,$03,$C0,$FF,$F3,$3F,$FC,$0C,$00,$FC
 .db $30,$00,$0C,$00,$33,$3C,$03,$30,$FC,$FC,$F3,$F0,$3F,$F0,$FF,$FC
 .db $FC,$C3,$F3,$FF,$00,$0C,$C0,$0F,$30,$C0,$00,$00,$3F,$0F,$00,$03
 .db $33,$FF,$C0,$30,$0F,$3C,$3F,$C0,$03,$FC,$CF,$FC,$03,$FC,$00,$03
 .db $C3,$3F,$F0,$00,$00,$0F,$CF,$00,$03,$00,$3F,$CF,$F0,$F0,$C3,$3C
 .db $33,$CF,$FC,$03,$F3,$CF,$FC,$03,$C0,$F0,$CF,$FF,$3F,$FF,$CF,$FF
 .db $F3,$3F,$C0,$CF,$F3,$CC,$0C,$00,$0C,$CF,$F3,$CF,$00,$3F,$FC,$30
 .db $0C,$00,$00,$00,$00,$CC,$00,$FF,$FC,$CF,$CF,$F3,$FF,$FF,$3F,$3F
 .db $FF,$FF,$CF,$FF,$3F,$FC,$30,$C0,$00,$00,$00,$0F,$FF,$FF,$0C,$FF
 .db $0F,$3C,$C0,$FF,$3C,$FF,$03,$0C,$03,$0C,$C0,$0F,$FF,$F3,$FF,$FF
 .db $FF,$FF,$3F,$FF,$FF,$F0,$00,$00,$0C,$C3,$F3,$03,$FF,$FF,$FF,$FF
 .db $CF,$00,$C3,$00,$FF,$FF,$FF,$F3,$0F,$FC,$00,$FF,$03,$30,$3C,$FF
 .db $3F,$FC,$FF,$FC,$FF,$3C,$C0,$00,$CC,$C3,$FF,$00,$03,$C0,$C0,$F0
 .db $00,$00,$F0,$CC,$C0,$03,$0F,$CF,$CF,$F0,$CF,$0F,$30,$C3,$C0,$0C
 .db $3F,$FF,$F3,$FF,$CF,$FF,$FF,$FF,$FC,$C0,$00,$00,$30,$C0,$03,$F3
 .db $33,$FF,$0C,$00,$00,$FF,$00,$C0,$00,$33,$33,$00,$FF,$CF,$FF,$3F
 .db $CF,$FF,$FF,$F0,$FF,$FF,$C0,$CF,$FF,$00,$00,$33,$00,$00,$00,$00
 .db $03,$C3,$00,$F3,$00,$00,$3C,$0C,$33,$33,$FF,$C3,$00,$CF,$FF,$CF
 .db $F0,$3C,$3F,$C3,$FF,$03,$F0,$0F,$F3,$00,$CF,$FF,$F0,$00,$00,$00
 .db $00,$00,$C3,$03,$C0,$3F,$FF,$FF,$FF,$3F,$F0,$00,$00,$00,$00,$00
 .db $00,$F3,$C0,$FF,$FF,$F3,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$FF
 .db $FF,$00,$FF,$FF,$C0,$03,$F0,$00,$00,$00,$00,$00,$0F,$FF,$F3,$F0
 .db $3F,$FC,$00,$3F,$C0,$30,$00,$0C,$00,$C0,$00,$0F,$FF,$C0,$00,$FF
 .db $FF,$00,$3F,$C0,$00,$00,$3F,$C0,$00,$00,$0F,$FF,$F0,$0F,$FF,$FF
 .db $00,$0F,$F0,$00,$00,$3F,$C0,$00,$00,$03,$FF,$F0,$0F,$FF,$FF,$00
 .db $0F,$F0,$00,$00,$0F,$F0,$00,$00,$00,$FF,$FC,$03,$FF,$FF,$C0,$03
 .db $FC,$00,$00,$0F,$F0,$00,$00,$00,$FF,$FF,$03,$FF,$FF,$C0,$00,$FC
 .db $00,$00,$0F,$F0,$00,$00,$00,$3F,$FF,$00,$FF,$FF,$F0,$00,$FF,$00
 .db $00,$03,$FF,$00,$00,$00,$3F,$FF,$00,$FC,$FF,$F0,$00,$3F,$00,$00
 .db $03,$FF,$C0,$00,$00,$3F,$FF,$00,$FC,$FF,$FC,$00,$3F,$00,$00,$00
 .db $FF,$C0,$00,$00,$3F,$FF,$00,$FC,$FF,$FC,$00,$3F,$C0,$00,$00,$FF
 .db $F0,$00,$00,$3F,$FF,$00,$FF,$FF,$F0,$00,$0F,$C0,$00,$00,$FF,$FC
 .db $00,$00,$FF,$FF,$00,$C3,$FF,$F0,$00,$3C,$00,$00,$00,$FF,$FC,$00
 .db $00,$FF,$FF,$03,$F0,$FF,$F0,$00,$3C,$00,$00,$00,$FF,$F0,$00,$03
 .db $FF,$FC,$0F,$C3,$FF,$C0,$00,$00,$00,$00,$03,$FF,$C0,$00,$0F,$FF
 .db $F0,$FF,$0F,$FF,$00,$00,$00,$00,$00,$0F,$FF,$00,$00,$3F,$FF,$C0
 .db $FF,$FF,$FC,$00,$0C,$00,$00,$00,$0F,$FC,$00,$00,$FF,$FC,$0F,$FF
 .db $FF,$F0,$00,$30,$00,$00,$00,$03,$F0,$00,$0F,$FF,$F0,$3F,$FF,$FF
 .db $00,$03,$C0,$00,$00,$0F,$33,$C0,$00,$3F,$FF,$C0,$FF,$FF,$FC,$00
 .db $3F,$C0,$00,$00,$FF,$FC,$00,$00,$FF,$FC,$03,$FF,$FF,$F0,$00,$FF
 .db $00,$00,$03,$FF,$F0,$00,$0F,$FF,$F0,$3F,$FF,$FF,$00,$03,$FC,$00
 .db $00,$0F,$FF,$00,$00,$3F,$FF,$C0,$FF,$FF,$FC,$00,$0F,$C0,$00,$00
 .db $3F,$F0,$00,$00,$FF,$FC,$03,$FF,$FF,$F0,$00,$3C,$00,$00,$03,$FF
 .db $F0,$00,$0F,$FF,$F0,$3F,$FF,$FF,$00,$03,$F0,$00,$00,$03,$03,$00
 .db $00,$3F,$FF,$00,$FF,$FF,$FC,$00,$3F,$C0,$00,$00,$00,$00,$00,$03
 .db $FF,$FC,$0F,$FF,$FF,$C0,$00,$FC,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $F0,$3F,$FF,$FF,$00,$03,$C0,$00,$00,$00,$00,$00,$00,$FF,$FF,$03
 .db $FF,$FF,$F0,$00,$0F,$00,$00,$00,$F0,$00,$00,$0F,$FF,$FC,$3F,$FF
 .db $FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$C3,$FC,$3F,$FC
 .db $00,$00,$00,$00,$00,$0C,$00,$00,$03,$FF,$FC,$3F,$C3,$FF,$C0,$00
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$FF,$C0,$FC,$3F,$FC,$00,$01,$00
 .db $00,$00,$00,$00,$00,$03,$FF,$FC,$3F,$C3,$FF,$C0,$00,$30,$00,$00
 .db $02,$C0,$00,$00,$3F,$FF,$C0,$FC,$3F,$FC,$00,$03,$00,$00,$00,$00
 .db $00,$00,$03,$FF,$FC,$0F,$C0,$FF,$F0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$3F,$FF,$C0,$FF,$3F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03
 .db $FF,$FF,$0F,$C0,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $F0,$FF,$0F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$0F
 .db $F0,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$F0,$FF,$0F
 .db $FF,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$CF,$F0,$FF,$FC
 .db $00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FC,$0F,$FF,$C0,$00
 .db $00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$F0,$FF,$FC,$00,$00,$00
 .db $00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$0F,$FF,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$FF,$FF,$FF,$F0,$3F,$FC,$00,$00,$00,$00,$00,$00
 .db $00,$00,$0F,$FF,$FF,$FF,$03,$FF,$C0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$FF,$FF,$FF,$F0,$3F,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$0F
 .db $FF,$FF,$FF,$C3,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF
 .db $FF,$FC,$3F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF
 .db $C3,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FC,$3F
 .db $FF,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$C3,$FF,$C0
 .db $00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$F0,$3F,$FC,$00,$00
 .db $00,$00,$00,$03,$00,$00,$0F,$FF,$FC,$3F,$0F,$FF,$C0,$00,$00,$00
 .db $00,$00,$3C,$00,$00,$FF,$FF,$C3,$00,$FF,$FC,$00,$0C,$00,$00,$00
 .db $0F,$C0,$00,$0F,$FF,$FC,$3C,$03,$FF,$C0,$00,$F0,$00,$00,$00,$FC
 .db $00,$00,$3F,$FF,$C3,$C0,$3F,$FC,$00,$03,$00,$00,$00,$03,$C0,$00
 .db $0F,$FF,$FC,$3C,$03,$FF,$C0,$00,$F0,$00,$00,$00,$FF,$00,$00,$FF
 .db $FF,$C3,$C0,$3F,$FC,$00,$0F,$00,$00,$00,$03,$F0,$00,$0F,$FF,$FC
 .db $30,$03,$FF,$C0,$00,$F0,$00,$00,$00,$FF,$00,$00,$FF,$FF,$C3,$00
 .db $FF,$FC,$00,$0F,$00,$00,$00,$0F,$F0,$00,$0F,$FF,$FC,$00,$0F,$FF
 .db $C0,$00,$F0,$00,$00,$00,$FC,$00,$00,$FF,$FF,$C0,$00,$FF,$FC,$00
 .db $0F,$C0,$00,$00,$0F,$F0,$00,$03,$FF,$FF,$00,$03,$FF,$C0,$00,$FF
 .db $00,$00,$00,$3F,$C0,$00,$3F,$FF,$F0,$00,$3F,$FF,$00,$03,$F0,$00
 .db $00,$03,$FF,$00,$00,$FF,$FF,$C0,$00,$FF,$FC,$00,$0F,$C0,$00,$00
 .db $0F,$F0,$00,$03,$FF,$FF,$00,$03,$FF,$C0,$00,$3F,$00,$00,$00,$3F
 .db $C0,$00,$3F,$FF,$FC,$00,$3F,$FF,$00,$03,$F0,$00,$00,$03,$FC,$00
 .db $00,$FF,$FF,$F0,$00,$FF,$FC,$00,$0F,$F0,$00,$00,$0F,$F0,$00,$03
 .db $FF,$FF,$C0,$03,$FF,$C0,$00,$3E,$00,$00,$00,$3F,$C0,$00,$3F,$FF
 .db $FC,$00,$0F,$FF,$00,$03,$F8,$00,$00,$03,$FC,$00,$00,$FF,$FF,$F0
 .db $00,$FF,$F0,$00,$00,$00,$00,$00,$0F,$C0,$00,$0F,$FF,$FF,$00,$0F
 .db $FF,$C0,$00,$00,$00,$00,$00,$F0,$00,$00,$FF,$FF,$F0,$00,$FF,$FC
 .db $00,$00,$00,$00,$00,$0C,$00,$00,$0F,$FF,$FF,$00,$0B,$FF,$C0,$00
 .db $00,$00,$00,$00,$08,$00,$00,$FF,$FF,$FC,$00,$3F,$FC,$00,$00,$00
 .db $00,$00,$03,$C0,$00,$0F,$FF,$FF,$C0,$03,$FF,$C0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$FF,$FF,$FF,$00,$3F,$FC,$00,$00,$00,$00,$00,$00
 .db $00,$00,$0F,$FF,$FF,$F0,$03,$FF,$F0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$FF,$FF,$FF,$C0,$3F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$0F
 .db $FF,$FF,$FC,$03,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF
 .db $FF,$C0,$3F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF
 .db $02,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$F0,$0F
 .db $FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$C0,$3F,$FC
 .db $00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$03,$FF,$F0,$00
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FC,$0F,$FF,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$F0,$3F,$FC,$00,$00,$00,$00
 .db $00,$00,$00,$00,$03,$FF,$FF,$FF,$F0,$FF,$F0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$0F,$FF,$FF,$FF,$C3,$FF,$C0,$00,$00,$00,$00,$00,$20
 .db $00,$00,$3F,$FF,$FF,$FF,$0F,$FF,$00,$00,$00,$00,$00,$00,$F0,$00
 .db $00,$FF,$FF,$FF,$FC,$0F,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $FF,$FF,$FF,$FC,$0F,$FC,$00,$00,$00,$00,$00,$0F,$F0,$00,$00,$FF
 .db $FF,$FF,$FC,$0F,$F0,$00,$00,$00,$00,$00,$3F,$00,$00,$03,$FF,$FF
 .db $FF,$F0,$0F,$F0,$00,$00,$00,$00,$00,$F0,$00,$00,$0F,$FF,$FF,$FF
 .db $C0,$3F,$C0,$00,$00,$00,$00,$00,$F8,$00,$00,$0F,$FF,$FF,$FF,$C0
 .db $3F,$C0,$00,$00,$00,$00,$03,$F0,$00,$00,$0F,$FF,$FF,$FF,$C0,$FF
 .db $00,$00,$00,$00,$00,$0F,$C0,$00,$00,$0F,$FF,$FF,$FF,$C0,$FF,$00
 .db $00,$00,$00,$00,$0C,$00,$00,$00,$3F,$FF,$FF,$FF,$03,$FC,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$03,$FC,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$00,$FF,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$FF,$FF,$FF,$FC,$03,$FC,$00,$00,$00,$00,$00
 .db $C0,$00,$00,$03,$FF,$FF,$FF,$FC,$0F,$F0,$00,$00,$00,$00,$00,$00
 .db $00,$00,$0F,$FF,$FF,$FF,$F0,$3F,$C0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$FF,$FF,$FF,$FF,$CF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03
 .db $FF,$FF,$FF,$FF,$03,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $FF,$FF,$F0,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF
 .db $FF,$0F,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FC
 .db $3F,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$C3,$FF
 .db $C0,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$0F,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$F0,$FF,$F0,$00,$00
 .db $00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$EF,$FF,$C0,$00,$00,$00
 .db $00,$00,$00,$00,$03,$FF,$FF,$FF,$FC,$FF,$FC,$00,$00,$00,$00,$00
 .db $00,$00,$00,$0F,$FF,$FF,$FF,$F0,$3F,$C0,$00,$00,$00,$00,$00,$00
 .db $00,$00,$FF,$FF,$FF,$FF,$0F,$FF,$00,$00,$00,$00,$00,$00,$00,$00
 .db $03,$FF,$FF,$FF,$FC,$3F,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$3F
 .db $FF,$FF,$FF,$C0,$FF,$C0,$00,$00,$00,$0F,$00,$00,$00,$00,$FF,$FF
 .db $FF,$FF,$03,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF
 .db $FC,$0F,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$F0
 .db $3F,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$C0,$FC
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$00,$F0,$00
 .db $00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FC,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$03,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$0F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $0F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F
 .db $FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF
 .db $FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF
 .db $FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF
 .db $00,$00,$00,$00,$00,$00,$0F,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$F0,$00,$00,$03,$FF,$FF,$FF,$FC,$00,$00
 .db $00,$00,$00,$00,$30,$00,$00,$00,$0F,$FF,$FF,$FF,$F0,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$03,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$3F,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $0F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$3F
 .db $FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF
 .db $FF,$FF,$3F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF
 .db $FC,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FC,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FC,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00
 .db $03,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F
 .db $FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF
 .db $FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF
 .db $FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$FF
 .db $C0,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FC,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00
 .db $00,$00,$00,$00,$00,$FF,$3F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00
 .db $00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$00
 .db $00,$0F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$00,$3F
 .db $FF,$FF,$FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF
 .db $FF,$FF,$FF,$00,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF
 .db $F0,$00,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$C0
 .db $00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00
 .db $00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00
 .db $00,$00,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$03
 .db $FF,$FF,$FF,$FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF
 .db $FF,$FF,$FF,$C0,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$F0
 .db $0F,$00,$00,$00,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$FF,$F0,$00,$00
 .db $00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00
 .db $00,$00,$00,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00
 .db $3F,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF
 .db $FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$FF
 .db $F0,$00,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$C0,$00
 .db $00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00
 .db $00,$00,$00,$3F,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00
 .db $03,$FF,$FF,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$00,$00,$00,$03
 .db $FF,$FF,$FF,$FF,$FF,$FF,$CC,$00,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $FF,$FF,$FF,$FF,$F0,$00,$00,$00,$00,$00,$00,$03,$0F,$FF,$FF,$FF
 .db $FF,$FF,$F3,$00,$00,$00,$00,$00,$00,$00,$33,$FF,$FF,$FF,$FF,$FF
 .db $FF,$CC,$00,$00,$C0,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$C0,$0F,$FC
 .db $00,$00,$00,$00,$FC,$00,$0F,$0F,$FF,$FF,$FF,$CC,$00,$0F,$C0,$00
 .db $00,$00,$03,$00,$FF,$FF,$FF,$FF,$FF,$CF,$FC,$03,$3C,$00,$00,$00
 .db $00,$CF,$FF,$FF,$FF,$FF,$FF,$FF,$F3,$F3,$3C,$00,$00,$00,$00,$33
 .db $FF,$03,$CF,$CC,$00,$03,$00,$00,$00,$00,$03,$F0,$30,$CC,$FC,$FF
 .db $03,$FF,$FF,$FF,$3F,$FC,$FF,$FF,$0F,$00,$00,$0C,$FF,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0F,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$F1,$00,$40,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$40,$0F,$30,$FF,$CF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
 .db $FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$BF,$FF,$7B,$53,$F3
 .db $CF,$5C,$2F,$0C,$60,$DF,$3C,$DE,$CD,$00,$C0,$04,$40,$80,$10,$00
 .db $00,$C0,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $10,$00,$00,$08,$00,$00,$00,$00,$00,$00,$00,$00,$08,$00,$03,$00
 .db $00,$00,$33,$BC,$33,$E1,$CC,$10,$C0,$0C,$C0,$CF,$FD,$FF,$CC,$F2
 .db $F3,$3D,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$EF,$FF,$FF,$FF,$DE,$FF,$CF
 .db $FF,$FF,$FB,$FB,$F7,$3C,$F7,$7F,$37,$2F,$F3,$EF,$FE,$FC,$CF,$CD
 .db $FC,$FB,$FC,$FF,$FE,$BF,$FF,$F3,$7F,$FF,$FC,$FF,$FF,$FF,$9F,$DF
 .db $F7,$FF,$2F,$FF,$BF,$CF,$F3,$CC,$13,$DC,$FE,$3B,$A3,$30,$22,$B3
 .db $C3,$00,$C0,$CC,$50,$C0,$20,$33,$00,$00,$03,$00,$20,$00,$48,$01
 .db $0C,$00,$0E,$00,$00,$31,$00,$00,$C0,$00,$00,$00,$00,$00,$0C,$00
 .db $00,$00,$00,$00,$00,$03,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$30
 .db $00,$00,$00,$01,$00,$00,$20,$00,$00,$00,$C0,$00,$00,$00,$00,$30
 .db $03,$20,$00,$00,$00,$08,$F3,$00,$0C,$03,$00,$C0,$30,$01,$00,$0F
 .db $31,$1C,$08,$02,$00,$0C,$50,$CE,$20,$CF,$0C,$68,$40,$00,$F3,$0C
 .db $00,$02,$00,$30,$CE,$0C,$23,$20,$10,$C0,$0C,$04,$CF,$74,$33,$04
 .db $10,$03,$38,$80,$C3,$1C,$25,$0C,$BC,$CF,$F4,$FF,$0F,$30,$40,$03
 .db $13,$D7,$03,$01,$F0,$30,$C1,$E0,$34,$CC,$64,$3F,$0D,$D2,$F1,$3D
 .db $E7,$FF,$3F,$F3,$0C,$FF,$CF,$CC,$FC,$8F,$CC,$FF,$3F,$F3,$FF,$3F
 .db $FB,$FF,$1F,$CF,$F0,$FF,$C0,$CC,$C6,$E3,$20,$C0,$0F,$AB,$FF,$3C
 .db $F1,$F0,$30,$43,$3C,$BC,$CF,$AC,$F8,$0C,$00,$00,$00,$10,$C4,$0C
 .db $C0,$0C,$40,$03,$01,$E1,$CB,$03,$03,$30,$50,$01,$10,$00,$04,$00
 .db $40,$04,$00,$C0,$00,$30,$30,$00,$02,$00,$00,$04,$3C,$00,$00,$00
 .db $00,$03,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$80,$00,$00
 .db $00,$30,$00,$00,$08,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
 .db $00,$00,$30,$00,$00,$00,$00,$00,$00,$C0,$30,$00,$00,$00,$01,$00
 .db $03,$00,$00,$00,$00,$02,$C0,$00,$00,$0C,$00,$0C,$00,$0F,$04,$F0
 .db $0F,$00,$83,$3C,$00,$C3,$1B,$C1,$EC,$37,$0B,$EC
  
.end